2016-01-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Set release date to this Friday.
	* configure.ac: Bump to 1.13.10.

2016-01-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_DATE): Bump to b38 creation date;
	20th of January, 2016.
	(OPENJDK_SHA256SUM): Update for b38 tarball.

2016-01-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/p11cipher-4898461-support_ecb_and_cbc.patch,
	* patches/openjdk/p11cipher-6867345-turkish_regional_options_cause_npe_in_algoid.patch:
	Removed; added upstream in OpenJDK 6 b38.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove above patches.
	* NEWS: Updated.
	* patches/openjdk/6799141-split_out_versions.patch:
	Fixed to apply against OPENJDK6-70.

2015-11-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to next release, b38.

2016-01-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patches.
	* NEWS: Updated.
	* patches/openjdk/7169111-pr2757-unreadable_menu_bar_with_ambiance_theme.patch,
	* patches/openjdk/8140620-pr2711-find_default.sf2.patch:
	New backports for issues to be fixed in 1.13.10.

2015-11-17  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 1.13.10 section.
	* configure.ac: Bump to 1.13.10pre.

2015-11-11  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Update with changes added
	in 2nd, 3rd and 4th b37 tarball revisions.
	Set release date to this coming Friday.

2015-11-11  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_DATE): Bump to new b37 creation date;
	11th of November, 2015.
	(OPENJDK_SHA256SUM): Update for new b37 tarball.

2015-11-10  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_DATE): Bump to new b37 creation date;
	10th of November, 2015.
	(OPENJDK_SHA256SUM): Update for new b37 tarball.

2015-11-04  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_DATE): Bump to new b37 creation date;
	4th of November, 2015.
	(OPENJDK_SHA256SUM): Update for new b37 tarball.

2015-10-31  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* NEWS: Updated.
	* patches/openjdk/6763122-no_zipfile_ctor_exception.patch:
	Add fix for TCK regression introduced by PR363.

2015-10-27  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Set release date to this Thursday.
	* configure.ac: Bump to 1.13.9.

2015-10-27  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_DATE): Bump to b37 creation date;
	27th of October, 2015.
	(OPENJDK_SHA256SUM): Update for b37 tarball.

2015-10-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Updated.
	* generated/java/nio/BufferOverflowException.java,
	* generated/java/nio/BufferUnderflowException.java,
	* generated/java/nio/ByteBuffer.java,
	* generated/java/nio/ByteBufferAsCharBufferB.java,
	* generated/java/nio/ByteBufferAsCharBufferL.java,
	* generated/java/nio/ByteBufferAsCharBufferRB.java,
	* generated/java/nio/ByteBufferAsCharBufferRL.java,
	* generated/java/nio/ByteBufferAsDoubleBufferB.java,
	* generated/java/nio/ByteBufferAsDoubleBufferL.java,
	* generated/java/nio/ByteBufferAsDoubleBufferRB.java,
	* generated/java/nio/ByteBufferAsDoubleBufferRL.java,
	* generated/java/nio/ByteBufferAsFloatBufferB.java,
	* generated/java/nio/ByteBufferAsFloatBufferL.java,
	* generated/java/nio/ByteBufferAsFloatBufferRB.java,
	* generated/java/nio/ByteBufferAsFloatBufferRL.java,
	* generated/java/nio/ByteBufferAsIntBufferB.java,
	* generated/java/nio/ByteBufferAsIntBufferL.java,
	* generated/java/nio/ByteBufferAsIntBufferRB.java,
	* generated/java/nio/ByteBufferAsIntBufferRL.java,
	* generated/java/nio/ByteBufferAsLongBufferB.java,
	* generated/java/nio/ByteBufferAsLongBufferL.java,
	* generated/java/nio/ByteBufferAsLongBufferRB.java,
	* generated/java/nio/ByteBufferAsLongBufferRL.java,
	* generated/java/nio/ByteBufferAsShortBufferB.java,
	* generated/java/nio/ByteBufferAsShortBufferL.java,
	* generated/java/nio/ByteBufferAsShortBufferRB.java,
	* generated/java/nio/ByteBufferAsShortBufferRL.java,
	* generated/java/nio/CharBuffer.java,
	* generated/java/nio/DirectByteBuffer.java,
	* generated/java/nio/DirectByteBufferR.java,
	* generated/java/nio/DirectCharBufferRS.java,
	* generated/java/nio/DirectCharBufferRU.java,
	* generated/java/nio/DirectCharBufferS.java,
	* generated/java/nio/DirectCharBufferU.java,
	* generated/java/nio/DirectDoubleBufferRS.java,
	* generated/java/nio/DirectDoubleBufferRU.java,
	* generated/java/nio/DirectDoubleBufferS.java,
	* generated/java/nio/DirectDoubleBufferU.java,
	* generated/java/nio/DirectFloatBufferRS.java,
	* generated/java/nio/DirectFloatBufferRU.java,
	* generated/java/nio/DirectFloatBufferS.java,
	* generated/java/nio/DirectFloatBufferU.java,
	* generated/java/nio/DirectIntBufferRS.java,
	* generated/java/nio/DirectIntBufferRU.java,
	* generated/java/nio/DirectIntBufferS.java,
	* generated/java/nio/DirectIntBufferU.java,
	* generated/java/nio/DirectLongBufferRS.java,
	* generated/java/nio/DirectLongBufferRU.java,
	* generated/java/nio/DirectLongBufferS.java,
	* generated/java/nio/DirectLongBufferU.java,
	* generated/java/nio/DirectShortBufferRS.java,
	* generated/java/nio/DirectShortBufferRU.java,
	* generated/java/nio/DirectShortBufferS.java,
	* generated/java/nio/DirectShortBufferU.java,
	* generated/java/nio/DoubleBuffer.java,
	* generated/java/nio/FloatBuffer.java,
	* generated/java/nio/HeapByteBuffer.java,
	* generated/java/nio/HeapByteBufferR.java,
	* generated/java/nio/HeapCharBuffer.java,
	* generated/java/nio/HeapCharBufferR.java,
	* generated/java/nio/HeapDoubleBuffer.java,
	* generated/java/nio/HeapDoubleBufferR.java,
	* generated/java/nio/HeapFloatBuffer.java,
	* generated/java/nio/HeapFloatBufferR.java,
	* generated/java/nio/HeapIntBuffer.java,
	* generated/java/nio/HeapIntBufferR.java,
	* generated/java/nio/HeapLongBuffer.java,
	* generated/java/nio/HeapLongBufferR.java,
	* generated/java/nio/HeapShortBuffer.java,
	* generated/java/nio/HeapShortBufferR.java,
	* generated/java/nio/IntBuffer.java,
	* generated/java/nio/InvalidMarkException.java,
	* generated/java/nio/LongBuffer.java,
	* generated/java/nio/ReadOnlyBufferException.java,
	* generated/java/nio/ShortBuffer.java,
	* generated/java/nio/channels/AlreadyConnectedException.java,
	* generated/java/nio/channels/AsynchronousCloseException.java,
	* generated/java/nio/channels/CancelledKeyException.java,
	* generated/java/nio/channels/ClosedByInterruptException.java,
	* generated/java/nio/channels/ClosedChannelException.java,
	* generated/java/nio/channels/ClosedSelectorException.java,
	* generated/java/nio/channels/ConnectionPendingException.java,
	* generated/java/nio/channels/FileLockInterruptionException.java,
	* generated/java/nio/channels/IllegalBlockingModeException.java,
	* generated/java/nio/channels/IllegalSelectorException.java,
	* generated/java/nio/channels/NoConnectionPendingException.java,
	* generated/java/nio/channels/NonReadableChannelException.java,
	* generated/java/nio/channels/NonWritableChannelException.java,
	* generated/java/nio/channels/NotYetBoundException.java,
	* generated/java/nio/channels/NotYetConnectedException.java,
	* generated/java/nio/channels/OverlappingFileLockException.java,
	* generated/java/nio/channels/UnresolvedAddressException.java,
	* generated/java/nio/channels/UnsupportedAddressTypeException.java,
	* generated/java/nio/charset/CharacterCodingException.java,
	* generated/java/nio/charset/CharsetDecoder.java,
	* generated/java/nio/charset/CharsetEncoder.java,
	* generated/java/nio/charset/IllegalCharsetNameException.java,
	* generated/java/nio/charset/UnsupportedCharsetException.java:
	Replaced by versions from a build of OpenJDK 6 b37.
	* patches/openjdk/p11cipher-6867345-turkish_regional_options_cause_npe_in_algoid.patch:
	Regenerated.
	* patches/version.patch:
	Fix path from Version-template.java to Version.java.template,
	following 6888701 upstream.

2015-08-18  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to next release, b37.

2015-10-12  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patches.
	* NEWS: Updated.
	* patches/openjdk/6440786-pr363-zero_entry_zips.patch,
	* patches/openjdk/6599383-pr363-large_zip_files.patch,
	* patches/openjdk/6929479-pr363-disable_mmap_zip.patch,
	* patches/openjdk/7105461-pr2662-xrender_jtables.patch,
	* patches/openjdk/7150134-pr2662-xrender_drawline_oom.patch,
	* patches/pr2513-layoutengine_reset.patch:
	New backports for issues to be fixed in 1.13.9.

2015-08-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 1.13.9 section. Correct
	section formatting.
	* configure.ac: Bump to 1.13.9pre.

2015-07-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR2565: Replace ipv4-mapped-ipv6-addresses.patch
	with upstream fix 6882910
	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* NEWS: Updated. Bump release date.
	* patches/ipv4-mapped-ipv6-addresses.patch:
	Remove code changes, leaving just the test case.
	* patches/openjdk/6882910-ipv6only.patch:
	New patch, backporting 6882910 as a replacement
	for the older ipv4-mapped-ipv6-addresses.patch

2015-07-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Remove 7/8-only issue from
	security fix list.

2015-07-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR2559: generated directory gets confused with
	generated alias
	* Makefile.am:
	(EXTRA_DIST): Change 'generated' to
	'$(top_srcdir)/generated'.
	* NEWS: Updated.

2015-07-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Set release date to 23rd of July,
	2015 for 1.13.8.
	* configure.ac: Bump to 1.13.8.

2015-07-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/8078666-widen_increases.patch:
	Removed; upstream in b36.
	* Makefile.am:
	(OPENJDK_DATE): Bump to b36 creation date;
	22nd of July, 2015.
	(OPENJDK_SHA256SUM): Update for b36 tarball.
	* NEWS: Updated with b36 changes. Remove duplicate
	issue in 1.13.6 release notes.
	* patches/openjdk/6956398-ephemeraldhkeysize.patch:
	Regenerated against b36.

2015-07-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/8074312-pr2255-support_linux_4.patch:
	Removed; upstreamed.
	* patches/pax-mark-rmic-java.patch: Likewise.
	* Makefile.am:
	(ICEDTEA_PATCHES): Drop above patches. Drop
	WITH_PAX block as no longer required.
	(ICEDTEA_ECJ_PATCHES): Drop !WITH_PAX block,
	merging into main unconditional definition.
	* patches/openjdk/4963723-implement_sha-224.patch:
	Regenerated due to copyright header change.

2015-07-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to next release, b36.

2015-07-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* AUTHORS: Add James.
	* NEWS: Updated.

2015-05-23  James Le Cuirot  <chewi@gentoo.org>

	PR829: Raise javadoc and JAVAC_FLAGS memory
	limits for CACAO
	* patches/cacao/launcher.patch:
	Increase memory limits so a build with CACAO
	and doc generation succeeds.

2015-07-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2556, G390663: Update Gentoo font configuration
	and allow font directory to be specified
	* INSTALL: Document --with-fonts-dir.
	* Makefile.am:
	(fonts): Copy the generated Gentoo
	font properties file into the OpenJDK
	tree.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_WITH_FONTS_DIR): Allow the user
	to specify where the fonts are stored.
	* configure.ac: Invoke IT_WITH_FONTS_DIR
	and generate linux.fontconfig.Gentoo.properties
	* linux.fontconfig.Gentoo.properties.in:
	Template fontconfig file for Gentoo copied from
	the main Portage tree.
	* patches/fonts-gentoo.patch:
	Remove outdated copy of
	linux.fontconfig.Gentoo.properties from patch.

2015-07-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2500: Add executable stack markings
	to callNative.S on JamVM
	* Makefile.am:
	(ICEDTEA_PATCHES): Add patch.
	(jamvm): Drop setting -noexecstack in
	LDFLAGS; replaced by code fix in JamVM.
	* NEWS: Updated.
	* patches/jamvm/noexecstack.patch:
	Add notes to assembly files in order to
	turn off executable stack.

2015-07-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2507, G541462: Only apply PaX markings by default
	on running PaX kernels
	* NEWS: Updated.
	* acinclude.m4:
	(IT_HAS_PAX): Use grep directly rather
	than piping from cat.
	(IT_WITH_PAX): Use ${pax_active} as the
	default value. Handle --with-pax and
	--without-pax options (i.e. without arguments)
	better.

2015-07-15  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2391: Make elliptic curve removal
	optional
	* acinclude.m4:
	(IT_ENABLE_NON_NSS_CURVES): Check ${enableval}
	to catch values other than yes/no.

2015-07-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2391: Make elliptic curve removal
	optional
	* INSTALL:
	Document --enable-non-nss-curves.
	* Makefile.am:
	(ICEDTEA_PATCHES): Only apply
	the RH1022017 patch when non-NSS
	curves are not enabled.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_NON_NSS_CURVES): New
	macro to allow non-NSS curves to
	be turned on.
	* configure.ac:
	Invoke IT_ENABLE_NON_NSS_CURVES.
	* fsg.sh.in:
	Don't alter the curve list when
	non-NSS curves are enabled.

2015-07-22  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2360: Ensure all stamp targets have aliases
	* Makefile.am:
	Add missing aliases for add-cacao,
	add-cacao-debug, add-jamvm, add-jamvm-debug,
	add-nss, add-nss-debug, add-nss-ecj,
	add-pulseaudio, add-pulseaudio-debug,
	add-pulseaudio-ecj, add-systemtap,
	add-systemtap-debug, add-systemtap-ecj,
	add-tzdata-support, add-tzdata-support-debug,
	add-tzdata-support-ecj, add-zero, add-zero-debug,
	extract-openjdk, fonts, generated, hgforest,
	ports, pulse-java, pulse-java-class,
	pulse-java-headers, pulse-java-jar,
	remove-intree-libraries, runnable-icedtea,
	runnable-icedtea-debug and runnable-icedtea-ecj.
	Remove dead nbplatform and rename rt-jar to rt.
	* NEWS: Updated.

2015-07-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2342: Update README & INSTALL files
	* INSTALL: Remove dead --with-xalan2-jar,
	--with-xalan2-serializer-jar,
	--with-xerces2-jar options. Document --with-jdk-home.
	Move --enable-system-kerberos to be listed with other
	system library options. Mention ARM32 JIT.
	* NEWS: Updated.
	* README: Mention ARM32 JIT and OpenJDK
	compatibility testing page.
	* acinclude.m4:
	(IT_CHECK_FOR_JDK): Add plain java-1.6.0-openjdk to
	ICEDTEA6_VMS.

2014-06-12  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2340: Fail early if there is no native HotSpot JIT
	& all other options are disabled
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_ZERO_BUILD): Depend on
	IT_HAS_NATIVE_HOTSPOT_PORT. Split out arch-dependent
	code into that macro. Make ENABLE_CACAO test more
	readable.
	(IT_ENABLE_CACAO): Handle enableval same as other macros
	so possible values are only ever yes or no.
	(IT_ENABLE_JAMVM): Likewise.
	(IT_HAS_NATIVE_HOTSPOT_PORT): Architecture detection
	split out from IT_ENABLE_ZERO_BUILD. Now sets
	has_native_hotspot_port for later reference.
	* configure.ac:
	Error out if there is no native HotSpot port and
	Zero (which implies Shark & ARM32 JIT), CACAO and
	JamVM are all disabled.

2015-07-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/hotspot/hs23/systemtap.patch:
	Removed; replaced by backport of upstream version.
	* Makefile.am:
	(ICEDTEA_PATCHES): Add patches below. Swap
	old SystemTap patch for a backport of 7170638.
	* NEWS: Updated.
	* patches/openjdk/4890063-hprof_truncation.patch,
	* patches/openjdk/6562615-compiler_warnings.patch,
	* patches/openjdk/6956398-ephemeraldhkeysize.patch,
	* patches/openjdk/6989466-compiler_warnings.patch,
	* patches/openjdk/6991580-ipv6_nameservers.patch,
	* patches/openjdk/6997561-better_jndi_error_handling.patch,
	* patches/openjdk/7007905-javazic_line_numbers.patch,
	* patches/openjdk/7017176-missing_gpl_headers.patch,
	* patches/openjdk/7058708-javazic_warnings.patch,
	* patches/openjdk/7069870-generic_array_initializers.patch,
	* patches/openjdk/7090844-support_multi_offset_change_timezones.patch,
	* patches/openjdk/7094377-ldaps_timeout.patch,
	* patches/openjdk/7133138-timezone_io_improvement.patch,
	* patches/openjdk/7170638-systemtap.patch,
	* patches/openjdk/8000487-jndi_connection_not_honouring_timeout.patch,
	* patches/openjdk/8011709-canonshaping_memory_leak.patch,
	* patches/openjdk/8023052-jvm_crash_in_native_layout.patch,
	* patches/openjdk/8039921-sha1_1024plus.patch,
	* patches/openjdk/8041451-ldap_read_timeout_abandon.patch,
	* patches/openjdk/8042855-indiclayoutengine_null_dereference.patch,
	* patches/openjdk/8042857-14_stuck_threads_on_ldaprequest.patch,
	* patches/openjdk/8065238-ldap_namingexception_8041451_regression.patch,
	* patches/openjdk/8074761-ldap_empty_optional_params.patch,
	* patches/openjdk/8078654-closettfontfilefunc.patch,
	* patches/openjdk/8078666-widen_increases.patch,
	* patches/openjdk/8081315-giflib_interlacing.patch,
	* patches/openjdk/8081475-systemtap-gcc5.patch,
	* patches/openjdk/8087120-zero_gcc5.patch,
	* patches/pr2319-policy_jar_checksum.patch,
	* patches/pr2460-policy_jar_timestamp.patch,
	* patches/pr2481_sysconfig_clock_spaces.patch,
	* patches/pr2486-768_dh.patch,
	* patches/pr2488-1024_dh.patch: Added.

2015-04-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 1.13.8 section.
	* configure.ac: Bump to 1.13.8pre.

2015-04-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Correct 1.13.7 release date.

2015-04-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add CVE numbers.

2015-04-10  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR2294: Auto-generated jconsole.desktop
	and policytool.desktop should not be included
	in release tarball
	* Makefile.am:
	(EXTRA_DIST): Remove jconsole.desktop and
	policytool.desktop
	* NEWS: Updated.

2015-04-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Update with changes from b35.
	Set release date to 14th of April,
	2015 for 1.13.7.
	* configure.ac: Bump to 1.13.7.

2015-04-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_DATE): Bump to security update release date;
	14th of April, 2015.
	(OPENJDK_SHA256SUM): Update for b35 tarball.

2015-04-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/g356743-libpng-1.5.patch:
	Removed; applied upstream as part of S7088287.
	* Makefile.am: Remove above patch.
	* patches/openjdk/4963723-implement_sha-224.patch:
	Drop copyright header change to RSASignature.java
	as S8071726 upstream updates it to 2015.

2015-04-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/8020190-pr2174-jfieldid_must_match_object.patch,
	* patches/openjdk/8028623-pr2177-hash_code_mismatch_for_extended_characters.patch,
	* patches/openjdk/8061785-pr2177-test_bug-corrupted_utf8_character.patch:
	Removed; upstreamed.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove above patches.

2015-03-31  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/6730740-pr2186-64-bit_breakage_in_6729881.patch,
	* patches/openjdk/7031830-pr2183-bad_record_mac_failure.patch,
	* patches/openjdk/oj51-pr2187-sync_4873188.patch,
	* patches/openjdk/oj52-pr2185-no_serbia_montenegro.patch,
	* patches/openjdk/oj53-pr2181-strict_aliasing_on_ppc32.patch,
	* patches/openjdk/oj54-pr2182-6911104_reintroduces_test_fragment.patch:
	Removed; upstreamed.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove above patches.
	* patches/arch.patch: Regenerated following
	upstream application of OPENJDK6-53.

2015-01-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to next release, b35.

2015-04-03  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patches.
	* NEWS: Updated.
	* patches/openjdk/6584008-pr2195-jvmtistringprimitivecallback_null_string.patch,
	* patches/openjdk/7199862-pr2198-ensure_cache_connection_still_alive.patch,
	* patches/openjdk/8074312-pr2255-support_linux_4.patch,
	* patches/pr2197-jhat_man_page_url.patch,
	* patches/pr2201-support_giflib_5.1.patch,
	* patches/pr2211-check_dgifclosefile_return.patch,
	* patches/pr2226-support_future_giflib_6_and_up.patch:
	Add new backports and bug fixes.

2015-01-27  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 1.13.7 section.
	* configure.ac: Bump to 1.13.7pre.

2015-01-26  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Correct NEWS; CACAO & JamVM
	were broken by 1.13.5, not 1.13.6.

2015-01-23  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Update release date and fix
	description of PR2184.

2015-01-07  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2190: JamVM lacks JVM_FindClassFromCaller introduced
	by security patch in 1.13.5
	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch when building
	JamVM.
	(EXTRA_DIST): Include patches from JamVM directory.
	* NEWS: Updated.
	* patches/jamvm/pr2190-find_class_from_caller.patch:
	Backport JamVM patch to implement FindClassFromCaller.

2015-01-21  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add patches below.
	* NEWS: Updated.
	* patches/openjdk/6730740-pr2186-64-bit_breakage_in_6729881.patch,
	* patches/openjdk/7031830-pr2183-bad_record_mac_failure.patch,
	* patches/openjdk/oj51-pr2187-sync_4873188.patch,
	* patches/openjdk/oj52-pr2185-no_serbia_montenegro.patch,
	* patches/openjdk/oj53-pr2181-strict_aliasing_on_ppc32.patch,
	* patches/openjdk/oj54-pr2182-6911104_reintroduces_test_fragment.patch:
	New patches to fix issues found in b34.

2014-10-29  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch for CACAO
	builds.
	* NEWS: Updated.
	* patches/cacao/pr2184.patch:
	Implement JVM_FindClassFromCaller as same
	as JVM_FindClassFromClassLoader for now.

2015-01-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(extract-openjdk): Use abs_top_builddir
	instead of builddir to please older
	versions of autotools. No need to set
	fsg.sh executable either as we run it
	via sh.
	* NEWS: Updated.

2015-01-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_SHA256SUM): Update for new b34 tarball.
	* NEWS: Updated.

2015-01-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_SHA256SUM): Update for new b34 tarball.
	(ICEDTEA_PATCHES): Add fix for PR2179.
	* NEWS: Updated.
	* patches/pr2179-avoid_x86_workaround_on_zero.patch:
	Don't apply 8023956 when building Zero on x86.

2015-01-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Set release date to 20th of January,
	2015 for 1.13.6.
	* configure.ac: Bump to 1.13.6.

2015-01-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_DATE): Bump to security update release date;
	20th of January, 2015.
	(OPENJDK_SHA256SUM): Update for b34 tarball.

2015-01-19  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/openjdk/8000897-use_corresponding_digest_length.patch:
	Moved to...
	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patches.
	* NEWS: Updated.
	* patches/openjdk/8000897-pr2173-vm_crash_in_compilebroker.patch:
	...here.
	* patches/openjdk/8020190-pr2174-jfieldid_must_match_object.patch,
	* patches/openjdk/8028623-pr2177-hash_code_mismatch_for_extended_characters.patch,
	* patches/openjdk/8061785-pr2177-test_bug-corrupted_utf8_character.patch,
	* patches/pr2070-type_punning_warnings.patch,
	* patches/pr2082-s390_type_fixes.patch,
	* patches/pr2096-4096-bit_dh.patch:
	New backports from IcedTea 2.x.

2015-01-19  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/openjdk/6541350-tz_display_names_l10n.patch,
	* patches/openjdk/6706974-krb5_test_infrastructure.patch,
	* patches/openjdk/6761072-new_krb5_tests_fail_on_multiple_platforms.patch,
	* patches/openjdk/6821191-tz_display_names_l10n.patch,
	* patches/openjdk/6925851-pt_br.patch,
	* patches/openjdk/6977550-tzdata2010l.patch,
	* patches/openjdk/6996686-tzdata2010o.patch,
	* patches/openjdk/7017800-tzdata2011b.patch,
	* patches/openjdk/7027387-tzdata2011d.patch,
	* patches/openjdk/7033174-tzdata2011e.patch,
	* patches/openjdk/7035073-missing_pt_br_timezones.patch,
	* patches/openjdk/7039469-tzdata2011g.patch,
	* patches/openjdk/7090843-tzdata2011j.patch,
	* patches/openjdk/7103108-tzdata2011l.patch,
	* patches/openjdk/7103405-correct_display_names.patch,
	* patches/openjdk/7104126-headers_tzdata.patch,
	* patches/openjdk/7158483-tzdata2012c.patch,
	* patches/openjdk/7198570-tzdata2012f.patch,
	* patches/openjdk/8002225-tzdata2012i.patch,
	* patches/openjdk/8009987-tzdata2013b.patch,
	* patches/openjdk/8014469-tzdata2013c.patch,
	* patches/openjdk/8020054-tzdata2013d.patch,
	* patches/openjdk/8025255-tzdata2013g.patch:
	Remove patches included upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove above patches.
	* NEWS: Updated.
	* patches/hotspot/hs23/remove_jsr292_tests.patch:
	Regenerated.
	* patches/hotspot/hs23/type_fixes.patch:
	Remove threadLocalAllocBuffer.cpp hunk which is
	no longer applicable.

2015-01-19  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/clean-crypto.patch: Removed; replaced by
	inclusion of UNLIMITED_CRYPTO=true solution upstream.
	* patches/openjdk/7122142-annotation_race_condition.patch,
	* patches/openjdk/7161796-wrong_fetch_in_fetch_static_field.patch:
	Remove patches included upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove above patches.
	(ICEDTEA_ENV): Set UNLIMITED_CRYPTO=true.
	* NEWS: Updated.
	* patches/openjdk/4963723-implement_sha-224.patch:
	Regenerated following backport of 6647452 upstream.
	* patches/openjdk/7044060-support_nsa_suite_b.patch:
	Likewise.
	* patches/openjdk/7106773-512_bits_rsa.patch: Likewise.
	* patches/openjdk/8006935-long_keys_in_hmac_prf.patch: Likewise.
	* patches/openjdk/p11cipher-4898461-support_ecb_and_cbc.patch:
	Likewise.
	* patches/openjdk/p11cipher-6604496-support_ckm_aes_ctr.patch:
	Likewise.

2015-01-05  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/ecj/pr64174.patch: Drop the Lithuanian
	changeover date now, as it's in the past.

2014-12-04  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(ICEDTEA_ECJ_PATCHES): Add workaround for bug
	in parsing end-of-year dates (Classpath PR64174).
	* acinclude.m4:
	(IT_PR64174_CHECK): Detect if the boot JDK suffers
	from PR64174 and apply the patch if so.
	* configure.ac: Call IT_PR64174_CHECK.
	* patches/ecj/pr64174.patch: Drop the Latvian
	Euro changeover date, which is in the past anyway,
	and move Lithuania's two hours forward so it enters
	2015 and avoids the bug.

2014-10-24  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to next release, b34.

2014-12-05  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2125: Synchronise elliptic curves in
	sun.security.ec.NamedCurve with those listed by NSS
	* fsg.sh: Moved to...
	* Makefile.am:
	(EXTRA_DIST): Remove fsg.sh, now generated
	by configure.
	(extract-openjdk): Fix path to new generated
	fsg.sh and mark as executable
	* NEWS: Updated.
	* configure.ac: Add fsg.sh to AC_CONFIG_FILES.
	* fsg.sh.in: ... here and added application
	of PR2125 patch.
	* patches/pr2125.patch: Patch to remove curves
	unsupported by NSS.

2015-01-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2062: Unset OS before running OpenJDK build
	* Makefile.am:
	(ICEDTEA_UNSET): Introduce variable to
	store unsetting of environment variables.
	(ICEDTEA_ENV): Move JAVAC, JAVA_HOME and
	JDK_HOME to ICEDTEA_UNSET.
	(icedtea): Unset variables prior to running
	$(MAKE).
	(icedtea-debug): Likewise.
	(icedtea-ecj): Likewise.
	* NEWS: Updated.

2014-06-10  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1832, RH1022017: Report elliptic curves
	supported by NSS, not the SunEC library
	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch when
	PKCS11+NSS is enabled, so
	that the NSS set of curves are announced
	via SSL.
	* NEWS: Updated.
	* patches/rh1022017.patch:
	Reduce number of curves announced over SSL
	to just those supported by NSS.

2014-06-10  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1831: Drop version requirement for LCMS 2
	* INSTALL: Document lcms2 requirement.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_CHECK_FOR_LCMS): Drop 2.5 requirement.

2014-10-24  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am,
	(ICEDTEA_PATCHES): Add new patch.
	* NEWS: Updated.
	* patches/openjdk/8000897-use_corresponding_digest_length.patch:
	Fix for SHA-2 bug discovered in RH1155012.

2014-10-24  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patches.
	* NEWS: Updated.
	* patches/openjdk/7122142-annotation_race_condition.patch:
	Backport fix for annotation race condition.
	* patches/openjdk/7161796-wrong_fetch_in_fetch_static_field.patch:
	Fix for HotSpot bug hit by 7122142.

2014-10-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR2033: patches/ecj/jaxws-getdtdtype.patch no
	longer applies since removal of JAXWS drop
	* NEWS: Updated.
	* patches/ecj/jaxws-getdtdtype.patch:
	Regenerated as a normal patch against the
	OpenJDK source tree.

2014-10-14  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 1.13.6 section.
	* configure.ac: Bump to 1.13.6pre.

2014-10-14  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Correct formatting in 1.13.5
	release notes.

2014-10-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* configure.ac: Bump to 1.13.5.

2014-08-29  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Update OpenJDK bug URL.

2014-10-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* NEWS: Updated.
	* patches/openjdk/8017173-xml_cipher_rsa_oaep_cant_be_instantiated.patch:
	Backport of regression fix from 7u for PR1688.

2014-10-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* NEWS: Updated.
	* patches/pr1904-icedtea_and_distro_versioning.patch:
	Backport of versioning fix from IcedTea 2.x.

2014-10-08  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patches.
	* NEWS: Updated.
	* patches/openjdk/4963723-implement_sha-224.patch,
	* patches/openjdk/6578658-sunmscapi_nonewithrsa.patch,
	* patches/openjdk/6753664-sunmscapi_sha-256.patch,
	* patches/openjdk/7033170-getmaxallowedkeylength_throws_exception.patch,
	* patches/openjdk/7044060-support_nsa_suite_b.patch,
	* patches/openjdk/7106773-512_bits_rsa.patch,
	* patches/openjdk/7180907-jarsigner_sha-256.patch,
	* patches/openjdk/8006935-long_keys_in_hmac_prf.patch,
	* patches/openjdk/8049480-jarsigner_openjdk_9.patch:
	Backports to improve cryptography support.

2014-10-08  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/7027300-unsync_hashmap_causes_endless_loop.patch,
	* patches/openjdk/7183251-netbeans_renders_text_wrong.patch,
	* patches/openjdk/oj639-handle_fonts_with_no_canon_flag_set.patch:
	Remove upstreamed patches.
	* Makefile.am:
	(OPENJDK_DATE): Bump to security update release date, 14th of October.
	(OPENJDK_SHA256SUM): Update for b33 tarball.
	(ICEDTEA_PATCHES): Drop above patches.
	* NEWS: Add fixes from b33.
	* patches/openjdk/6816311-compiler_name.patch:
	Remove windows.h fragments added in OPENJDK6-41.
	* patches/openjdk/p11cipher-6812738-native_cleanup.patch:
	Remove fragment added by security update.

2014-07-30  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/8010213-set_socketoptions_windows.patch:
	Remove upstreamed patch.
	* Makefile.am:
	(ICEDTEA_PATCHES): Drop upstreamed patch.

2014-07-30  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to next release, b33.

2014-07-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	OJ39: Handle fonts with the non-canonical
	processing flag set
	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* NEWS: Updated.
	* patches/openjdk/oj639-handle_fonts_with_no_canon_flag_set.patch:
	Sync LETypes.h and LayoutEngine.cpp with 7 versions
	in order to support fonts with the no canonical
	processing flag.

2014-07-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Fix formatting issues.

2014-07-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	* configure.ac: Bump to 1.13.5pre.
	* NEWS: Add 1.13.5 section.

2014-07-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	* configure.ac: Bump to 1.13.4.
	* NEWS: Remove 1.13.5 section.

2014-07-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS:
	Move D-I-D fixes into security list.
	Add CVE numbers.

2014-07-15  Omair Majid  <omajid@redhat.com>

	* NEWS: Add a section for 1.13.5
	* configure.ac: Bump to 1.13.5pre.

2014-07-15  Omair Majid  <omajid@redhat.com>

	* NEWS: Set unembargo date.
	* configure.ac: Bump to 1.13.4.

2014-07-14  Omair Majid  <omajid@redhat.com>

	* NEWS: Update with fixes.
	* Makefile.am (OPENJDK_SHA256SUM): Update checksum for new tarball.

2014-07-08  Omair Majid  <omajid@redhat.com>

	2014-07-15 CPU
	* NEWS: Update with fixes.
	* Makefile.am
	(OPENJDK_DATE, OPENJDK_SHA256SUM, OPENJDK_VERSION): Update for b32.
	(ICEDTEA_PATCHES): Drop upstreamed patches.
	* patches/openjdk/6636370-appcontext_simplification.patch,
	* patches/openjdk/6729772-opt_cleanup.patch,
	* patches/openjdk/6799141-split_out_versions.patch,
	* patches/openjdk/6816311-compiler_name.patch,
	* patches/windows-awt.patch: Update to apply on top of b32.
	* patches/jtreg-T6638712-fix.patch,
	* patches/openjdk/6638712-wildcard_types.patch,
	* patches/openjdk/6650759-missing_inference.patch: Remove upstreamed
	patch.

2014-05-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patches.
	* NEWS: Updated.
	* patches/openjdk/7183251-netbeans_renders_text_wrong.patch:
	Backport text layout fixes.

2014-05-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* NEWS: Updated.
	* patches/openjdk/7027300-unsync_hashmap_causes_endless_loop.patch:
	Backport fix to replace HashMap usage with ConcurrentHashMap,
	avoiding deadlock.

2014-05-09  Jiri Vanek  <jvanek@redhat.com>

	* Makefile.am: (add-nss-debug.stamp): fixed ECJ_BUILD_OUTPUT_DIR
	to DEBUG_BUILD_OUTPUT_DIR.

2014-04-16  Andrew John Hughes  <gnu.andrew@redhat.com>

	* configure.ac: Bump to 1.13.4pre.
	* NEWS: Add 1.13.4 section.

2014-04-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS:
	Include minor updates from announcement.

2014-04-11  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_VERSION): Set to b31.

2014-04-10  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add unembargo date.
	* configure.ac: Set to 1.13.3.

2014-04-10  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: List changes imported from b31 tarball.

2014-04-10  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_DATE): Update to b31 release date.
	(OPENJDK_SHA256SUM): Set to hash of new b31 tarball.

2014-04-10  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/merge_fix.patch,
	* patches/openjdk/4685768-focus.patch,
	* patches/openjdk/4993545-nativeinlightfixer.patch,
	* patches/openjdk/6444769-windowwithwarningtest.patch,
	* patches/openjdk/6607170-request_focus.patch,
	* patches/openjdk/6607660-treelock.patch,
	* patches/openjdk/6616323-component_array.patch,
	* patches/openjdk/6633275-shaped_translucent_windows.patch,
	* patches/openjdk/6637796-set_bounds.patch,
	* patches/openjdk/6656651-windows_lcd_glyphs.patch,
	* patches/openjdk/6682046-shape_calculation.patch,
	* patches/openjdk/6693253-security_warning.patch,
	* patches/openjdk/6725214-direct3d-01.patch,
	* patches/openjdk/6748082-isDisplayLocal.patch,
	* patches/openjdk/6755274-glgetstring-crash.patch,
	* patches/openjdk/6769607-modal-hangs.patch,
	* patches/openjdk/6791612-opengl-jni-fix.patch,
	* patches/openjdk/6797195-hw_lw_mixing.patch,
	* patches/openjdk/6984543-onscreen_rendering_resize_test.patch,
	* patches/openjdk/7110396-sound_code_build_fix.patch,
	* patches/openjdk/8035893-jvm_getversioninfo_zeroing.patch,
	* patches/openjdk/oj6-29-jdk_version_info_zeroing.patch,
	* patches/security/20120214/7112642.patch,
	* patches/security/20130618/8009071-improve_shape_handling.patch:
	Removed; upstreamed.
	* Makefile.am:
	(SPECIAL_SECURITY_PATCH_1): Removed.
	(SPECIAL_SECURITY_PATCH_2): Likewise.
	(LCMS_PATCHES): Add latest security fixes for users of in-tree LCMS2.
	(UPSTREAMED_PATCHES): Set to empty.
	(ICEDTEA_PATCHES): Remove upstreamed patches.
	* patches/nomotif-6706121.patch: Regenerated.
	* patches/security/20131015/8014098-better_profile_validation.patch,
	* patches/security/20140415/8031335-better_colour_profiling.patch:
	Security fixes for LCMS 2, taken from IcedTea 2.4.x.

2014-03-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Fix OPENJDK6-29 bug reference.

2014-03-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	* configure.ac: Bump to 1.13.3pre.
	* NEWS: Add 1.13.3 section.

2014-03-28  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Update release date.

2014-03-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add potential release date and
	Gentoo bug ID for PaX change.
	* configure.ac: Set to 1.13.2.

2014-03-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(UPSTREAMED_PATCHES): Add patches from unreleased upstream.
	(ICEDTEA_PATCHES): Include UPSTREAMED_PATCHES.
	* NEWS: Updated.
	* patches/openjdk/7110396-sound_code_build_fix.patch,
	* patches/openjdk/8035893-jvm_getversioninfo_zeroing.patch,
	* patches/openjdk/oj6-29-jdk_version_info_zeroing.patch:
	Add new patches from upstream.

2014-02-01  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/linker-libs-order.patch:
	Regenerate, removing upstreamed fragment.

2012-08-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR1712: Allow -Werror to be turned off in the
	HotSpot build
	* Makefile.am:
	(WERROR_STATUS): Set to true or false
	depending on if ENABLE_WERROR is set or not.
	(ICEDTEA_ENV): Use WERROR_STATUS to set
	COMPILER_WARNINGS_FATAL.
	* acinclude.m4:
	(IT_ENABLE_WERROR): New macro to enable -Werror.
	This is disabled by default.
	* configure.ac: Call IT_ENABLE_WERROR.
	* NEWS: Updated.

2014-03-25  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1714: Update PaX support to detect running PaX
	kernel and use newer tools
	* Makefile.am:
	(add-archive): Depend on pax-mark-vm as the target executes java.
	(add-archive-debug): Likewise with pax-mark-vm-debug.
	(check-crypto): Depend on pax-mark-vm as the target executes java.
	(check-crypto-debug): Likewise with pax-mark-vm-debug.
	(add-archive-ecj): Depend on pax-mark-vm-ecj as the target executes java.
	(check-crypto-boot): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_HAS_PAX): New macro to detect whether the running
	kernel uses PaX.
	(IT_WITH_PAX): Rewritten to search for PaX tools -
	currently paxmark.sh, paxctl-ng, chpax and paxctl -
	and fail if a tool isn't found and a PaX kernel is
	being used.

2014-01-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_CHECK_FOR_LCMS): Depend on IT_ENABLE_LCMS2
	and only enable system LCMS by default if it's
	enabled.
	* configure.ac:
	Don't invoke IT_ENABLE_LCMS2 explicitly.

2014-01-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/alternative_krb5_cache_fixup.patch:
	Remove unneeded jdk_generic_profile.sh fragment
	that doesn't apply when system LCMS is disabled.

2014-01-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* configure.ac: Set to 1.13.2pre.
	* NEWS: Add 1.13.2 section and missing CVE.

2014-01-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* configure.ac: Set to 1.13.1.
	* NEWS: Set 1.13.1 release date.

2014-01-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Update with NSS patch fix.

2014-01-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	* AUTHORS:
	Credit Aurelien Jarno for D729448 patch.

2014-01-10  Omair Majid  <omajid@redhat.com>

	* patches/nss-not-enabled-config.patch: Fix path
	to java.security.

2014-01-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add fixes from end of b30 lifecycle.

2014-01-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_DATE): Set to date of b30.
	(OPENJDK_SHA256SUM): Add b30 SHA256 checksum.
	(OPENJDK_SRC_ZIP): Switch to smaller xz tarball.

2014-01-17  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add fixes added to upstream.

2014-01-17  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to next release, b30.

2014-01-17  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/6763340-corba_memory_leak.patch,
	* patches/openjdk/6893617-cnctx_always_uses_default_orb.patch,
	* patches/openjdk/6980681-corba_deadlock.patch,
	* patches/openjdk/7162902-corba_fixes.patch,
	* patches/openjdk/8009530-icu_kern_table_support_broken.patch:
	Remove upstreamed fixes.
	* Makefile.am:
	(ICEDTEA_PATCHES): Drop above.
	* patches/hotspot/hs23/update-bootclasspath.patch,
	* patches/openjdk/p11cipher-6812738-native_cleanup.patch:
	Regenerated against upstream.

2013-12-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Fix usage of JEP and add key.

2014-01-16  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 1.13.1 section.
	* configure.ac: Set to 1.13.1pre.

2013-12-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Set release date.
	* configure.ac: Set to 1.13.0.

2013-12-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add patch.
	* patches/shark-drop_compile_method_arg_following_7083786.patch:
	Drop extra argument to compile_method, removed
	in 7083786, from sharkCompiler.cpp.
	* NEWS: Updated.

2013-12-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add patch.
	* patches/8003992_support_6.patch:
	Fix test in 8003992 to build on OpenJDK 6
	by removing multi-catch and NIO2.

2013-12-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add patch.
	* patches/shark_fixes_from_8003868.patch:
	Backport EliminateNestedLocks definition
	for Shark from 8003868 in OpenJDK 8.

2013-12-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patches.
	* AUTHORS: Add Alex Kasko.

2013-07-21  Alex Kasko  <alex.kasko.lists@gmail.com>

	* patches/windows-awt.patch,
	* patches/windows-jdk-sizecalc.patch:
	Fix Windows build following backport of 6585765.

2013-12-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_SET_ARCH_SETTINGS): Use target, not host.
	(IT_SET_OS_DIRS): Likewise.
	(IT_CHECK_FOR_LCMS): Only default to system LCMS
	is using GNU/Linux.
	(IT_CHECK_FOR_ZLIB): Likewise.
	(IT_CHECK_FOR_JPEG): Likewise.
	(IT_CHECK_FOR_PNG): Likewise.
	(IT_CHECK_FOR_GIF): Likewise.
	* configure.ac:
	Add AC_CANONICAL_TARGET after AC_CANONICAL_HOST
	and move earlier in file, before Automake
	initialisation.

2013-12-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_CHECK_FOR_ZLIB): Add a fallback to the old
	way of checking for zlib for older systems.

2011-09-27  Andrew John Hughes  <ahughes@redhat.com>

	* acinclude.m4:
	Always quote using '[' and ']' in macro calls.
	(IT_CHECK_FOR_GIF): Replace quotation marks
	with '[' and ']'.
	* configure.ac:
	Same for CUPS and X.org checks.

2013-09-11  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* acinclude.m4:
	(IT_CHECK_FOR_LCMS): Make error message mention
	version.

2013-07-24  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* acinclude.m4:
	(IT_CHECK_FOR_LCMS): Turn system LCMS on by
	default if the version is 2.5 or above with the
	latest security fixes.

2013-12-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(hgforest): Use $@ for stamp name.
	(download-openjdk): Likewise.
	(download-hotspot): Likewise.
	(download): Likewise.
	(extract-openjdk): Likewise.
	(extract-jamvm): Likewise.
	(replace-hotspot): Likewise.
	(ports): Likewise.
	(remove-intree-libraries): Likewise.
	(generated): Likewise.
	(fonts): Likewise.
	(patch-fsg): Likewise.
	(patch): Likewise.
	(overlay): Likewise.
	(extract-ecj): Likewise.
	(patch-ecj): Likewise.
	(native-ecj): Likewise.
	(bootstrap-directory-ecj): Likewise.
	(bootstrap-directory): Likewise.
	(bootstrap-directory-symlink-ecj): Likewise.
	(bootstrap-directory-symlink): Likewise.
	(icedtea): Likewise.
	(icedtea-debug): Likewise.
	(icedtea-against-icedtea): Likewise.
	(icedtea-debug-against-icedtea): Likewise.
	(add-systemtap): Likewise.
	(add-systemtap-debug): Likewise.
	(add-pulseaudio): Likewise.
	(add-pulseaudio-debug): Likewise.
	(add-nss): Likewise.
	(add-nss-debug): Likewise.
	(add-tzdata-support): Likewise.
	(add-tzdata-support-debug): Likewise.
	(add-archive): Likewise.
	(add-archive-debug): Likewise.
	(check-crypto-debug): Add missing stamp.
	(icedtea-ecj): Use $@ for stamp name.
	(icedtea-against-ecj): Likewise.
	(add-systemtap-ecj): Likewise.
	(add-pulseaudio-ecj): Likewise.
	(add-nss-ecj): Likewise.
	(add-tzdata-support-ecj): Likewise.
	(add-archive-ecj): Likewise.
	(pulse-java): Likewise.
	(pulse-java-jar): Likewise.
	(pulse-java-class): Likewise.
	(pulse-java-headers): Likewise.
	(rewriter): Likewise.
	(rewrite-rhino): Likewise.
	(rt-class-files): Likewise.
	(rt): Likewise.

2013-12-24  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR1630: Make system JPEG/Zlib/PNG/GIF support
	optional
	* patches/alternative_krb5_cache_fixup.patch:
	Replace USE_SYSTEM_LCMS with SYSTEM_LCMS.
	* patches/libraries-gif.patch: Split out
	from libraries.patch.
	* patches/libraries-jpeg.patch: Likewise.
	* patches/libraries-png.patch: Likewise.
	* patches/libraries-splashscreen.patch:
	Rewritten using SYSTEM_{PNG,GIF,ZLIB,JPEG} flags.
	* patches/libraries-zlib.patch:
	Split out from libraries.patch.
	* patches/linker-libs-order-zlib.patch:
	Split out from linker-libs-order.patch.  Only
	applies if system zlib is being used.
	* patches/linker-libs-order.patch:
	Move system-zlib-specific parts to separate file.
	* patches/openjdk/lcms2/system_lcms2.patch:
	Replace USE_SYSTEM_LCMS with SYSTEM_LCMS.
	* patches/rh661505-jpeg-nosys.patch:
	New version that uses function calls appropriate for
	the in-tree version.
	* patches/security/20130618/8009071-improve_shape_handling.patch:
	Regenerated as now applied before libraries-gif.patch,
	which may or may not be applied.

2011-09-06  Andrew John Hughes  <ahughes@redhat.com>

	* patches/libraries.patch:
	Split into parts for individual libraries.
	Splashscreen parts rewritten.
	* Makefile.am:
	(ICEDTEA_PATCHES): Replace libraries.patch
	with libraries-splashscreen.patch.  Apply
	other library patches depending on which
	system libraries are used and which aren't.
	Use a different version of the RH661505
	patch, depending on whether the system
	or in-tree JPEG library is used.
	(ICEDTEA_ENV): Set ZLIB_LIBS, ZLIB_CFLAGS,
	SYSTEM_ZLIB, JPEG_LIBS, JPEG_CFLAGS,
	SYSTEM_JPEG, PNG_LIBS, PNG_CFLAGS,
	SYSTEM_PNG, GIF_LIBS, GIF_CFLAGS,
	SYSTEM_GIF.  Replace USE_SYSTEM_LCMS with
	SYSTEM_LCMS for consistency.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_CHECK_FOR_ZLIB): New macro to check for zlib.
	(IT_CHECK_FOR_JPEG): Likewise for libjpeg.
	(IT_CHECK_FOR_PNG): Likewise for libpng.
	(IT_CHECK_FOR_GIF): Likewise for giflib.
	* configure.ac:
	Remove old AC_CHECK_LIB calls for jpeg, gif
	and zlib and PKG_CHECK_MODULES call for libpng.
	Add calls to new macros above.
	* remove-intree-libraries.sh.in:
	Make removal of zlib, libpng, giflib and libjpeg
	files dependent on whether or not the system versions
	are used (the default).

2013-12-20  Xerxes Rånby  <xerxes@zafena.se>
	    Robert Lougher  <rob@jamvm.org.uk>

	JamVM
	* NEWS: Updated. Removed note about JSR 355 for IcedTea 1.
	  JSR 335 is only enabled for IcedTea 3 / OpenJDK 8 builds.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2013-11-18 revision.
	(JAMVM_SHA256SUM): Updated.

2013-12-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR1502: Allow use of system LCMS 2
	* patches/openjdk/lcms2/8007925-improve_cmsstagealloclabv2tov4curves.patch,
	* patches/openjdk/lcms2/8007927-improve_cmsallocprofilesequencedescription.patch,
	* patches/openjdk/lcms2/8007929-improve_curvesalloc.patch,
	* patches/openjdk/lcms2/8009654-cmsnamed_stability.patch:
	Moved to...
	* patches/openjdk/lcms2/bundled/8007925-improve_cmsstagealloclabv2tov4curves.patch,
	* patches/openjdk/lcms2/bundled/8007927-improve_cmsallocprofilesequencedescription.patch,
	* patches/openjdk/lcms2/bundled/8007929-improve_curvesalloc.patch,
	* patches/openjdk/lcms2/bundled/8009654-cmsnamed_stability.patch:
	...here.
	* Makefile.am:
	(ICEDTEA_PATCHES): Apply certain LCMS patches only when
	not building using the system library.
	* patches/ecj/icedtea.patch: Only rename header if it
	exists.
	* patches/openjdk/lcms2/6523398-writing_tags.patch,
	* patches/openjdk/lcms2/7042594-tck_failure.patch,
	* patches/openjdk/lcms2/7053526-lcms_2.4.patch:
	Move patches to bundled LCMS 2 into...
	* patches/openjdk/lcms2/bundled/6523398-writing_tags.patch,
	* patches/openjdk/lcms2/bundled/7042594-tck_failure.patch,
	* patches/openjdk/lcms2/bundled/7053526-lcms_2.4.patch:
	...these files.
	* NEWS: Updated.

2011-05-04  Andrew John Hughes  <ahughes@redhat.com>

	* remove-intree-libraries.sh: Renamed.
	* INSTALL: Updated with new option.
	* Makefile.am:
	(ICEDTEA_ENV): Set USE_SYSTEM_LCMS, LCMS_LIBS
	and LCMS_CFLAGS if building with system LCMS.
	* acinclude.m4:
	(IT_CHECK_FOR_LCMS): Provide the --enable-system-lcms
	option, enabled by default.
	* configure.ac:
	Call IT_CHECK_FOR_LCMS.
	* remove-intree-libraries.sh.in:
	Delete LCMS source code only if system version is
	being used.

2013-12-18  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Include changes new to b29.

2013-12-18  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Move PR1290 to new features list,
	not bug fixes.

2013-06-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* AUTHORS: Updated with Michal.

2013-12-18  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1501: Backport IcedTea 2.x library removal script
	* patches/openjdk/7002766-parfait-jpeg.patch: Moved to...
	* patches/openjdk/libjpeg/7002766-parfait-jpeg.patch: ... here.
	* Makefile.am:
	(ICEDTEA_PATCHES): Drop 7002766 for the time being, until
	an option to build with bundled libjpeg is added.
	(extract): Depend on remove-intree-libraries.
	(clean-extract): Depend on clean-remove-intree-libraries.
	(remove-intree-libraries): Run new script.
	(clean-remove-intree-libraries): Remove stamp.
	* patches/libraries.patch:
	Regenerated without removal of entire files, which is now
	done by the script.
	* patches/openjdk/6989774-imageio_compiler_warnings.patch:
	Split libjpeg changes into...
	* patches/openjdk/libjpeg/6989774-imageio_compiler_warnings.patch:
	... this patch (currently unapplied as above).
	* remove-intree-libraries.sh: Script to delete bundled
	libjpeg, giflib, libpng & zlib.
	* NEWS: Updated.

2013-12-18  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Mention PR1376.

2013-12-18  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1627: JDK check should depend on bootstrapping check
	* acinclude.m4:
	(IT_CHECK_IF_BOOTSTRAPPING): Define only once.
	(IT_CHECK_FOR_JDK): Define only once and require
	IT_CHECK_IF_BOOTSTRAPPING for setting of
	enable_bootstrap variable.
	* configure.ac: Don't invoke IT_CHECK_IF_BOOTSTRAPPING
	explicitly.
	* NEWS: Updated.

2013-06-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* INSTALL:
	Synchronise list of VMs with macro in acinclude.m4.
	* acinclude.m4: Provide separate output for user
	specified JDKs and the checking process.  Extend
	the list of JVMs to include more from Fedora &
	RHEL and the newer Gentoo variants.
	* NEWS: Updated.

2013-03-21  Michal Vyskocil  <mvyskocil@suse.cz>

	PR1360: Check for /usr/lib64 JVMs and generic JPackage alternative
	* INSTALL: Add /etc/alternatives/java_sdk_openjdk.
	* acinclude.m4: Likewise.

2013-06-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(.PHONY): Add clean-cryptocheck.
	(clean-local): Likewise.

2013-06-05  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(check-crypto): Depend on icedtea.stamp.
	(check-crypto-debug): Depend on icedtea-debug.stamp.
	(clean-crypto-boot): Depend on icedtea-ecj.stamp.

2013-06-05  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1290: Ensure unlimited crypto policy is in place.
	* Makefile.am:
	(CRYPTO_CHECK_BUILD_DIR): New variable.
	(CRYPTO_CHECK_SRCS): Likewise.
	(EXTRA_DIST): Add crypto check sources.
	(.PHONY): Add new clean targets.
	(icedtea-against-icedtea): Depend on check-crypto.
	(clean-icedtea-against-icedtea): Depend on
	clean-check-crypto.
	(icedtea-debug-against-icedtea): Depend on
	check-crypto-debug.
	(clean-icedtea-debug-against-icedtea): Depend on
	clean-check-crypto-debug.
	(check-crypto): Run the crypto checker on a normal
	stage 2 build.
	(clean-check-crypto): Delete the check-crypto stamp.
	(check-crypto-debug): Run the crypto checker on a
	debug stage 2 build.
	(clean-check-crypto-debug): Delete the
	check-crypto-debug stamp.
	(icedtea-against-ecj): Depend on
	check-crypto-boot.
	(clean-icedtea-against-ecj): Depend on
	clean-check-crypto-boot.
	(check-crypto-boot): Run the crypto checker on
	the stage 1 build.
	(clean-check-crypto-boot): Delete the
	check-crypto-boot stamp.
	(cryptocheck): Build the crypto checker.
	(clean-cryptocheck): Revert cryptocheck.
	* NEWS: Updated.
	* TestCryptoLevel.java:
	Checks whether the unlimited crypto policy is in
	place or not.

2013-12-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_DATE): Set to date of b29.
	(OPENJDK_SHA256SUM): Add b29 SHA256 checksum.

2013-11-21  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* patches/d729448-32_bit_alignment.patch:
	Fix alignment on mips and mipsel.

2013-11-08  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patches.
	* patches/openjdk/6925851-pt_br.patch: Added.
	* patches/openjdk/7017800-tzdata2011b.patch,
	* patches/openjdk/7027387-tzdata2011d.patch:
	Updated with pt_BR changes.
	* patches/openjdk/7035073-missing_pt_br_timezones.patch:
	Added.
	* patches/openjdk/7090843-tzdata2011j.patch,
	* patches/openjdk/7103108-tzdata2011l.patch,
	* patches/openjdk/7103405-correct_display_names.patch,
	* patches/openjdk/7158483-tzdata2012c.patch,
	* patches/openjdk/8009987-tzdata2013b.patch:
	Updated with pt_BR changes.
	* patches/openjdk/8025255-tzdata2013g.patch:
	Added.

2013-11-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 1.12.7 release notes.

2012-11-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/8015614-update_build.patch,
	* patches/openjdk/8016256-finalization_final.patch,
	* patches/openjdk/8020943-memory_leak.patch,
	* patches/openjdk/8023457-tracing_mutex.patch,
	* patches/openjdk/8023478-hs_crash.patch,
	* patches/openjdk/8023683-enhance_class_file_parsing.patch,
	* patches/openjdk/8024914-swapped_usage.patch: Removed.
	* Makefile.am:
	(SECURITY_PATCHES): Remove upstreamed ones.

2012-11-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/4075303-javap_update.patch,
	* patches/openjdk/4111861-static_fields.patch,
	* patches/openjdk/4501661-disallow_mixing.patch,
	* patches/openjdk/4884240-javap_additional_option.patch,
	* patches/openjdk/6708729-javap_makefile_update.patch,
	* patches/openjdk/6715767-javap_crash.patch,
	* patches/openjdk/6819246-javap_instruction_decoding.patch,
	* patches/openjdk/6824493-experimental.patch,
	* patches/openjdk/6841419-classfile_iterator.patch,
	* patches/openjdk/6841420-classfile_methods.patch,
	* patches/openjdk/6843013-missing_experimental.patch,
	* patches/openjdk/6852856-javap_subclasses.patch,
	* patches/openjdk/6867671-javap_whitespace.patch,
	* patches/openjdk/6868539-constant_pool_tags.patch,
	* patches/openjdk/6902264-fix_indentation.patch,
	* patches/openjdk/6954275-big_xml_signatures.patch,
	* patches/openjdk/7146431-java.security_files.patch,
	* patches/openjdk/7196533-timezone_bottleneck.patch,
	* patches/openjdk/8000450-restrict_access.patch,
	* patches/openjdk/8002070-remove_logger_stack_search.patch,
	* patches/openjdk/8003992-embedded_nulls.patch,
	* patches/openjdk/8004188-rename_java.security.patch,
	* patches/openjdk/8006882-jmockit.patch,
	* patches/openjdk/8006900-new_date_time.patch,
	* patches/openjdk/8008589-better_mbean_permission_validation.patch,
	* patches/openjdk/8010118-caller_sensitive.patch,
	* patches/openjdk/8010727-empty_logger_name.patch,
	* patches/openjdk/8010939-logmanager_deadlock.patch,
	* patches/openjdk/8011071-better_crypto_provider_handling.patch,
	* patches/openjdk/8011081-improve_jhat.patch,
	* patches/openjdk/8011139-revise_checking_getenclosingclass.patch,
	* patches/openjdk/8011157-improve_corba_portability-jdk.patch,
	* patches/openjdk/8011157-improve_corba_portability.patch,
	* patches/openjdk/8011990-logger_test_urls.patch,
	* patches/openjdk/8012071-better_bean_building.patch,
	* patches/openjdk/8012147-improve_tool.patch,
	* patches/openjdk/8012243-serial_regression.patch,
	* patches/openjdk/8012277-improve_dataflavour.patch,
	* patches/openjdk/8012425-transform_transformfactory.patch,
	* patches/openjdk/8012453-runtime.exec.patch,
	* patches/openjdk/8012617-arrayindexoutofbounds_linebreakmeasurer.patch,
	* patches/openjdk/8013380-logger_stack_walk_glassfish.patch,
	* patches/openjdk/8013503-improve_stream_factories.patch,
	* patches/openjdk/8013506-better_pack200.patch,
	* patches/openjdk/8013510-augment_image_writing.patch,
	* patches/openjdk/8013514-improve_cmap_stability.patch,
	* patches/openjdk/8013739-better_ldap_resource_management.patch,
	* patches/openjdk/8013744-better_tabling.patch,
	* patches/openjdk/8013827-createtempfile_hang.patch,
	* patches/openjdk/8014085-better_serialization.patch,
	* patches/openjdk/8014093-improve_image_parsing.patch,
	* patches/openjdk/8014102-improve_image_conversion.patch,
	* patches/openjdk/8014341-better_kerberos_service.patch,
	* patches/openjdk/8014349-getdeclaredclass_fix.patch,
	* patches/openjdk/8014530-better_dsp.patch,
	* patches/openjdk/8014534-better_profiling.patch,
	* patches/openjdk/8014718-remove_logging_suntoolkit.patch,
	* patches/openjdk/8014745-logger_stack_walk_switch.patch,
	* patches/openjdk/8014987-augment_serialization.patch,
	* patches/openjdk/8015144-performance_regression.patch,
	* patches/openjdk/8015731-auth_improvements.patch,
	* patches/openjdk/8015743-address_internet_addresses.patch,
	* patches/openjdk/8015965-typo_in_property_name.patch,
	* patches/openjdk/8015978-incorrect_transformation.patch,
	* patches/openjdk/8016357-update_hs_diagnostic_class.patch,
	* patches/openjdk/8016653-ignoreable_characters.patch,
	* patches/openjdk/8016675-robust_javadoc.patch,
	* patches/openjdk/8017196-ensure_proxies_are_handled_appropriately-jdk.patch,
	* patches/openjdk/8017196-ensure_proxies_are_handled_appropriately.patch,
	* patches/openjdk/8017287-better_resource_disposal.patch,
	* patches/openjdk/8017291-cast_proxies_aside.patch,
	* patches/openjdk/8017298-better_xml_support.patch,
	* patches/openjdk/8017300-improve_interface_implementation.patch,
	* patches/openjdk/8017505-better_client_service.patch,
	* patches/openjdk/8017566-backout_part_of_8000450.patch,
	* patches/openjdk/8019292-better_attribute_value_exceptions.patch,
	* patches/openjdk/8019584-invalid_notification_fix.patch,
	* patches/openjdk/8019617-better_view_of_objects.patch,
	* patches/openjdk/8019969-inet6_test_case_fix.patch,
	* patches/openjdk/8019979-better_access_test.patch,
	* patches/openjdk/8020293-jvm_crash.patch,
	* patches/openjdk/8021290-signature_validation.patch,
	* patches/openjdk/8021355-splashscreen_regression.patch,
	* patches/openjdk/8021366-jaxp_test_fix-01.patch,
	* patches/openjdk/8021577-bean_serialization_fix.patch,
	* patches/openjdk/8021933-jaxp_test_fix-02.patch,
	* patches/openjdk/8021969-jnlp_load_failure.patch,
	* patches/openjdk/8022661-writeobject_flush.patch,
	* patches/openjdk/8022682-supporting_xom.patch,
	* patches/openjdk/8022940-enhance_corba_translations.patch,
	* patches/openjdk/8023964-ignore_test.patch,
	* patches/openjdk/8025128-createtempfile_absolute_prefix.patch,
	* patches/openjdk/oj6-19-fix_8010118_test_cases.patch,
	* patches/openjdk/oj6-20-merge.patch,
	* patches/openjdk/oj6-21-overrides.patch: Removed.
	* Makefile.am:
	(SECURITY_PATCHES): Remove upstreamed ones.

2012-11-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to next release, b29.

2013-11-13  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 1.11.14 release notes and
	remove items in 1.13.0 which have been
	released in 1.11.x.

2013-10-31  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* patches/s390_casts.patch:
	Backport from IcedTea 2.3 tree.

2013-10-29  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/8002070-remove_logger_stack_search_2.patch,
	* patches/openjdk/8009463-space_and_final_backslash.patch,
	* patches/openjdk/8013380-handle_renames.patch:
	Removed as incorporated in other patches.
	* Makefile.am:
	(SECURITY_PATCHES): Add security update.
	* patches/jtreg-LastErrorString.patch: Regenerated.
	* patches/openjdk/4075303-javap_update.patch,
	* patches/openjdk/4111861-static_fields.patch,
	* patches/openjdk/4501661-disallow_mixing.patch,
	* patches/openjdk/4884240-javap_additional_option.patch,
	* patches/openjdk/6708729-javap_makefile_update.patch,
	* patches/openjdk/6715767-javap_crash.patch,
	* patches/openjdk/6819246-javap_instruction_decoding.patch,
	* patches/openjdk/6824493-experimental.patch,
	* patches/openjdk/6841419-classfile_iterator.patch,
	* patches/openjdk/6841420-classfile_methods.patch,
	* patches/openjdk/6843013-missing_experimental.patch,
	* patches/openjdk/6852856-javap_subclasses.patch,
	* patches/openjdk/6867671-javap_whitespace.patch,
	* patches/openjdk/6868539-constant_pool_tags.patch,
	* patches/openjdk/6902264-fix_indentation.patch,
	* patches/openjdk/6954275-big_xml_signatures.patch,
	* patches/openjdk/7146431-java.security_files.patch,
	* patches/openjdk/7162902-corba_fixes.patch,
	* patches/openjdk/7196533-timezone_bottleneck.patch,
	* patches/openjdk/8000450-restrict_access.patch,
	* patches/openjdk/8002070-remove_logger_stack_search.patch,
	* patches/openjdk/8003992-embedded_nulls.patch,
	* patches/openjdk/8004188-rename_java.security.patch,
	* patches/openjdk/8006882-jmockit.patch,
	* patches/openjdk/8006900-new_date_time.patch,
	* patches/openjdk/8008589-better_mbean_permission_validation.patch,
	* patches/openjdk/8010118-caller_sensitive.patch,
	* patches/openjdk/8010727-empty_logger_name.patch,
	* patches/openjdk/8010939-logmanager_deadlock.patch,
	* patches/openjdk/8011071-better_crypto_provider_handling.patch,
	* patches/openjdk/8011081-improve_jhat.patch,
	* patches/openjdk/8011139-revise_checking_getenclosingclass.patch,
	* patches/openjdk/8011157-improve_corba_portability-jdk.patch,
	* patches/openjdk/8011157-improve_corba_portability.patch,
	* patches/openjdk/8011990-logger_test_urls.patch,
	* patches/openjdk/8012071-better_bean_building.patch,
	* patches/openjdk/8012147-improve_tool.patch,
	* patches/openjdk/8012243-serial_regression.patch,
	* patches/openjdk/8012277-improve_dataflavour.patch,
	* patches/openjdk/8012425-transform_transformfactory.patch,
	* patches/openjdk/8012453-runtime.exec.patch,
	* patches/openjdk/8012617-arrayindexoutofbounds_linebreakmeasurer.patch,
	* patches/openjdk/8013380-logger_stack_walk_glassfish.patch,
	* patches/openjdk/8013503-improve_stream_factories.patch,
	* patches/openjdk/8013506-better_pack200.patch,
	* patches/openjdk/8013510-augment_image_writing.patch,
	* patches/openjdk/8013514-improve_cmap_stability.patch,
	* patches/openjdk/8013739-better_ldap_resource_management.patch,
	* patches/openjdk/8013744-better_tabling.patch,
	* patches/openjdk/8013827-createtempfile_hang.patch,
	* patches/openjdk/8014085-better_serialization.patch,
	* patches/openjdk/8014093-improve_image_parsing.patch,
	* patches/openjdk/8014102-improve_image_conversion.patch,
	* patches/openjdk/8014341-better_kerberos_service.patch,
	* patches/openjdk/8014349-getdeclaredclass_fix.patch,
	* patches/openjdk/8014530-better_dsp.patch,
	* patches/openjdk/8014534-better_profiling.patch,
	* patches/openjdk/8014718-remove_logging_suntoolkit.patch,
	* patches/openjdk/8014745-logger_stack_walk_switch.patch,
	* patches/openjdk/8014987-augment_serialization.patch,
	* patches/openjdk/8015144-performance_regression.patch,
	* patches/openjdk/8015614-update_build.patch,
	* patches/openjdk/8015731-auth_improvements.patch,
	* patches/openjdk/8015743-address_internet_addresses.patch,
	* patches/openjdk/8015965-typo_in_property_name.patch,
	* patches/openjdk/8015978-incorrect_transformation.patch,
	* patches/openjdk/8016256-finalization_final.patch,
	* patches/openjdk/8016357-update_hs_diagnostic_class.patch,
	* patches/openjdk/8016653-ignoreable_characters.patch,
	* patches/openjdk/8016675-robust_javadoc.patch,
	* patches/openjdk/8017196-ensure_proxies_are_handled_appropriately-jdk.patch,
	* patches/openjdk/8017196-ensure_proxies_are_handled_appropriately.patch,
	* patches/openjdk/8017287-better_resource_disposal.patch,
	* patches/openjdk/8017291-cast_proxies_aside.patch,
	* patches/openjdk/8017298-better_xml_support.patch,
	* patches/openjdk/8017300-improve_interface_implementation.patch,
	* patches/openjdk/8017505-better_client_service.patch,
	* patches/openjdk/8017566-backout_part_of_8000450.patch,
	* patches/openjdk/8019292-better_attribute_value_exceptions.patch,
	* patches/openjdk/8019584-invalid_notification_fix.patch,
	* patches/openjdk/8019617-better_view_of_objects.patch,
	* patches/openjdk/8019969-inet6_test_case_fix.patch,
	* patches/openjdk/8019979-better_access_test.patch,
	* patches/openjdk/8020293-jvm_crash.patch,
	* patches/openjdk/8020943-memory_leak.patch,
	* patches/openjdk/8021290-signature_validation.patch,
	* patches/openjdk/8021355-splashscreen_regression.patch,
	* patches/openjdk/8021366-jaxp_test_fix-01.patch,
	* patches/openjdk/8021577-bean_serialization_fix.patch,
	* patches/openjdk/8021933-jaxp_test_fix-02.patch,
	* patches/openjdk/8021969-jnlp_load_failure.patch,
	* patches/openjdk/8022661-writeobject_flush.patch,
	* patches/openjdk/8022682-supporting_xom.patch,
	* patches/openjdk/8022940-enhance_corba_translations.patch,
	* patches/openjdk/8023457-tracing_mutex.patch,
	* patches/openjdk/8023478-hs_crash.patch,
	* patches/openjdk/8023683-enhance_class_file_parsing.patch,
	* patches/openjdk/8023964-ignore_test.patch,
	* patches/openjdk/8024914-swapped_usage.patch,
	* patches/openjdk/8025128-createtempfile_absolute_prefix.patch,
	* patches/openjdk/oj6-19-fix_8010118_test_cases.patch,
	* patches/openjdk/oj6-20-merge.patch,
	* patches/openjdk/oj6-21-overrides.patch: Added.
	* NEWS: Updated.

2013-10-09  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* patches/ecj/icedtea.patch:
	Regenerated following compressed JAR support.
	* patches/openjdk/7025066-embedded_build.patch:
	Backport to actually provide COMPRESS_JARS support
	in the build.
	* NEWS: Updated.

2012-08-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR1288: Allow JARs to be optionally compressed by
	setting COMPRESS_JARS
	* Makefile.am:
	(ICEDTEA_ENV): Add COMPRESS_JARS="true" if
	ENABLE_JAR_COMPRESSION is set.
	* NEWS: Updated.
	* acinclude.m4: Add IT_ENABLE_JAR_COMPRESSION macro.
	* configure.ac: Include new macro.

2013-10-08  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* Makefile.am:
	(download-openjdk): Added --no-check-certificate
	flag to wget command to allow downloading OpenJDK
	tarball using https on systems with the necessary
	certificates.

2013-10-07  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS:
	Add features from b28 not already released (mainly
	those changes in HotSpot 20->23).

2013-10-07  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_DATE): Set to date of b28.
	(OPENJDK_SHA256SUM): Likewise for SHA256 checksum.
	(OPENJDK_URL): Use new OPENJDK-6 project URL.

2013-09-24  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/hotspot/hs23/remove_bad_overrides.patch:
	Removed.
	* Makefile.am:
	Remove patch now upstreamed.

2013-09-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* configure.ac:
	Check if CC gets set and fail if not.

2013-09-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* configure.ac:
	Check if CXX gets set and fail if not.

2013-09-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/cacao/hotspot/hs23/memory.patch,
	* patches/hotspot/hs23/6_for_override.patch:
	Removed.
	* Makefile.am:
	(ICEDTEA_PATCHES): Replace 6_for_override with
	remove_bad_overrides and hs23 memory patch with
	original.
	* patches/cacao/hotspot/original/memory.patch:
	Restored.
	* patches/hotspot/hs23/remove_bad_overrides.patch:
	Added.

2013-09-17  Xerxes Rånby  <xerxes@zafena.se>
	    Robert Lougher  <rob@jamvm.org.uk>

	JamVM
	- JSR 335: fix frame.c
	- Add support for CallerSensitive
	- JSR 335: handle interfaces when resolving a method
	- sun.misc.Unsafe: additional methods get/putAddress
	- JSR 292: make internal functions static
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2013-08-28 revision.
	(JAMVM_SHA256SUM): Updated.

2013-09-13  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/cacao/hotspot/original/memory.patch,
	* patches/ecj/bootver.patch,
	* patches/ecj/hotspot/original/hotspot-jdk-dependency.patch,
	* patches/hotspot/hs23/7197906-handle_32_bit_shifts.patch,
	* patches/hotspot/hs23/revert-7017193.patch,
	* patches/hotspot/original/6840152-jvm_crashes_with_heavyweight_monitors.patch,
	* patches/hotspot/original/7022999-fastlocking_compiler1_only.patch,
	* patches/hotspot/original/7032696-7029152_broke_vm.patch,
	* patches/hotspot/original/7140985-hsdis_caller_options.patch,
	* patches/hotspot/original/aarch64.patch,
	* patches/hotspot/original/alpha-fixes.patch,
	* patches/hotspot/original/arm-hsdis.patch,
	* patches/hotspot/original/arm.patch,
	* patches/hotspot/original/gcc-suffix.patch,
	* patches/hotspot/original/jtreg-test7020373-fix.patch,
	* patches/hotspot/original/pr639-broken_shark_build.patch,
	* patches/hotspot/original/sdt-arguments.patch,
	* patches/hotspot/original/sdt-dtrace-hpp.patch,
	* patches/hotspot/original/sdt-jni.patch,
	* patches/hotspot/original/sdt-make.patch,
	* patches/hotspot/original/systemtap-alloc-size-workaround.patch,
	* patches/hotspot/original/systemtap_gc.patch,
	* patches/hotspot/original/text-relocations.patch,
	* patches/hotspot/original/update-bootclasspath.patch,
	* patches/hotspot/original/version.patch,
	* patches/ia64-fix.patch,
	* patches/jtreg-remove-test-6987555.patch,
	* patches/jtreg-remove-test-6991596.patch,
	* patches/numa_on_early_glibc.patch,
	* patches/openjdk/6796786-invalid_FP_identity_transform.patch,
	* patches/openjdk/6956668-misbehavior_of_XOR_operator_with_int.patch,
	* patches/openjdk/7010849-modernise_sa.patch,
	* patches/openjdk/7019808-stack_noexec.patch,
	* patches/openjdk/7029152-String_intrinsics_miss_optimization.patch,
	* patches/openjdk/7031385-gcc-register-allocation-fix.patch,
	* patches/openjdk/7032388-work_without_cmov_instruction.patch,
	* patches/openjdk/7034464-transparent_huge_pages.patch,
	* patches/openjdk/7036220-shark_llvm_29_headers.patch,
	* patches/openjdk/7037939-disable_adaptive_resizing_with_large_pages.patch,
	* patches/openjdk/7041156-gcc_export_dynamic.patch,
	* patches/openjdk/7042070-Typo_in_Test6796786.patch,
	* patches/openjdk/7043564-hugepage.patch,
	* patches/openjdk/7047069-Array_can_dynamically_change_size.patch,
	* patches/params-cast-size_t.patch,
	* patches/pr690-shark-jit-hs20.patch,
	* patches/pr696-zero-fast_aldc-hs20.patch,
	* patches/security/20130416/8004336.patch,
	* patches/security/20130416/8006309.patch,
	* patches/security/20130416/8009699.patch,
	* patches/security/20130618/7158805-nested_subroutine_rewriting.patch,
	* patches/security/20130618/8001330-checking_order_improvement.patch,
	* patches/stdc-limit-macros.patch,
	* patches/systemtap-gcc-4.5.patch,
	* patches/use-idx_t.patch:
	Remove patches obsoleted by dropping of hs20 support.
	* INSTALL: Update docs to support only the 'original' hs23.
	* Makefile.am:
	(SECURITY_PATCHES): Removed (in hs23).
	(ICEDTEA_PATCHES): Add 6_for_override.  Replace
	$(HSBUILD) with hs23.  Join ALT_HSBUILD patches
	into main version.  Remove !ALT_HSBUILD patches.
	(ICEDTEA_ENV): Join ALT_HSBUILD settings to main version.
	* acinclude.m4:
	(IT_WITH_HOTSPOT_BUILD): Support only original.
	* hotspot.map: Remove hs23 line.
	* patches/hotspot/hs23/6_for_override.patch:
	New patch to use source/target 6 for building
	the agent as the hs23 version includes @Override.

2013-09-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS:
	Add release notes for 1.11.13.

2013-09-05  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* patches/rh995488-rhel_tz_fix.patch:
	Use /etc/sysconfig/clock on RHEL & clones
	so that they don't search /usr/share/zoneinfo.
	* NEWS: Mention patch.

2013-09-02  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new backports.  Move
	disable-cc-incompatible-sanity-checks and freetypeversion
	to the end.
	* patches/disable-cc-incompatible-sanity-checks.patch,
	* patches/freetypeversion.patch:
	Regenerated to work after new backports.
	* patches/openjdk/6563752-ss12_support.patch,
	* patches/openjdk/6729772-opt_cleanup.patch,
	* patches/openjdk/6799141-split_out_versions.patch,
	* patches/openjdk/6816311-compiler_name.patch,
	* patches/openjdk/6974017-minorver_for_solaris.patch,
	* patches/openjdk/6980281-majorver_for_solaris.patch,
	* patches/openjdk/7000225-bad_tabs.patch,
	* patches/openjdk/7038711-fix_no-clobber_usage.patch:
	Backports from OpenJDK 7 to bring in latest Makefile
	updates.
	* NEWS: Update and order backports numerically.

2013-08-30  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patches.
	* NEWS: Updated with new patches.
	* patches/imageiojpeg_sync.patch:
	Bring in changes to imageioJPEG.c made between
	the start of OpenJDK 6 and the start of OpenJDK 7's
	hg repositories.
	* patches/libraries.patch: Updated against patches below.
	* patches/openjdk/4893408-jpegreader_byte_gray.patch,
	* patches/openjdk/6631559-dont_load_libjpeg_to_register_imageio_plugins.patch,
	* patches/openjdk/6791502-invalid_icc_profile.patch,
	* patches/openjdk/6793818-jpegimagereader_too_greedy.patch,
	* patches/openjdk/6888215-jpeg_memory_leak.patch,
	* patches/openjdk/6989760-native_warnings.patch,
	* patches/openjdk/6989774-imageio_compiler_warnings.patch,
	* patches/openjdk/7013519-integer_overflows.patch,
	* patches/openjdk/7018912-potential_buffer_overruns_in_jpeg.patch,
	* patches/openjdk/8005194-scale_memory_leak.patch,
	* patches/openjdk/8020983-outofmemoryerror_jpegimagewriter.patch:
	New backports from OpenJDK 7u.

2013-08-29  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new timezone data patches.
	* patches/openjdk/8014469-tzdata2013c.patch,
	* patches/openjdk/8020054-tzdata2013d.patch:
	Latest tzdata updates.

2013-08-30  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	(ICEDTEA_ENV): Set SYSTEM_KRB5, KRB5_LIBS
	and KRB5_CFLAGS.
	* acinclude.m4:
	(IT_CHECK_FOR_KERBEROS): Add --enable-system-kerberos
	option (on by default) which checks for libkrb5 and
	the krb5.h header.
	* configure.ac: Invoke IT_CHECK_FOR_KERBEROS.
	* patches/alternative_krb5_cache_fixup.patch:
	Fix previous Kerberos patch to fall back on old
	method of using /tmp/krb5cc_<uid> and to allow
	the LDFLAGS for Kerberos to be specified.
	* INSTALL: Updated.
	* NEWS: Likewise.

2013-08-29  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* NEWS: Mention RH991170.
	* patches/alternative_krb5_cache.patch:
	Backport from IcedTea 2.x which retrieves the
	Kerberos cache name using a Kerberos library call.

2013-08-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am: Add new patch.
	* patches/lcms2-emulate_old_settagdata.patch:
	Emulate behaviour of old 6 setTagData function
	in not throwing exceptions.

2013-08-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new backport.
	* patches/openjdk/6893617-cnctx_always_uses_default_orb.patch:
	Fixes TCK regression caused by 7162902.

2013-08-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Apply 7197906 on hs23 only.
	* patches/security/20130416/8004336.patch,
	* patches/security/20130416/8006309.patch,
	* patches/security/20130416/8009699.patch:
	Restore HotSpot security patches as not available
	in upstream HotSpot yet.
	* patches/hotspot/original/7197906-handle_32_bit_shifts.patch:
	Moved to...
	* patches/hotspot/hs23/7197906-handle_32_bit_shifts.patch:
	...here.

2013-08-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/fonts-rhel-version.patch,
	* patches/fonts-rhel.patch,
	* patches/object-factory-cl-internal.patch,
	* patches/openjdk/8009996-emitter_bean.patch,
	* patches/security/20130618/handle_npe.patch:
	Remove upstreamed patches.
	* Makefile.am:
	(SECURITY_PATCHES): Remove upstreamed patch.
	(ICEDTEA_PATCHES): Remove upstreamed patches.
	* patches/hotspot/original/7197906-handle_32_bit_shifts.patch:
	Restored as now used by the HotSpot 23 build.

2013-08-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add patches from IcedTea's
	HotSpot 23 (mainly the ARM port work).  Move
	some patches back to being applied on both
	versions of HotSpot.
	(ports): Install ARM port in all builds.
	(clean-ports): Likewise for uninstall.
	* hotspot.map: Use HotSpot 23 from the 7u
	tree.
	* patches/arm/cc_compile-01.patch,
	* patches/arm/cc_compile-02.patch,
	* patches/arm/cc_compile-03.patch,
	* patches/arm/cc_compile-04.patch,
	* patches/arm/cc_compile-05.patch,
	* patches/arm/cc_compile-06.patch,
	* patches/hotspot/hs23/7188168-fix_debug_binaries.patch,
	* patches/hotspot/hs23/aarch64.patch:
	Patches from IcedTea's 2.3.x HotSpot.
	* patches/hotspot/original/alpha-fixes.patch,
	* patches/hotspot/hs23/alpha-fixes.patch:
	Split from patches/alpha-fixes.patch.
	* patches/hotspot/hs23/arm-01-hsx22.patch,
	* patches/hotspot/hs23/arm-03-invokedynamic.patch,
	* patches/hotspot/hs23/arm-04-invokedynamic_jit.patch,
	* patches/hotspot/hs23/arm-05-invokedynamic_methodhandle.patch,
	* patches/hotspot/hs23/arm-06-no_o0.patch,
	* patches/hotspot/hs23/arm-07-cleanup.patch,
	* patches/hotspot/hs23/arm-08-cleanup.patch,
	* patches/hotspot/hs23/arm-09-jvmti.patch,
	* patches/hotspot/hs23/arm-10-memory_protect.patch,
	* patches/hotspot/hs23/arm-11-thumb2_jit.patch,
	* patches/hotspot/hs23/arm-12-ldrexd.patch,
	* patches/hotspot/hs23/arm-13-sp_adjustment.patch,
	* patches/hotspot/hs23/arm-14-stage1.patch,
	* patches/hotspot/hs23/arm-15-stage2.patch,
	* patches/hotspot/hs23/arm-16-dont_save_locals.patch,
	* patches/hotspot/hs23/arm-17-no_debug_code.patch,
	* patches/hotspot/hs23/arm-18-correct_call.patch,
	* patches/hotspot/hs23/arm-19-fix_jit_bug.patch,
	* patches/hotspot/hs23/arm-20-function_renaming.patch,
	* patches/hotspot/hs23/arm-21-fix_compareandswaplong.patch,
	* patches/hotspot/hs23/arm-22-fix_trashed_thread_ptr.patch,
	* patches/hotspot/hs23/arm-25-hsx23.patch:
	HotSpot 23 only ARM port work.
	* patches/hotspot/hs23/arm-hsdis.patch:
	HotSpot 23 version of hsdis patch.
	* patches/hotspot/original/arm.patch,
	* patches/hotspot/hs23/arm.patch,
	Split from patches/arm.patch.
	* patches/hotspot/hs23/drop_unlicensed_test.patch:
	Patches from IcedTea's 2.3.x HotSpot.
	* patches/hotspot/original/gcc-suffix.patch,
	* patches/hotspot/hs23/gcc-suffix.patch:
	Split from patches/gcc-suffix-hotspot.patch.
	* patches/hotspot/original/jtreg-test7020373-fix.patch,
	* patches/hotspot/hs23/jtreg-test7020373-fix.patch:
	Split from patches/jtreg-hotspot-Test7020373-fix.patch.
	* patches/hotspot/hs23/no_useless_debuginfo_files.patch,
	* patches/hotspot/hs23/pr1101-sparc_symbols.patch:
	From IcedTea 2.3.x HotSpot.
	* patches/hotspot/original/text-relocations.patch:
	* patches/hotspot/hs23/text-relocations.patch:
	Split from patches/text-relocations.patch.
	* patches/hotspot/hs23/type_fixes.patch:
	From IcedTea 2.3.x HotSpot.
	* patches/hotspot/original/update-bootclasspath.patch,
	* patches/hotspot/hs23/update-bootclasspath.patch:
	Split from patches/update-bootclasspath.patch.
	* patches/hotspot/original/version.patch,
	* patches/hotspot/hs23/version.patch:
	Split from patches/version-hotspot.patch.
	* patches/hotspot/hs23/zero_fixes.patch,
	* patches/hotspot/hs23/zero_hs22.patch:
	HotSpot 23 only Zero work.
	* patches/hotspot/original/7032696-7029152_broke_vm.patch:
	Backported from 7u.
	* patches/hotspot/original/7140985-hsdis_caller_options.patch:
	Upstream version of part of the arm-hsdis patch.
	* patches/hotspot/original/arm-hsdis.patch:
	Remove 7140985 fragment.
	* patches/pr1095-werror.patch: Apply to both HotSpots.

2013-08-14  Xerxes Rånby  <xerxes@zafena.se>
	    Robert Lougher  <rob@jamvm.org.uk>

	JamVM
	- JSR 292: enable for OpenJDK 7/IcedTea 2
	- JSR 335: invokeinterface check in method resolution
	- JSR 335: java.lang.invoke.MagicLambdaImpl
	- JSR 292: invokedynamic is 5 bytes - non-direct interp
	- JSR 292: invokedynamic is 5 bytes in length
	- Minor formatting change
	- Minor fixes: use perror for mmap failure
	- FreeClassData: fix comment
	- FreeClassData: adjust method count for Miranda methods
	- JSR 335: remove GC hack
	- JSR 335: implement "bridge" methods for Mirandas
	- JSR 335: handle multiple defaults and conflicts
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2013-07-14 revision.
	(JAMVM_SHA256SUM): Updated.

2013-08-07  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/6786028-wcag_bold_tags.patch,
	* patches/openjdk/6786682-wcag_lang.patch,
	* patches/openjdk/6786688-wcag_table.patch,
	* patches/openjdk/6786690-wcag_dl.patch,
	* patches/openjdk/6802694-no_deprecated.patch,
	* patches/openjdk/6851834-handle_renames.patch,
	* patches/openjdk/6851834-restructure.patch,
	* patches/openjdk/6961178-doclet_xml.patch,
	* patches/openjdk/7006270-regressions.patch,
	* patches/security/20130618/8012375-javadoc_framing.patch,
	* patches/security/20130618/8015997-more_javadoc_framing.patch,
	* patches/security/20130618/langtools_generics.patch,
	* patches/security/20130618/langtools_merge-01.patch,
	* patches/security/20130618/langtools_merge-02.patch,
	* patches/security/20130618/langtools_merge-03.patch:
	Removed.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove upstreamed patches.

2013-08-07  Andrew John Hughes  <gnu.andrew@redhat.com>

	* hotspot.map: Bring in 2.3.12 tag.

2013-08-06  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/security/20130618/8000642-better_transportation_handling.patch,
	* patches/security/20130618/8001032-restrict_object_access-corba.patch:
	Removed.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove upstreamed patches.

2013-08-06  Andrew John Hughes  <gnu.andrew@redhat.com>

	* 8013196-TimeZone_getDefault_throws_exception.patch:
	Renamed to...
	* 8013196-timezone_getdefault_throws_exception.patch:
	...this.
	* Makefile.am:
	(ICEDTEA_PATCHES): Fix name of patch.

2013-08-05  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patches.
	* patches/openjdk/6636331-appcontext_concurrentmodificationexception.patch,
	* patches/openjdk/6636370-appcontext_simplification.patch,
	* patches/openjdk/7196533-timezone_bottleneck.patch:
	Backport additional patches which relate to changes in 8013196.
	* patches/openjdk/8013196-TimeZone_getDefault_throws_exception.patch:
	Drop SharedSecrets changes which cause a TCK regression.

2013-08-02  Andrew John Hughes  <gnu.andrew@redhat.com>

	* hotspot.map: Bring in hs23 changes to ARM32
	port, syncing with 2.3.12 tag.

2013-08-02  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/6469266-xmlsec_1.4.2.patch,
	* patches/openjdk/6888167-medialib_memory_leaks.patch,
	* patches/openjdk/7195301-no_instanceof_node.patch,
	* patches/security/20130618/6741606-apache_santuario.patch,
	* patches/security/20130618/7170730-windows_network_stack.patch,
	* patches/security/20130618/8000638-improve_deserialization.patch,
	* patches/security/20130618/8001032-restrict_object_access-jdk.patch,
	* patches/security/20130618/8001033-refactor_address_handling.patch,
	* patches/security/20130618/8001034-memory_management.patch,
	* patches/security/20130618/8001038-resourcefully_handle_resources.patch,
	* patches/security/20130618/8001043-clarify_definition_restrictions.patch,
	* patches/security/20130618/8001309-better_handling_of_annotation_interfaces.patch,
	* patches/security/20130618/8001318-6_fixup.patch,
	* patches/security/20130618/8001318-socket_getlocaladdress_consistency.patch,
	* patches/security/20130618/8001330-improve_checking_order.patch,
	* patches/security/20130618/8003703-update_rmi_connection_dialog.patch,
	* patches/security/20130618/8004584-augment_applet_contextualization.patch,
	* patches/security/20130618/8005007-better_glyph_processing.patch,
	* patches/security/20130618/8006328-6_fixup.patch,
	* patches/security/20130618/8006328-sound_class_robustness.patch,
	* patches/security/20130618/8006611-improve_scripting.patch,
	* patches/security/20130618/8007467-improve_jmx_internal_api_robustness.patch,
	* patches/security/20130618/8007471-6_fixup.patch,
	* patches/security/20130618/8007471-improve_mbean_notifications.patch,
	* patches/security/20130618/8007812-getenclosingmethod.patch,
	* patches/security/20130618/8008120-improve_jmx_class_checking.patch,
	* patches/security/20130618/8008124-better_compliance_testing.patch,
	* patches/security/20130618/8008128-better_jmx_api_coherence.patch,
	* patches/security/20130618/8008132-better_serialization.patch,
	* patches/security/20130618/8008585-jmx_data_handling.patch,
	* patches/security/20130618/8008593-better_urlclassloader.patch,
	* patches/security/20130618/8008603-jmx_provider_provision.patch,
	* patches/security/20130618/8008611-6_fixup.patch,
	* patches/security/20130618/8008611-jmx_annotations.patch,
	* patches/security/20130618/8008615-jmx_internal_api_robustness.patch,
	* patches/security/20130618/8008623-mbeanserver_handling.patch,
	* patches/security/20130618/8008744-6741606_rework.patch,
	* patches/security/20130618/8008982-jmx_interface_changes.patch,
	* patches/security/20130618/8009004-rmi_connection_improvement.patch,
	* patches/security/20130618/8009013-t2k_glyphs.patch,
	* patches/security/20130618/8009034-jmx_notification_improvement.patch,
	* patches/security/20130618/8009038-jmx_notification_support_improvement.patch,
	* patches/security/20130618/8009067-improve_key_storing.patch,
	* patches/security/20130618/8009235-improve_tsa_data_handling.patch,
	* patches/security/20130618/8011243-improve_imaginglib.patch,
	* patches/security/20130618/8011248-better_component_rasters.patch,
	* patches/security/20130618/8011253-better_short_component_rasters.patch,
	* patches/security/20130618/8011257-better_byte_component_rasters.patch,
	* patches/security/20130618/8011557-improve_reflection.patch,
	* patches/security/20130618/8012421-better_positioning.patch,
	* patches/security/20130618/8012438-better_image_validation.patch,
	* patches/security/20130618/8012597-better_image_channel_validation.patch,
	* patches/security/20130618/8012601-better_layout_validation.patch,
	* patches/security/20130618/8014281-better_xml_signature_checking.patch,
	* patches/security/20130618/diamond_fix.patch,
	* patches/security/20130618/javac_issue.patch,
	* Makefile.am:
	Remove unused patches.
	* Makefile.am:
	(SECURITY_PATCHES): Remove upstreamed security
	patches.

2013-07-31  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/ecj/jcp-importsources.patch,
	* patches/openjdk/5102804-memory_leak.patch,
	* patches/openjdk/6501644-icu_sync.patch,
	* patches/openjdk/6669869-queries_per_appcontext.patch,
	* patches/openjdk/6886358-layout_update.patch,
	* patches/openjdk/6963811-deadlock_fix.patch,
	* patches/openjdk/7017324-kerning_crash.patch,
	* patches/openjdk/7064279-fixup.patch,
	* patches/openjdk/7064279-resource_release.patch,
	* patches/openjdk/7133220-factory_finder_parser_transform_useBSClassLoader.patch,
	* patches/security/20130416/6657673-factory_finder.patch,
	* patches/security/20130416/6657673-fixup.patch,
	* patches/security/20130416/6657673.patch,
	* patches/security/20130416/7200507.patch,
	* patches/security/20130416/8000724.patch,
	* patches/security/20130416/8001031.patch,
	* patches/security/20130416/8001040.patch,
	* patches/security/20130416/8001322.patch,
	* patches/security/20130416/8001329.patch,
	* patches/security/20130416/8003335.patch,
	* patches/security/20130416/8003445.patch,
	* patches/security/20130416/8003543.patch,
	* patches/security/20130416/8004261.patch,
	* patches/security/20130416/8004336.patch,
	* patches/security/20130416/8004986.patch,
	* patches/security/20130416/8005432.patch,
	* patches/security/20130416/8005943.patch,
	* patches/security/20130416/8006309.patch,
	* patches/security/20130416/8006435.patch,
	* patches/security/20130416/8006790.patch,
	* patches/security/20130416/8006795.patch,
	* patches/security/20130416/8007406.patch,
	* patches/security/20130416/8007617.patch,
	* patches/security/20130416/8007667.patch,
	* patches/security/20130416/8007918.patch,
	* patches/security/20130416/8009063.patch,
	* patches/security/20130416/8009305.patch,
	* patches/security/20130416/8009699.patch,
	* patches/security/20130416/8009814.patch,
	* patches/security/20130416/8009857.patch:
	Remove unused patches.
	* Makefile.am:
	(SECURITY_PATCHES): Remove upstreamed security
	patches.

2013-07-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ports): Only copy over arm_port directory
	contents if using the upstream HotSpot 20.
	(clean-ports): Likewise for cleanup.

2013-07-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR718: Backport LCMS2 support from IcedTea7
	* Makefile.am:
	(LCMS_PATCHES): Populate based on which version
	of LCMS is being built.
	(ICEDTEA_PATCHES): Add LCMS_PATCHES.  Remove
	lcms.patch and patches/jtreg-ReadWriteProfileTest.patch,
	the latter being 6733501 in disguise.
	* NEWS: Mention PR718.
	* acinclude.m4:
	(IT_ENABLE_LCMS2): New macro to enable or disable
	the use of LCMS 2 (enabled by default).
	* configure.ac: Invoke IT_ENABLE_LCMS2.
	* patches/libraries.patch: Adjust due to JPEG changes
	in 7002766.
	* patches/openjdk/6733501-icedtea_lcms_test.patch:
	Identical to ReadWriteProfileTest.patch with addition
	of upstream changeset information.
	* patches/openjdk/7002766-parfait-jpeg.patch:
	JPEG segment of 7002766 applied on all builds.
	* patches/openjdk/lcms2/6523398-writing_tags.patch,
	* patches/openjdk/lcms2/6988213-windows_build_failure.patch,
	* patches/openjdk/lcms2/7002766-parfait.patch,
	* patches/openjdk/lcms2/7042594-tck_failure.patch,
	* patches/openjdk/lcms2/7053526-lcms_2.4.patch,
	* patches/openjdk/lcms2/8007925-improve_cmsstagealloclabv2tov4curves.patch,
	* patches/openjdk/lcms2/8007927-improve_cmsallocprofilesequencedescription.patch,
	* patches/openjdk/lcms2/8007929-improve_curvesalloc.patch,
	* patches/openjdk/lcms2/8009654-cmsnamed_stability.patch,
	* patches/openjdk/lcms2/system_lcms2.patch:
	Add backports from OpenJDK 7 to provide LCMS 2 support.
	* patches/jtreg-ReadWriteProfileTest.patch:
	This is 6733501 above.

2013-07-18  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/hotspot/hs23/arm-hsdis.patch:
	Removed.
	* Makefile.am:
	(ICEDTEA_PATCHES): Only apply original
	arm-hsdis patch.
	* hotspot.map: Update to latest HotSpot
	from 2.3.x forest, which contains the ARM32
	port.

2013-07-17  Omair Majid  <omajid@redhat.com>

	* patches/openjdk/8010118-caller_sensitive.patch: Fix mistake in
	backport.

2013-07-11  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/7036559-concurrenthashmap_improvements.patch:
	Remove upstreamed patch.
	* Makefile.am:
	(ICEDTEA_PATCHES): Drop upstreamed patches.

2013-07-11  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS:
	Add 1.11.12 and 1.12.6 release notes.

2013-07-11  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Remove reference to removed
	patch.

2013-07-10  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/security/20130618/7158805-nested_subroutine_rewriting-it6.patch:
	Make patch apply again.

2013-07-10  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/security/20130618/7158805-nested_subroutine_rewriting-it6.patch:
	Readd parts of patch removed without note in
	an earlier backport and fix copyright headers to
	apply (2011 instead of 2010).

2013-07-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/ecj/ant.patch,
	* patches/openjdk/6990754-handle_renames.patch,
	* patches/openjdk/6990754-use_native_memory_for_symboltable.patch,
	* patches/openjdk/7008809-report_class_in_arraystoreexception.patch,
	* patches/openjdk/7014851-unused_parallel_compaction_code.patch,
	* patches/openjdk/7017732-move_static_fields_to_class.patch,
	* patches/openjdk/7036747-elfstringtable.patch,
	* patches/openjdk/7086585-flexible_field_injection.patch,
	* patches/openjdk/8014618-strip_leading_zeros_premastersecret.patch,
	* patches/security/20130618/7158805-nested_subroutine_rewriting-it6.patch,
	* patches/security/20130618/8001330-checking_order_improvement-it6.patch,
	* patches/security/20130618/hs_merge-01.patch,
	* patches/security/20130618/hs_merge-02.patch,
	* patches/security/20130618/hs_merge-03.patch,
	* patches/security/20130618/hs_merge-04.patch,
	* patches/sparc.patch:
	Remove unused patches.
	* patches/openjdk/8011154-awt_regresssion.patch,
	* patches/openjdk/8014427-raster_regresssion.patch:
	Dropped superfluous 's' from name.
	* Makefile.am:
	(ICEDTEA_PATCHES): Move back to using HotSpot patches without '-it6' suffix.
	* patches/ecj/override.patch: Drop recent addition.  In accordance with
	PR1397, we should avoid extending this patch in favour of either not
	including @Override additions or setting source/target correctly.
	* patches/security/20130618/7158805-nested_subroutine_rewriting.patch,
	* patches/security/20130618/8001330-checking_order_improvement.patch:
	Replace with Chris' patches, regenerated as unified diffs.

2013-07-03  Omair Majid  <omajid@redhat.com>

	* patches/openjdk/6541350-tz_display_names_l10n.patch,
	* patches/openjdk/6821191-tz_display_names_l10n.patch,
	* patches/openjdk/6977550-tzdata2010l.patch,
	* patches/openjdk/6996686-tzdata2010o.patch,
	* patches/openjdk/7017800-tzdata2011b.patch,
	* patches/openjdk/7027387-tzdata2011d.patch,
	* patches/openjdk/7033174-tzdata2011e.patch,
	* patches/openjdk/7039469-tzdata2011g.patch,
	* patches/openjdk/7090843-tzdata2011j.patch,
	* patches/openjdk/7103108-tzdata2011l.patch,
	* patches/openjdk/7103405-correct_display_names.patch,
	* patches/openjdk/7104126-headers_tzdata.patch,
	* patches/openjdk/7158483-tzdata2012c.patch,
	* patches/openjdk/7198570-tzdata2012f.patch,
	* patches/openjdk/8002070-remove_logger_stack_search.patch,
	* patches/openjdk/8002070-remove_logger_stack_search_2.patch,
	* patches/openjdk/8002225-tzdata2012i.patch,
	* patches/openjdk/8009987-tzdata2013b.patch,
	* patches/openjdk/8009996-emitter_bean.patch,
	* patches/openjdk/8010118-caller_sensitive.patch,
	* patches/openjdk/8010727-empty_logger_name.patch,
	* patches/openjdk/8010939-logmanager_deadlock.patch,
	* patches/openjdk/8011139-revise_checking_getenclosingclass.patch,
	* patches/openjdk/8011990-logger_test_urls.patch,
	* patches/openjdk/8012243-serial_regression.patch,
	* patches/openjdk/8013380-handle_renames.patch,
	* patches/openjdk/8013380-logger_stack_walk_glassfish.patch,
	* patches/openjdk/8014718-remove_logging_suntoolkit.patch,
	* patches/openjdk/8014745-logger_stack_walk_switch.patch:
	New file. Backport from icedtea/openjdk 7.
	* Makefile.am:
	(ICEDTEA_PATCHES): Apply the above.

2013-07-01  Omair Majid  <omajid@redhat.com>

	* patches/openjdk/7188114-alternate_command_line_parser.patch,
	* patches/openjdk/7199143-OCSP_timeout.patch,
	* patches/openjdk/8006120-server_jre.patch,
	* patches/openjdk/8006536-remove_trailing_slashes.patch,
	* patches/openjdk/8009165-inappropriate_method_in_reflectutil.patch,
	* patches/openjdk/8009217-fix_test_compile.patch,
	* patches/openjdk/8009463-space_and_final_backslash.patch,
	* patches/openjdk/8009610-blacklist_malware_certificate.patch,
	* patches/openjdk/8010213-set_socketoptions_windows.patch,
	* patches/openjdk/8010714-xml_dsig_retrievalmethod.patch,
	* patches/openjdk/8011154-awt_regresssion.patch,
	* patches/openjdk/8011313-OCSP_timeout_wrong_value.patch,
	* patches/openjdk/8011992-MlibOpsTest_failed.patch,
	* patches/openjdk/8012112-MlibOpsTest_fails.patch,
	* patches/openjdk/8012617-arrayindexoutofbounds_linebreakmeasurer.patch,
	* patches/openjdk/8012933-appcontext_disposed_too_early.patch,
	* patches/openjdk/8013196-TimeZone_getDefault_throws_exception.patch,
	* patches/openjdk/8014205-blank_swing_dialogs_windows.patch,
	* patches/openjdk/8014427-raster_regresssion.patch,
	* patches/openjdk/8014618-strip_leading_zeros_premastersecret.patch,
	* patches/openjdk/8014676-javadebugger_space_in_paths.patch,
	* patches/openjdk/8014968-OCSP_timeout_default.patch: New file.
	Backport from icedtea/openjdk 7.
	* Makefile.am:
	(ICEDTEA_PATCHES): Apply the above.
	* patches/ecj/override.patch: Add new hunk for BufferedImage.

2013-07-09  Omair Majid  <omajid@redhat.com>

	* patches/ecj/needs-6.patch: Build additional code using -source 6.

2013-06-26  Chris Phillips  <chrisphi@redhat.com>

	* Makefile.am (SECURITY_PATCHES): Drop
	patches/security/20130618/7158805-nested_subroutine_rewriting.patch
	patches/security/20130618/8001330-checking_order_improvement.patch
	patches/openjdk/7036747-elfstringtable.patch
	patches/openjdk/7017732-move_static_fields_to_class.patch
	patches/openjdk/6990754-use_native_memory_for_symboltable.patch
	patches/openjdk/6990754-handle_renames.patch
	patches/openjdk/7008809-report_class_in_arraystoreexception.patch
	patches/openjdk/7086585-flexible_field_injection.patch
	patches/security/20130618/hs_merge-01.patch
	patches/security/20130618/hs_merge-02.patch
	patches/security/20130618/hs_merge-03.patch
	patches/openjdk/7014851-unused_parallel_compaction_code.patch
	patches/security/20130618/hs_merge-04.patch
	Add:
	patches/security/20130618/7158805-nested_subroutine_rewriting-it6.patch
	patches/security/20130618/8001330-checking_order_improvement-it6.patch
	* patches/security/20130618/7158805-nested_subroutine_rewriting-it6.patch:
	Backported fix for 7158805.
	* patches/security/20130618/8001330-checking_order_improvement-it6.patch:
	Backported fix for hs portion of 8001330.

2013-06-26  Omair Majid  <omajid@redhat.com>
            Severin Gehwolf  <sgehwolf@redhat.com>

	* Makefile.am (SECURITY_PATCHES): Drop
	patches/security/20130618/8009554-serialjavaobject.patch.
	* patches/security/20130618/8009554-serialjavaobject.patch: Remove. This
	was adding redundant permission checking.

2013-06-26  Omair Majid  <omajid@redhat.com>

	* Makefile.am:
	(SECURITY_PATCHES): Add patches/openjdk/6990754-handle_renames.patch and
	patches/openjdk/6851834-handle_renames.patch
	* patches/openjdk/6990754-use_native_memory_for_symboltable.patch: Don't
	rename files using extended-diff-style.
	* patches/openjdk/6990754-handle_renames.patch: New file. Contains the
	rename portion of 6990754 since some patch programs can not handle
	renames.
	* patches/openjdk/6851834-restructure.patch: Don't rename files using
	extended-diff-style.
	* patches/openjdk/6851834-handle_renames.patch: New file. Contains rename
	porition of 6851834 since some patch programs can not handle renames.

2013-06-24  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Move 8009071 after library patch.
	* NEWS: Correct bug ID referenced for OJ3.
	* patches/ecj/needs-6.patch:
	Add cases for javax.sound and javax.management, due
	to @Override annotations in the security patches.
	* patches/openjdk/6307603-xrender-01.patch:
	Regenerated again as wrong last time.
	* patches/security/20130618/8009071-improve_shape_handling.patch:
	Include sizecalc.h in gif_lib.h.

2013-07-09  Omair Majid  <omajid@redhat.com>

	* hotspot.map: Update to latest hs23.
	* Makefile.am (ICEDTEA_PATCHES): Make hotspot-specific patches
	conditional.

2013-06-22  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/idresolver_fix.patch:
	Removed. Part of 6469266.
	* patches/apache-xml-internal-fix-bug-38655.patch:
	Removed. Part of 6469266.
	* Makefile.am:
	(SECURITY_PATCHES): Add new ones.
	(SPECIAL_SECURITY_PATCH_1): Renamed from
	SPECIAL_SECURITY_PATCH.
	(SPECIAL_SECURITY_PATCH_2): Add 8009071, which
	needs to be applied after some AWT backports.
	(ICEDTEA_PATCHES): Use SPECIAL_SECURITY_PATCH_{1,2}.
	Move 8005615, 8007393 & 8007611 to SECURITY_PATCHES
	as must be applied before 8004584.  Add 7171223 to
	end.
	* patches/openjdk/6307603-xrender-01.patch:
	Regenerated.
	* patches/openjdk/6469266-xmlsec_1.4.2.patch,
	* patches/openjdk/6656651-windows_lcd_glyphs.patch,
	* patches/openjdk/6786028-wcag_bold_tags.patch,
	* patches/openjdk/6786682-wcag_lang.patch,
	* patches/openjdk/6786688-wcag_table.patch,
	* patches/openjdk/6786690-wcag_dl.patch,
	* patches/openjdk/6802694-no_deprecated.patch,
	* patches/openjdk/6851834-restructure.patch,
	* patches/openjdk/6888167-medialib_memory_leaks.patch,
	* patches/openjdk/6961178-doclet_xml.patch,
	* patches/openjdk/6990754-use_native_memory_for_symboltable.patch,
	* patches/openjdk/7006270-regressions.patch,
	* patches/openjdk/7008809-report_class_in_arraystoreexception.patch,
	* patches/openjdk/7014851-unused_parallel_compaction_code.patch,
	* patches/openjdk/7017732-move_static_fields_to_class.patch,
	* patches/openjdk/7036747-elfstringtable.patch,
	* patches/openjdk/7086585-flexible_field_injection.patch,
	* patches/openjdk/7171223-strict_aliasing.patch,
	* patches/openjdk/7195301-no_instanceof_node.patch,
	* patches/security/20130618/6741606-apache_santuario.patch,
	* patches/security/20130618/7158805-nested_subroutine_rewriting.patch,
	* patches/security/20130618/7170730-windows_network_stack.patch,
	* patches/security/20130618/8000638-improve_deserialization.patch,
	* patches/security/20130618/8000642-better_transportation_handling.patch,
	* patches/security/20130618/8001032-restrict_object_access-corba.patch,
	* patches/security/20130618/8001032-restrict_object_access-jdk.patch,
	* patches/security/20130618/8001033-refactor_address_handling.patch,
	* patches/security/20130618/8001034-memory_management.patch,
	* patches/security/20130618/8001038-resourcefully_handle_resources.patch,
	* patches/security/20130618/8001043-clarify_definition_restrictions.patch,
	* patches/security/20130618/8001309-better_handling_of_annotation_interfaces.patch,
	* patches/security/20130618/8001318-6_fixup.patch,
	* patches/security/20130618/8001318-socket_getlocaladdress_consistency.patch,
	* patches/security/20130618/8001330-checking_order_improvement.patch,
	* patches/security/20130618/8001330-improve_checking_order.patch,
	* patches/security/20130618/8003703-update_rmi_connection_dialog.patch,
	* patches/security/20130618/8004584-augment_applet_contextualization.patch,
	* patches/security/20130618/8005007-better_glyph_processing.patch,
	* patches/security/20130618/8006328-6_fixup.patch,
	* patches/security/20130618/8006328-sound_class_robustness.patch,
	* patches/security/20130618/8006611-improve_scripting.patch,
	* patches/security/20130618/8007467-improve_jmx_internal_api_robustness.patch,
	* patches/security/20130618/8007471-6_fixup.patch,
	* patches/security/20130618/8007471-improve_mbean_notifications.patch,
	* patches/security/20130618/8007812-getenclosingmethod.patch,
	* patches/security/20130618/8008120-improve_jmx_class_checking.patch,
	* patches/security/20130618/8008124-better_compliance_testing.patch,
	* patches/security/20130618/8008128-better_jmx_api_coherence.patch,
	* patches/security/20130618/8008132-better_serialization.patch,
	* patches/security/20130618/8008585-jmx_data_handling.patch,
	* patches/security/20130618/8008593-better_urlclassloader.patch,
	* patches/security/20130618/8008603-jmx_provider_provision.patch,
	* patches/security/20130618/8008611-6_fixup.patch,
	* patches/security/20130618/8008611-jmx_annotations.patch,
	* patches/security/20130618/8008615-jmx_internal_api_robustness.patch,
	* patches/security/20130618/8008623-mbeanserver_handling.patch,
	* patches/security/20130618/8008744-6741606_rework.patch,
	* patches/security/20130618/8008982-jmx_interface_changes.patch,
	* patches/security/20130618/8009004-rmi_connection_improvement.patch,
	* patches/security/20130618/8009013-t2k_glyphs.patch,
	* patches/security/20130618/8009034-jmx_notification_improvement.patch,
	* patches/security/20130618/8009038-jmx_notification_support_improvement.patch,
	* patches/security/20130618/8009067-improve_key_storing.patch,
	* patches/security/20130618/8009071-improve_shape_handling.patch,
	* patches/security/20130618/8009235-improve_tsa_data_handling.patch,
	* patches/security/20130618/8009554-serialjavaobject.patch,
	* patches/security/20130618/8011243-improve_imaginglib.patch,
	* patches/security/20130618/8011248-better_component_rasters.patch,
	* patches/security/20130618/8011253-better_short_component_rasters.patch,
	* patches/security/20130618/8011257-better_byte_component_rasters.patch,
	* patches/security/20130618/8011557-improve_reflection.patch,
	* patches/security/20130618/8012375-javadoc_framing.patch,
	* patches/security/20130618/8012421-better_positioning.patch,
	* patches/security/20130618/8012438-better_image_validation.patch,
	* patches/security/20130618/8012597-better_image_channel_validation.patch,
	* patches/security/20130618/8012601-better_layout_validation.patch,
	* patches/security/20130618/8014281-better_xml_signature_checking.patch,
	* patches/security/20130618/8015997-more_javadoc_framing.patch,
	* patches/security/20130618/diamond_fix.patch,
	* patches/security/20130618/handle_npe.patch,
	* patches/security/20130618/hs_merge-01.patch,
	* patches/security/20130618/hs_merge-02.patch,
	* patches/security/20130618/hs_merge-03.patch,
	* patches/security/20130618/hs_merge-04.patch,
	* patches/security/20130618/javac_issue.patch,
	* patches/security/20130618/langtools_generics.patch,
	* patches/security/20130618/langtools_merge-01.patch,
	* patches/security/20130618/langtools_merge-02.patch,
	* patches/security/20130618/langtools_merge-03.patch:
	2013/06/18 security patches.

2013-05-31  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/copy_memory.patch,
	* patches/openjdk/jaf-b20_jaxws2-1_6_2011_06_13.patch:
	Drop upstreamed patches.
	* Makefile.am:
	(DROP_PATCHES): Remove JAXP patch.
	(ICEDTEA_PATCHES): Remove OpenJDK6-4 patch.

2013-05-28  Xerxes Rånby  <xerxes@zafena.se>

	PR1188: ASM Interpreter and Thumb2 JIT javac miscompile
	modulo reminder on armel.
	* arm_port/hotspot/src/cpu/zero/vm/cppInterpreter_arm.S
	(POPF1): The POPF1 macro used wrong destination register
	r0 instead of r1 on ARM armel causing issues with the frem bytecode.
	The frem bytecode was the only bytecode using the defect macro.
	* NEWS: Updated.

2013-05-15  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1458: Make use of bootstrap tools & -Xbootclasspath
	patches optional
	* INSTALL: Document --disable-bootstrap-tools.
	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_CLASSES): Add java.sql.SQLException
	if any of the constructors are missing.
	(ICEDTEA_ECJ_PATCHES): Split out fphexconstants,
	no-sun-classes, bootstrap-tools and xbootclasspath
	patches from icedtea.patch.  Make the latter two
	conditional.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_USE_BOOTSTRAP_TOOLS): Add --disable-bootstrap-tools
	to decide whether to use the boot javac/javah or the
	one built as part of langtools.  Defaults to on.
	(IT_CHECK_FOR_XBOOTCLASSPATH): Check whether java
	can be passed -Xbootclasspath/p to prepend a path
	to the bootclasspath or not.
	* configure.ac: Invoke the new macros and test
	for the java.sql.SQLException constructors.
	* javac.in: Handle -Xbootclasspath/p, -Xbootclasspath
	and -Xbootclasspath/a by prepending, setting or appending
	its value to the bootclasspath option used to ecj,
	respectively.
	* patches/ecj/bootstrap-tools.patch:
	Split from icedtea.patch.  Uses the bootstrap
	javac and javah rather than the langtools one for
	CORBA and JDK.
	* patches/ecj/corba-dependencies.patch:
	Include the langtools source directory on the sourcepath.
	* patches/ecj/fphexconstants.patch:
	Split replacements of floating point hex constants out
	from icedtea.patch.
	* patches/ecj/icedtea.patch:
	Remove split-out segements.  Drop addition of ICEDTEA_RT
	in BuildToolJar.gmk and common/Rules.gmk in JDK altogether,
	along with setting of bootclasspath in langtools.
	* patches/ecj/needs-6.patch:
	Add java.awt Makefile.
	* patches/ecj/no-sun-classes.patch:
	Split from icedtea.patch.  Appends ICEDTEA_CLS_DIR to the
	bootclasspath in java.text, sun.text and sun.javazic
	Makefiles for VMs without internal Sun classes.
	* patches/ecj/xbootclasspath.patch:
	Replaces the use of -Xbootclasspath in java.text,
	sun.text and sun.javazic for those VMs that don't
	support it (gcj).

2013-05-20  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* patches/jtreg-TextLayoutBoundsChecks.patch:
	Fixed wrong JTreg test name in @run annotation.

2013-05-17  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/hotspot/original/7197906-handle_32_bit_shifts.patch,
	* patches/hotspot/original/fix_get_stack_bounds_leak.patch,
	* patches/openjdk/8004302-soap_test_failure.patch,
	* patches/openjdk/jaxp144_05.patch:
	Removed as available upstream.
	* Makefile.am: Remove patches.
	* patches/security/20130416/6657673.patch,
	* patches/security/20130416/8005432.patch:
	Regenerated against upstream.

2013-05-17  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* patches/componentOrientationTests.patch:
	Renamed to...
	* patches/jtreg-ComponentOrientationTests.patch:
	this.
	* patches/textLayoutGetCharacterCount.patch:
	Renamed to...
	* patches/jtreg-LayoutGetCharacterCount.patch:
	this.
	* patches/textLayoutLimits.patch:
	Renamed to...
	* patches/jtreg-LayoutLimits.patch:
	this.
	* Makefile.am:
	Renamed three patches to be more consistent with other JTreg-related patches.

2013-05-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Remove reference to removed
	patch patches/openjdk/8009641-8007675_build_fix.patch.

2013-05-15  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Added new patch.
	* patches/jtreg-TextLayoutBoundsChecks.patch:
	Patch containing three new JTreg tests TextLayoutAscentDescent.java,
	TextLayoutBoundIsNotEmpty and TextLayoutGetPixelBounds that
	check the behavior of text layout subsystem.

2013-05-07  Xerxes Rånby  <xerxes@zafena.se>

	JamVM
	- JSR 335: (lambda expressions) initial hack
	- JEP 171: Implement fence methods in sun.misc.Unsafe
	- Fix invokesuper check in invokespecial opcode
	- Fix non-direct interpreter invokespecial super-class check
	- When GC'ing a native method don't try to free code
	- Do not free unprepared Miranda method code data
	- Set anonymous class protection domain
	- JVM_IsVMGeneratedMethodIx stub
	- Dummy implementation of sun.misc.Perf natives
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2013-05-06 revision.
	(JAMVM_SHA256SUM): Updated.

2013-04-30  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Added new patch.
	* patches/componentOrientationTests.patch:
	Patch containing three new JTreg tests ComponentOrientationTest.java,
	ComponentPlacementTest.java and ComponentSizeTest.java. These tests
	check if ComponentOrientation subsystem behaviour is correct even
	when right-to-left orientation is used.

2013-04-29  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add two new patches.
	* patches/textLayoutGetCharacterCount.patch:
	* patches/textLayoutLimits.patch:
	Two JTreg tests for checking TextLayout class behaviour.

2013-04-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Fix naming of aarch64 patch
	and add new one.
	* NEWS: Updated.
	* patches/hotspot/original/7022999-fastlocking_compiler1_only.patch:
	Backport fix to make Zero build work following
	6840152.
	* patches/aarch64.patch: Moved to...
	* patches/hotspot/original/aarch64.patch: ...here.

2013-04-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add release notes for 1.11.10, 1.11.11
	and 1.12.5 and remove features listed under 1.13.0
	that were provided in those releases.

2013-04-24  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* patches/openjdk/8009530-icu_kern_table_support_broken.patch:
	Backported from 7u.

2013-04-24  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Rename patches.
	correctly.
	* patches/openjdk/7133220-factory-finder-parser-transform-useBSClassLoader.patch:
	Moved to...
	* patches/openjdk/7133220-factory_finder_parser_transform_useBSClassLoader.patch:
	...this.
	* patches/openjdk/6657673-factory-finder-parser-transform-internal-packages.patch:
	Moved to..
	* patches/security/20130416/6657673-factory_finder.patch:
	...this.

2013-04-22  Elliott Baron  <ebaron@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Removed one patch, split it into two.
	* patches/security/20130416/6657673-jaxp-backport-factoryfinder.patch:
	Removed. Split into patches below.
	* patches/openjdk/7133220-factory-finder-parser-transform-useBSClassLoader.patch:
	First part of removed patch.
	* patches/openjdk/6657673-factory-finder-parser-transform-internal-packages.patch:
	Second part of removed patch.

2013-04-19  Elliott Baron  <ebaron@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* patches/security/20130416/6657673.patch:
	Removed {parser,transform}.FactoryFinder hunks.
	* patches/security/20130416/6657673-jaxp-backport-factoryfinder.patch:
	Backported {parser,transform}.FactoryFinder fixes
	from jdk7u-dev changesets: 4a61ac055189 & 38d4d23d167c.

2013-04-19  Jiri Vanek  <jvanek@redhat.com>

	* patches/security/20130416/8007667.patch:
	Fix patch format to apply on RHEL 5.

2013-04-18  Elliott Baron  <ebaron@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* patches/object-factory-cl-internal.patch:
	Patch to give xalan/xerces access to their own internal
	packages.

2013-04-17  Andrew John Hughes  <gnu.andrew@redhat.com>

	* ChangeLog:
	Move Elliott's entry to correct position.
	* Makefile.am:
	(ICEDTEA_PATCHES): Fix path to previous patch.
	* patches/openjdk/jaxws-tempfiles-ioutils-6.patch:
	Moved from here to...
	* patches/jaxws-tempfiles-ioutils-6.patch:
	...here as not an upstream OpenJDK patch.

2013-04-17  Elliott Baron  <ebaron@redhat.com>

	* patches/openjdk/jaxws-tempfiles-ioutils-6.patch:
	Restrict temp file permissions.
	* Makefile.am:
	(ICEDTEA_PATCHES): Added new patch.

2013-04-17  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/aarch64.patch:
	Fix to apply against older HotSpot.

2013-04-17  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR1402: Support glibc < 2.17 with AArch64 patch
	* patches/aarch64.patch:
	Define EM_AARCH64 for legacy systems
	with glibc earlier than 2.17.

2013-04-17  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/openjdk/6669869-Beans_isDesignTime_should_be_per-AppContext.patch:
	Reapplied as a security patch pre-requisite.
	* patches/security/20130201/8001235.patch:
	Dropped as included in JAXP tarball used.
	* INSTALL: Remove --with-{jaxp,jaf,jaxws}-drop-zip documentation.
	* Makefile.am:
	(JAXWS_DROP_URL): Removed.
	(JAXWS_DROP_ZIP): Likewise.
	(JAXWS_DROP_SHA256SUM): Likewise.
	(JAF_DROP_URL): Likewise.
	(JAF_DROP_ZIP): Likewise.
	(JAF_DROP_SHA256SUM): Likewise.
	(JAF_DROP_URL): Likewise.
	(JAXP_DROP_URL): Likewise.
	(JAXP_DROP_ZIP): Likewise.
	(JAXP_DROP_SHA256SUM): Likewise.
	(DROP_PATCHES): Add patches providing code
	previously provided by drop zips.
	(SECURITY_PATCHES): Updated.
	(ICEDTEA_PATCHES): Add DROP_PATCHES.  Remove
	6669869 duplicate.
	(ICEDTEA_ENV): Remove ALT_DROPS_DIR.
	(download-jaxp-drop): Removed.
	(clean-download-jaxp-drop): Likewise.
	(download-jaf-drop): Likewise.
	(clean-download-jaf-drop): Likewise.
	(download-jaxws-drop): Likewise.
	(clean-download-jaxws-drop): Likewise.
	(download-drops): Likewise.
	(clean-drops): Likewise.
	(download): Don't depend on download-drops.
	(clean-download): Likewise for clean-drops.
	* acinclude.m4:
	(IT_WITH_JAXP_DROP_ZIP): Removed.
	(IT_WITH_JAF_DROP_ZIP): Likewise.
	(IT_WITH_JAXWS_DROP_ZIP): Likewise.
	* configure.ac: Don't call removed macros above.
	* patches/ecj/override.patch: Add new cases introduced
	by security patches (sigh).
	* patches/libraries.patch,
	* patches/nomotif-6706121.patch:
	Regenerated against security patches.
	* patches/openjdk/5102804-memory_leak.patch,
	* patches/openjdk/6501644-icu_sync.patch:
	Backports for security patches.
	* patches/openjdk/6633275-shaped_translucent_windows.patch:
	Remove copyright notice changes broken by 8006790 security patch.
	* patches/openjdk/6669869-queries_per_appcontext.patch,
	* patches/openjdk/6886358-layout_update.patch,
	* patches/openjdk/6963811-deadlock_fix.patch,
	* patches/openjdk/7017324-kerning_crash.patch,
	* patches/openjdk/7064279-fixup.patch,
	* patches/openjdk/7064279-resource_release.patch,
	* patches/openjdk/8004302-soap_test_failure.patch:
	More backports for security patches.
	* patches/openjdk/jaf-b20_jaxws2-1_6_2011_06_13.patch,
	* patches/openjdk/jaxp144_05.patch:
	Add drop zips in patch form.
	* patches/security/20130416/6657673-fixup.patch,
	* patches/security/20130416/6657673.patch,
	* patches/security/20130416/7200507.patch,
	* patches/security/20130416/8000724.patch,
	* patches/security/20130416/8001031.patch,
	* patches/security/20130416/8001040.patch,
	* patches/security/20130416/8001322.patch,
	* patches/security/20130416/8001329.patch,
	* patches/security/20130416/8003335.patch,
	* patches/security/20130416/8003445.patch,
	* patches/security/20130416/8003543.patch,
	* patches/security/20130416/8004261.patch,
	* patches/security/20130416/8004336.patch,
	* patches/security/20130416/8004986.patch,
	* patches/security/20130416/8005432.patch,
	* patches/security/20130416/8005943.patch,
	* patches/security/20130416/8006309.patch,
	* patches/security/20130416/8006435.patch,
	* patches/security/20130416/8006790.patch,
	* patches/security/20130416/8006795.patch,
	* patches/security/20130416/8007406.patch,
	* patches/security/20130416/8007617.patch,
	* patches/security/20130416/8009699.patch:
	Add security patches.
	* patches/xjc.patch:
	Regenerate JAXWS patch against sources, not
	drop system.

2013-04-12  Omair Majid  <omajid@redhat.com>

	* patches/security/20130416/8007667.patch,
	* patches/security/20130416/8007918.patch,
	* patches/security/20130416/8009305.patch,
	* patches/security/20130416/8009814.patch,
	* patches/security/20130416/8009857.patch:
	Add security patches.

2013-04-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Move aarch64.patch to original
	HotSpot only.
	* hotspot.map: Sync with latest hs23 HEAD.

2013-04-12  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(SECURITY_PATCHES): Correct path to 7036559; not
	a security patch but a backport to enable one to
	be applied.
	* patches/security/20130416/7036559.patch: Moved to...
	* patches/openjdk/7036559-concurrenthashmap_improvements.patch:
	...here.

2013-04-11  Jon VanAlten  <jon.vanalten@redhat.com>

	* Makefile.am:
	(SECURITY_PATCHES): Add new patches.
	* patches/security/20130416/7036559.patch: Add backport.
	* patches/security/20130416/8009063.patch: Add security fix.

2013-04-22  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1336: Bootstrap failure on Fedora 17/18
	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_CLASSES): Add SSLContext,
	SSLEngine, TrustAnchor and KeyStoreBuilderParameters
	depending on if methods are missing.
	* NEWS: Updated.
	* configure.ac: Mention bugs in comments.
	Add tests for getDefaultSSLParameters/setSSLParameters,
	new TrustAnchor constructor, TrustAnchor.getCA() and
	KeyStoreBuilderParameters.getParameters().

2013-04-17  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(EXTRA_DIST): Remove THANKYOU.

2013-04-17  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add patch after SH patch.
	* NEWS: Updated.
	* AUTHORS: Add Andreas and merge in THANKYOU.
	* THANKYOU: Removed.

2013-03-22  Andreas Schwab  <schwab@suse.cz>

	PR1380: Add AArch64 support to Zero
	* patches/aarch64.patch:
	Add Zero support for AArch64.

2013-04-16  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add missing backslash (oops!)
	* patches/openjdk/7024568-long_method_resolution_oom_error.patch:
	Fix patch that doesn't apply cleanly.

2013-03-11  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1339: Simplify the rewriter, avoiding concurrency.
	* rewriter/com/redhat/rewriter/ClassRewriter.java:
	Always use the single threaded executor.
	* NEWS: Updated with this and previous fix.

2013-04-16  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR1338: Remove dependence on libXp
	* configure.ac: Drop check for libXp.

2013-04-16  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/pr1319-support_giflib_5.patch,
	Use #if not #ifdef.

2013-04-12  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR1336: Bootstrap failure on Fedora 17/18
	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_CLASSES): Add SSLParameters
	if needed.
	* configure.ac: Check for javax.net.ssl.SSLParameters.

2013-04-12  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add PR1362 from last commit.
	* ChangeLog: Add missing entry for last
	commit.

2013-04-05  Chris Phillips  <chphilli@redhat.com>

	* arm_port/hotspot/src/cpu/zero/vm/thumb2.cpp:
	Fix failure in the register allocation logic,
	diagnosed by Andrew Haley to be an issue with
	PUSH/POP macro's and assumption of order of
	evaluation of arguments.  The fix includes
	detection of the condition and bailing from the
	compilation if a similar failure is detected.

2013-03-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new backports (HotSpot
	one only to bundled HotSpot build).
	* patches/hotspot/original/6840152-jvm_crashes_with_heavyweight_monitors.patch:
	Backport suggested by Xerxes for hs20.
	* patches/openjdk/6500343-bad_code_from_conditionals.patch,
	* patches/openjdk/6682380-foreach_crash.patch,
	* patches/openjdk/6718364-inference_failure.patch,
	* patches/openjdk/7003595-incompatibleclasschangeerror.patch,
	* patches/openjdk/7024568-long_method_resolution_oom_error.patch,
	* patches/openjdk/7046929-fix_t6397104_test_failure.patch:
	Langtools backports present in the proprietary JDK 6 tree,
	as listed by Joe Darcy.

2013-03-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.  Move
	jvmtiEnv.patch to bundled HotSpot build only.
	* NEWS: Update with new patch, add OpenJDK 6
	JIRA URLs.
	* patches/copy_memory.patch: New patch to
	add sun.misc.Unsafe.copyMemory method from 7.
	* patches/jvmtiEnv.patch: Moved to...
	* patches/hotspot/original/jvmtiEnv.patch: here.

2013-03-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/8004341-jck_dialog_failure.patch,
	* patches/openjdk/8005615-failure_to_load_logger_implementation.patch,
	* patches/openjdk/8007393.patch,
	* patches/openjdk/8007611.patch,
	* patches/openjdk/8009641-8007675_build_fix.patch,
	* patches/security/20130201/6563318.patch,
	* patches/security/20130201/6664509.patch,
	* patches/security/20130201/6776941.patch,
	* patches/security/20130201/7141694.patch,
	* patches/security/20130201/7173145.patch,
	* patches/security/20130201/7186945.patch,
	* patches/security/20130201/7186948.patch,
	* patches/security/20130201/7186952.patch,
	* patches/security/20130201/7186954.patch,
	* patches/security/20130201/7192392.patch,
	* patches/security/20130201/7192393.patch,
	* patches/security/20130201/7192977.patch,
	* patches/security/20130201/7197546.patch,
	* patches/security/20130201/7200491.patch,
	* patches/security/20130201/7200500.patch,
	* patches/security/20130201/7201064.patch,
	* patches/security/20130201/7201066.patch,
	* patches/security/20130201/7201068.patch,
	* patches/security/20130201/7201070.patch,
	* patches/security/20130201/7201071.patch,
	* patches/security/20130201/8000210.patch,
	* patches/security/20130201/8000537.patch,
	* patches/security/20130201/8000540.patch,
	* patches/security/20130201/8000631.patch,
	* patches/security/20130201/8001235.patch,
	* patches/security/20130201/8001242.patch,
	* patches/security/20130201/8001307.patch,
	* patches/security/20130201/8001972.patch,
	* patches/security/20130201/8002325.patch,
	* patches/security/20130219/8006446.patch,
	* patches/security/20130219/8006777.patch,
	* patches/security/20130219/8007688.patch,
	* patches/security/20130304/8007014.patch,
	* patches/security/20130304/8007675.patch:
	Remove patches available upstream.
	* Makefile.am:
	(JAXP_DROP_ZIP): Update to jaxp144_05.zip
	with latest security fix included.
	(JAXP_DROP_SHA256SUM): Likewise.
	(SECURITY_PATCHES): Remove ones available
	upstream (all from 2013/02/01, 2013/02/19
	and 2013/03/04).
	(ICEDTEA_PATCHES): Remove patches for
	8005615, 8004341, 8007393 & 8007611
	available upstream.
	* patches/ecj/override.patch:
	Add new case introduced by upstream version
	of security patches (sigh...)

2013-03-18  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patches to appropriate
	HotSpot builds.
	* patches/hotspot/hs23/revert-7017193.patch:
	Backport from 2.x series.  Revert the upstream
	fix for 7017193 and add a much simpler fix using
	free which doesn't suffer from performance issues.
	https://bugzilla.redhat.com/show_bug.cgi?id=902004
	For HotSpot 23 only.
	* patches/hotspot/original/7197906-handle_32_bit_shifts.patch:
	Backport from OpenJDK 7 for bundled HotSpot only.
	* patches/hotspot/original/fix_get_stack_bounds_leak.patch:
	Same fix for 7017193 as in patch above, but for bundled HotSpot,
	which doesn't have the upstream fix.
	* NEWS: Updated.

2013-03-18  Andrew John Hughes  <gnu.andrew@redhat.com>

	* hotspot.map: Sync with IcedTea7 2.3 tree
	again following u17b02 sync.

2013-03-07  Andrew John Hughes  <gnu.andrew@redhat.com>

	* hotspot.map: Sync with IcedTea7 2.3 tree;
	only changes are new release tags.

2013-03-07  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/security/20130304/declaration_correction.patch:
	Remove local patch...
	* Makefile.am: Swap patches.
	* NEWS: Updated.
	* patches/openjdk/8009641-8007675_build_fix.patch:
	...replaced by this from upstream.

2013-03-07  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS:
	Add 1.11.9 & 1.12.4 release notes.

2013-03-07  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(SECURITY_PATCHES): List new patches.
	* patches/security/20130304/8007014.patch,
	* patches/security/20130304/8007675.patch:
	Patches from upstream.
	* patches/security/20130304/declaration_correction.patch:
	Correct bad code added to LCMSTransform.java
	which fails with ecj.

2013-02-17  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patches.
	* patches/openjdk/8007393.patch,
	* patches/openjdk/8007611.patch:
	Regression fixes for LogManager.

2013-02-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(SECURITY_PATCHES): Add latest security patches.
	* patches/security/20130219/8006446.patch,
	* patches/security/20130219/8006777.patch,
	* patches/security/20130219/8007688.patch:
	New patches for next security update.

2013-02-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS:
	Add 1.11.8 & 1.12.3 release notes.

2013-02-17  Andrew John Hughes  <gnu.andrew@redhat.com>

	* .hgignore: Fix so the cacao patches directory
	isn't hidden.
	* patches/cacao/hotspot/hs23/memory.patch,
	* patches/cacao/hotspot/original/memory.patch:
	Add patches missed from last commit.

2013-02-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Specialise HotSpot segment of
	CACAO memory patch and some SystemTap patches.
	Split remaining SystemTap patches between hs23
	and original builds.
	* patches/cacao/memory.patch:
	Remove HotSpot fragments.
	* patches/hotspot/hs23/systemtap-alloc-size-workaround.patch:
	hs23 version of existing patch.
	* patches/hotspot/hs23/systemtap.patch:
	Taken from IcedTea7 2.3.
	* patches/hotspot/hs23/systemtap_gc.patch:
	hs23 version of existing patch.
	* patches/hotspot/original/sdt-arguments.patch
	* patches/hotspot/original/sdt-dtrace-hpp.patch
	* patches/hotspot/original/sdt-jni.patch
	* patches/hotspot/original/sdt-make.patch:
	* patches/hotspot/original/systemtap-alloc-size-workaround.patch
	* patches/hotspot/original/systemtap_gc.patch:
	Moved from....
	* patches/sdt-arguments.patch
	* patches/sdt-dtrace-hpp.patch
	* patches/sdt-jni.patch
	* patches/sdt-make.patch
	* patches/systemtap-alloc-size-workaround.patch
	* patches/systemtap_gc.patch:
	...here.

2013-02-14  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR1319: Support GIF lib v5.
	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* patches/pr1319-support_giflib_5.patch:
	Support building with giflib 5.x.

2013-02-14  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR1317: Provide an option to build with a more up-to-date HotSpot
	* patches/no-static-linking.patch:
	Dropped; unneeded if STATIC_CXX is set to false.
	* INSTALL: Update HotSpot build documentation.
	* Makefile.am:
	(SECURITY_PATCHES): Exclude patches in hs23 HotSpot
	if building with it.
	(ICEDTEA_PATCHES): Likewise, and exclude the ARM32
	port which doesn't work with hs23.  Also specialise
	some patches which differ depending on HotSpot version.
	(ICEDTEA_ECJ_PATCHES): Specialise hotspot-jdk-dependency.patch
	depending on version of HotSpot being built.
	(ICEDTEA_ENV): Pass STATIC_CXX=false to avoid patching.
	Pass BUILD_GCC and BUILD_CXX in place of suffix patch if
	building hs23.
	* NEWS:
	List this new feature and also the bug fix, PR1318.
	* acinclude.m4:
	(IT_ENABLE_ZERO_BUILD): Define only once.  Depend on
	CACAO, Zero and Shark.
	(IT_SET_SHARK_BUILD): Define only once.
	(IT_ENABLE_JAMVM): Likewise.
	(IT_ENABLE_CACAO): Likewise.
	(IT_WITH_HOTSPOT_BUILD): Likewise.  Set ALTERNATE_BUILD
	to hs23.  Depend on Zero build determination and use to
	pick default.  Error out if hs23 is enabled with Zero.
	* hotspot.map: Add reference to hs23 from the 2.3 tree.
	* patches/ecj/hotspot/hs23/hotspot-jdk-dependency.patch:
	Added for hs23 build.
	* patches/ecj/hotspot/original/hotspot-jdk-dependency.patch:
	Moved from patches/ecj/hotspot-jdk-dependency.patch.
	* patches/gcc-suffix-hotspot.patch:
	Split out for original HotSpot builds.
	* patches/gcc-suffix.patch: Original version minus HotSpot
	chunk.
	* patches/hotspot/hs23/arm-hsdis.patch,
	* patches/hotspot/hs23/pr639-broken_shark_build.patch:
	hs23 versions of these patches which don't appear upstream.
	* patches/hotspot/original/arm-hsdis.patch,
	* patches/hotspot/original/pr639-broken_shark_build.patch:
	Moved from patches.
	* patches/hotspot/hs23/remove_jsr292_tests.patch:
	Remove JSR292 tests from hs23 HotSpot when building on 6.

2013-02-14  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 1.11.6, 1.11.7, 1.12.1 & 1.12.2
	releases.

2013-02-08  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR1301: PR1171 causes Zero builds to fail
	* Makefile.am:
	(add-archive): Don't run -Xshare:dump if building
	Zero.
	(add-archive-debug): Likewise.
	(add-archive-ecj): Likewise.

2013-02-08  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR1297: cacao and jamvm parallel unpack failures
	* Makefile.am:
	Add aliases for extract-cacao and extract-jamvm.
	(extract-cacao): Depend on download-cacao.
	(extract-jamvm): Depend on download-jamvm.

2013-02-08  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add additional patches to
	fix regressions introduced by security fixes
	6664509 & 7201064.
	* patches/openjdk/8004341-jck_dialog_failure.patch:
	Fix issue with Dialog serialization.
	* patches/openjdk/8005615-failure_to_load_logger_implementation.patch:
	Fix issue with use of custom LogManagers.

2013-02-04  Andrew John Hughes  <gnu.andrew@redhat.com>
            Omair Majid <omajid@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add 7010849 backport.
	(ICEDTEA_ECJ_PATCHES): Remove 7010849 backport.
	* patches/ecj/7010849-make_sa-jdi_build_with_1.5.patch: Rename to ...
	* patches/openjdk/7010849-modernise_sa.patch: New file.

2013-02-13  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am: Add latest security fixes.
	* patches/openjdk/6633275-shaped_translucent_windows.patch,
	* patches/openjdk/7162902-corba_fixes.patch:
	Regenerated against new fixes.
	* patches/security/20130201/6563318.patch,
	* patches/security/20130201/6664509.patch,
	* patches/security/20130201/6776941.patch,
	* patches/security/20130201/7141694.patch,
	* patches/security/20130201/7173145.patch,
	* patches/security/20130201/7186945.patch,
	* patches/security/20130201/7186948.patch,
	* patches/security/20130201/7186952.patch,
	* patches/security/20130201/7186954.patch,
	* patches/security/20130201/7192392.patch,
	* patches/security/20130201/7192393.patch,
	* patches/security/20130201/7192977.patch,
	* patches/security/20130201/7197546.patch,
	* patches/security/20130201/7200491.patch,
	* patches/security/20130201/7200500.patch,
	* patches/security/20130201/7201064.patch,
	* patches/security/20130201/7201066.patch,
	* patches/security/20130201/7201068.patch,
	* patches/security/20130201/7201070.patch,
	* patches/security/20130201/7201071.patch,
	* patches/security/20130201/8000210.patch,
	* patches/security/20130201/8000537.patch,
	* patches/security/20130201/8000540.patch,
	* patches/security/20130201/8000631.patch,
	* patches/security/20130201/8001235.patch,
	* patches/security/20130201/8001242.patch,
	* patches/security/20130201/8001307.patch,
	* patches/security/20130201/8001972.patch,
	* patches/security/20130201/8002325.patch:
	Include new fixes.

2013-02-01  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(SECURITY_PATCHES): Add latest batch.
	* patches/openjdk/6633275-shaped_translucent_windows.patch:
	Regenerated against security patches.
	* patches/security/20120612/7145239.patch,
	* patches/security/20130201/6563318.patch,
	* patches/security/20130201/6664509.patch,
	* patches/security/20130201/6776941.patch,
	* patches/security/20130201/7141694.patch,
	* patches/security/20130201/7173145.patch,
	* patches/security/20130201/7186945.patch,
	* patches/security/20130201/7186948.patch,
	* patches/security/20130201/7186952.patch,
	* patches/security/20130201/7186954.patch,
	* patches/security/20130201/7192392.patch,
	* patches/security/20130201/7192393.patch,
	* patches/security/20130201/7192977.patch,
	* patches/security/20130201/7197546.patch,
	* patches/security/20130201/7200491.patch,
	* patches/security/20130201/7200500.patch,
	* patches/security/20130201/7201064.patch,
	* patches/security/20130201/7201066.patch,
	* patches/security/20130201/7201068.patch,
	* patches/security/20130201/7201070.patch,
	* patches/security/20130201/7201071.patch,
	* patches/security/20130201/8000210.patch,
	* patches/security/20130201/8000537.patch,
	* patches/security/20130201/8000540.patch,
	* patches/security/20130201/8000631.patch,
	* patches/security/20130201/8001235.patch,
	* patches/security/20130201/8001242.patch,
	* patches/security/20130201/8001307.patch,
	* patches/security/20130201/8001972.patch,
	* patches/security/20130201/8002325.patch:
	New security patches for 2013/02/01 errata.

2013-01-29  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add missing bug ID.

2013-01-29  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Use the correct year; it is
	no longer 2012.

2013-01-29  Andrew John Hughes  <gnu.andrew@redhat.com>

	* configure.ac: Bump to 1.13.0pre.
	* NEWS: Add 1.13.0 section.

2013-01-29  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Update to match announcement.

2013-01-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/cacao/memory.patch:
	Extend with additional cases in HotSpot and
	JAXWS.

2012-06-12  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR986
	* Makefile.am:
	(ICEDTEA_PATCHES): Add memory patch when
	building using CACAO as well, even if the
	result is not a CACAO build.
	* acinclude.m4:
	(IT_USING_CACAO): New macro; detects use of
	CACAO as the build VM so memory limits can
	be raised accordingly.
	* configure.ac: Call IT_USING_CACAO.
	* NEWS: Updated.

2013-01-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* pax-mark-vm.in: Add template for pax mark
	script.

2013-01-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(.PHONY): Add clean-pax-mark-vm,
	clean-pax-mark-vm-debug, clean-pax-mark-vm-ecj.
	(icedtea): Move pax-mark-vm invocation to
	its own rule.
	(icedtea-against-icedtea): Depend on pax-mark-vm.
	(clean-icedtea-against-icedtea): Likewise for
	clean-pax-mark-vm.
	(icedtea-debug-against-icedtea): Likewise for
	pax-mark-vm-debug.
	(clean-icedtea-debug-against-icedtea): Likewise for
	clean-pax-mark-vm-debug.
	(clean-add-archive): Delete the archive.
	(clean-add-archive-debug): Likewise for debug.
	(pax-mark-vm): Move pax marking to here.
	(clean-pax-mark-vm): And remove stamp here.
	(pax-mark-vm-debug): Pax marking for debug build.
	(clean-pax-mark-vm-debug): And remove stamp here.
	(icedtea-ecj): Move pax-mark-vm to its own rule.
	(icedtea-against-icedtea): Depend on pax-mark-vm-ecj.
	(clean-icedtea-against-icedtea): Likewise for
	clean-pax-mark-vm-ecj.
	(clean-add-archive-ecj): Delete the archive.
	(pax-mark-vm-ecj): Move ecj pax marking to here.
	(clean-pax-mark-vm-ecj): And remove stamp here.
	* acinclude.m4:
	(IT_CHECK_FOR_PAX): Remove now unused macro.
	* NEWS: Mention pax marking fixes.

2012-06-24  Ralph Sennhauser  <sera@gentoo.org>

	* Makefile.am:
	(ICEDTEA_PATCHES): Replace HAS_PAX with
	WITH_PAX.  Add RMIC patch.
	(icedtea): Invoke pax-mark-vm on built image.
	(icedtea-ecj): Likewise.
	* acinclude.m4:
	(IT_WITH_PAX): New macro to specify pax utility.
	* configure.ac:
	Call IT_WITH_PAX instead of IT_CHECK_FOR_PAX.
	* patches/pax-mark-rmic-java.patch:
	New patch to PaX mark VM before running just-built
	rmic.

2013-01-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* configure.ac: Set to 1.12.0.
	* NEWS: Add release date.

2013-01-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Fix bad bug reference caught by
	Stefan Ring.

2013-01-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR1119: Only add classes to rt-source-files.txt if
	the class, or one or more of its methods/fields,
	are actually missing from the boot JDK
	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_CLASSES):  Initialise to
	empty.  Make the inclusion of
	javax.security.sasl.Sasl dependent on the
	CREDENTIALS field being missing.
	* acinclude.m4:
	(IT_CHECK_FOR_STATIC_FIELD): New method to
	check for a static field.
	* configure.ac: Invoke IT_CHECK_FOR_STATIC_FIELD
	for javax.security.sasl.Sasl.CREDENTIALS.

2012-08-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(rt-class-files.stamp): Add test of contents of
	ICEDTEA_BOOTSTRAP_CLASSES.  Note; need to use grep as
	field contains whitespace.
	(rt.stamp): Likewise.

2010-09-14  Andrew John Hughes  <ahughes@redhat.com>

	* Makefile.am,
	(rt-source-files.txt): Remove any existing
	version prior to generation to avoid duplication
	of source files.

2013-01-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	CA172, PR1266: Add ARM hardfloat support to CACAO.
	* Makefile.am:
	(CACAO_VERSION): Updated to latest head.
	(CACAO_SHA256SUM): Likewise.
	* NEWS: List changes in CACAO since last revision.
	* patches/cacao/armhf.patch:
	Patch to enable hardfloat on triplet used by Gentoo.

2012-09-25  Xerxes Rånby  <xerxes@zafena.se>

	JamVM
	PR1155: Do not put version number in libjvm.so SONAME
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2012-09-25 revision.
	(JAMVM_SHA256SUM): Updated.

2013-01-21  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_CLASSES): Make the inclusion
	of javax.security.auth.kerberos.KerberosTicket
	dependent on getSessionKeyType() being missing.
	* configure.ac:
	Add IT_CHECK_FOR_METHOD calls for
	getSessionKeyType() which is missing in some
	older versions of GCJ and GNU Classpath (<0.99).

2013-01-21  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_CLASSES): Make the inclusion
	of java.security.cert.X509{Cert,CRL}Selector
	dependent on the necessary methods being missing.
	* configure.ac:
	Add IT_CHECK_FOR_METHOD calls for the
	missing java.security.cert.X509{Cert,CRL}Selector
	methods added in 1.5.

2013-01-14  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(add-tzdata-support): Only copy tz.properties if
	destination exists.  Do it verbosely.
	(clean-add-tzdata-support): Only remove tz.properties
	if present and do so verbosely.
	(add-tzdata-support-debug): Same as add-tzdata-support
	but for debug.
	(clean-add-tzdata-support-debug): Same as
	clean-add-tzdata-support but for debug.
	(add-tzdata-support-ecj): Same as add-tzdata-support
	but for bootstrap.
	(clean-add-tzdata-support-ecj): Same as
	clean-add-tzdata-support but for bootstrap.

2013-01-11  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_CLASSES): Make the inclusion
	of javax.management.StandardMBean dependent on
	the 1.6 constructors being missing.
	* acinclude.m4:
	(IT_CHECK_FOR_CLASS): Write class toString() output
	to System.err rather than throwing it away.  It then
	appears in config.log and may be useful in debugging.
	(IT_CHECK_FOR_METHOD): Fix documentation and add
	System.err output as for IT_CHECK_FOR_CLASS.
	(IT_CHECK_FOR_CONSTRUCTOR): New macro to test for
	the presence of a specific constructor.  Works
	with both private & protected constructors by
	using a subclass for the compile test.
	* configure.ac:
	Add IT_CHECK_FOR_CONSTRUCTOR calls for the
	two javax.management.StandardMBean constructors
	added in 1.6.

2012-11-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	* javac.in:
	Restore deferencing of ecj arguments
	lost when backporting from 7.

2012-11-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(add-archive): Only run -Xshare:dump when java
	exists and we aren't building CACAO or JamVM.
	(add-archive-debug): Likewise.
	(add-archive-ecj): Likewise.

2012-11-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_FIND_COMPILER): Invoke IT_USING_ECJ.
	* javac.in:
	Add final else block which exits with an error.

2011-07-05  Andrew John Hughes  <gnu.andrew@redhat.com>

	* javac.in: Add -XDignore.symbol.file=true
	when using javac to avoid numerous proprietary
	warnings.

2010-12-08  Andrew John Hughes  <gnu.andrew@redhat.com>

	* javac.in:
	Pass -Xprefer:source (if javac is used) to
	pick up local OpenJDK versions of classes
	prior to those in the boot JDK.

2009-07-21  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_USING_ECJ): Work out whether javac is ecj or not.
	* javac.in:
	Run @JAVAC@ rather than @ECJ@ and vary arguments as
	needed depending on @USING_ECJ@.

2009-07-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	Add ANT_RESPECT_JAVA_HOME for Gentoo ant support.

2012-11-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_CLASSES): Add the generated
	file ORBUtilSystemException.java if the build JDK
	has the old version.
	* configure.ac:
	Add checks for com.sun.corba.se.impl.logging.ORBUtilSystemException
	and the method ioExceptionOnClose(Throwable).
	* patches/ecj/corba-dependencies.patch:
	Regenerated against new version of icedtea.patch.
	* patches/ecj/icedtea.patch:
	Remove unneeded addition of bootclasspath.

2012-11-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	RH513605: Updating/Installing OpenJDK should recreate
	the shared class-data archive
	* Makefile.am:
	(icedtea-against-icedtea): Depend on add-archive.
	(clean-icedtea-against-icedtea): Depend on clean-add-archive.
	(icedtea-debug-against-icedtea): Depend on add-archive-debug.
	(clean-icedtea-against-icedtea): Depend on clean-add-archive-debug.
	(add-archive): Run -Xshare:dump on the newly built JDK.
	(clean-add-archive): Delete stamp.
	(add-archive-debug): Same as add-archive for icedtea-debug.
	(clean-add-archive-debug): Same as clean-add-archive for icedtea-debug.
	(icedtea-ecj-against-icedtea): Depend on add-archive-ecj.
	(clean-icedtea-against-icedtea): Depend on clean-add-archive-ecj.
	(add-archive-ecj): Same as add-archive for icedtea-ecj.
	(clean-add-archive-ecj): Same as clean-add-archive for icedtea-ecj.
	* NEWS: Mention.

2012-11-06  Xerxes Rånby  <xerxes@zafena.se>
	    Stefan Ring  <stefan@complang.tuwien.ac.at>

	* Makefile.am (CACAO_VERSION, CACAO_SHA256SUM): Updated.
	(ICEDTEA_PATCHES): Removed patches/cacao/jsig.patch.
	(stamps/cacao.stamp): Create Xusage.txt and libjsig.so as for JamVM.
	* patches/cacao/jsig.patch: Removed.
	* HACKING: Updated.
	* NEWS: Updated.

2012-11-01  Lukas Berk  <lberk@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add patches/systemtap.patch.
	(EXTRA_DIST): Add tapset/hotspot_gc.stp.in.
	(stamps/icedtea.stamp): Build tapset/hotspot_gc.stp.
	(stamps/icedtea-debug.stamp): Likewise.
	* configure.ac: Generate tapset/hotspot_gc.stp.
	* patches/systemtap_gc.patch:
	Add Garbage Collection dtrace/systemtap probes to hotspot.
	* tapset/hotspot_gc.stp.in:
	Systemtap tapset allowing use of GC probes more comfortablely.

2012-10-31  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Correct bad CVE number given by Oracle.

2012-10-31  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to next release, b28.

2012-10-31  Andrew John Hughes  <gnu.andrew@redhat.com>

	* generated/com/sun/corba/se/impl/logging/ActivationSystemException.java,
	* generated/com/sun/corba/se/impl/logging/IORSystemException.java,
	* generated/com/sun/corba/se/impl/logging/InterceptorsSystemException.java,
	* generated/com/sun/corba/se/impl/logging/LogStrings.properties,
	* generated/com/sun/corba/se/impl/logging/NamingSystemException.java,
	* generated/com/sun/corba/se/impl/logging/OMGSystemException.java,
	* generated/com/sun/corba/se/impl/logging/ORBUtilSystemException.java,
	* generated/com/sun/corba/se/impl/logging/ORBUtilSystemException.resource,
	* generated/com/sun/corba/se/impl/logging/POASystemException.java,
	* generated/com/sun/corba/se/impl/logging/UtilSystemException.java:
	Update from latest build, following CORBA changes.

2012-10-31  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_DATE): Updated to that of b27 tarball.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Mention b27 but there are no actual
	changes (all in security updates).  Remove
	b26 changes backported to earlier releases.

2012-10-30  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am: Add new patches.
	* NEWS: List new backports.
	* patches/openjdk/6763340-corba_memory_leak.patch,
	* patches/openjdk/6980681-corba_deadlock.patch,
	* patches/openjdk/7162902-corba_fixes.patch:
	Add a series of CORBA backports, already applied
	to the proprietary JDK6 release.
	* patches/traceable.patch: Fix
	GenerateBreakIteratorData tool so that crashes
	have stack traces.

2011-10-24  Andrew John Hughes  <gnu.andrew@redhat.com>

	* AUTHORS: Update my e-mail address.
	* ChangeLog: Likewise.

2012-10-24  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to next release, b27.
	(SECURITY_PATCHES): Drop security patches now
	available in upstream hg.
	* patches/security/20121016/6631398.patch,
	* patches/security/20121016/7093490.patch,
	* patches/security/20121016/7143535.patch,
	* patches/security/20121016/7158800.patch,
	* patches/security/20121016/7158801.patch,
	* patches/security/20121016/7158804.patch,
	* patches/security/20121016/7167656.patch,
	* patches/security/20121016/7169884.patch,
	* patches/security/20121016/7169888.patch,
	* patches/security/20121016/7172522.patch,
	* patches/security/20121016/7176337.patch,
	* patches/security/20121016/7186286.patch,
	* patches/security/20121016/7189103.patch,
	* patches/security/20121016/7189490.patch,
	* patches/security/20121016/7189567.patch,
	* patches/security/20121016/7192975.patch,
	* patches/security/20121016/7195194.patch,
	* patches/security/20121016/7195917.patch,
	* patches/security/20121016/7195919.patch,
	* patches/security/20121016/7198296.patch,
	* patches/security/20121016/7198606.patch:
	Removed; upstream.

2012-10-24  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 1.10.10 & 1.11.5 releases.

2012-10-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(SECURITY_PATCHES): Add new patches.
	* patches/ecj/override.patch:
	Add new cases in P11Key and RMIConnectionImpl
	introduced by security patches.
	* patches/openjdk/p11cipher-4898461-support_ecb_and_cbc.patch,
	* patches/openjdk/p11cipher-6604496-support_ckm_aes_ctr.patch:
	Regenerated to still apply after security patches.
	* patches/security/20121016/6631398.patch,
	* patches/security/20121016/7093490.patch,
	* patches/security/20121016/7143535.patch,
	* patches/security/20121016/7158800.patch,
	* patches/security/20121016/7158801.patch,
	* patches/security/20121016/7158804.patch,
	* patches/security/20121016/7167656.patch,
	* patches/security/20121016/7169884.patch,
	* patches/security/20121016/7169888.patch,
	* patches/security/20121016/7172522.patch,
	* patches/security/20121016/7176337.patch,
	* patches/security/20121016/7186286.patch,
	* patches/security/20121016/7189103.patch,
	* patches/security/20121016/7189490.patch,
	* patches/security/20121016/7189567.patch,
	* patches/security/20121016/7192975.patch,
	* patches/security/20121016/7195194.patch,
	* patches/security/20121016/7195917.patch,
	* patches/security/20121016/7195919.patch,
	* patches/security/20121016/7198296.patch,
	* patches/security/20121016/7198606.patch:
	New patches.

2012-09-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: List PR1176.

2012-09-25  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* patches/cacao/ignore-jdi-tests.patch: Removed.
	* patches/cacao/ignore-tests.patch: Likewise.
	* Makefile.am:
	Synchronize CACAO sections with icedtea7,
	removing test-disabling patches.
	(cacao): Pass -j$(PARALLEL_JOBS) to make.

2009-11-02  Andrew John Hughes  <gnu.andrew@redhat.com>

	(extract-cacao): Test the actual CACAO source
	directory exists, not just the directory above.
	Use $@ to create stamp.

2012-04-12  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(download-openjdk): Fix syntax.
	(download-cacao): Likewise.
	(download-jamvm): Likewise.
	(download-hotspot): Likewise.
	(download-jaxp-drop): Likewise.
	(download-jaxws-drop): Likewise.
	(download-jaf-drop): Likewise.

2012-09-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: List PR1114.

2012-04-11  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(download-openjdk): Don't download unless
	enable_downloading is set.
	(download-cacao): Likewise.
	(download-jamvm): Likewise.
	(download-hotspot): Likewise.
	(download-jaxp-drop): Likewise.
	(download-jaxws-drop): Likewise.
	(download-jaf-drop): Likewise.
	* acinclude.m4:
	(IT_CHECK_FOR_DOWNLOADING): New option
	--disable-downloading.
	* configure.ac: Call IT_CHECK_FOR_DOWNLOADING.

2012-09-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_DATE): Updated to that of b26 tarball.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS:
	Add updates in b25 & b26 not already present
	in previous releases.

2012-09-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_CLASSES):
	Remove com.sun.java.swing.plaf.nimbus.NimbusLookAndFeel.

2012-09-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/7185678-xmenuitem_peer_npe.patch,
	* patches/security/20120830/7162476-xmldecoder_via_classfinder.patch,
	* patches/security/20120830/7163201-simplify_toolkit_internal_references.patch:
	Removed; upstream.
	* Makefile.am:
	(SECURITY_PATCHES): Drop patches available upstream.
	(ICEDTEA_PATCHES): Likewise.
	* patches/merge_fix.patch,
	* patches/nomotif-6706121.patch,
	* patches/openjdk/6633275-shaped_translucent_windows.patch,
	* patches/openjdk/6797195-hw_lw_mixing.patch:
	Regenerated against upstream.

2012-09-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR1119: Only add classes to rt-source-files.txt if the class (or one or more of its methods/fields)
	are actually missing from the boot JDK
	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_CLASSES): Only include
	javax.swing.plaf.basic.BasicDirectoryModel if
	PR42003 is present in the boot JDK.
	* NEWS: List PR1119.  Correct previous use of
	PR1119 which should be PR1121.
	* acinclude.m4:
	(IT_FIND_JAVAC): Add missing requirement of
	IT_CHECK_FOR_JDK.
	(IT_FIND_JAVA): Likewise.
	(IT_FIND_JAVAH): Likewise.
	(IT_FIND_JAR): Likewise.
	(IT_FIND_RMIC): Likewise.
	(IT_FIND_NATIVE2ASCII): Likewise.
	(IT_CHECK_FOR_METHOD): New macro to check
	for a method both at build-time and run-time.
	* configure.ac: Call IT_CHECK_FOR_METHOD
	for javax.swing.plaf.basic.BasicDirectoryModel.addPropertyChangeListener.

2012-09-03  Mark Wielaard  <mark@klomp.org>

	* Makefile.am (ICEDTEA_PATCHES): Add missing backslash after
	patches/openjdk/7034464-transparent_huge_pages.patch.

2012-09-03  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 1.10.9 & 1.11.4.

2012-08-31  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(JAXP_DROP_ZIP): Update to security fixed version.
	(JAXP_DROP_SHA256SUM): Likewise.
	(SECURITY_PATCHES): Drop; upstream.
	(ICEDTEA_PATCHES): Drop mimpure-text patch; upstream.
	* patches/ecj/override.patch: Regenerate
	against Oracle version of security patches.

2012-08-31  Andrew John Hughes  <gnu.andrew@redhat.com>

	(ICEDTEA_PATCHES): Rename patches.
	* patches/openjdk/7034464-hugepage.patch:
	Renamed to...
	* patches/openjdk/7034464-transparent_huge_pages.patch:
	this.
	* patches/openjdk/7037939-hugepage.patch:
	Renamed to...
	* patches/openjdk/7037939-disable_adaptive_resizing_with_large_pages.patch
	this.

2012-08-31  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(SECURITY_PATCHES): Add 7162476, 7163201 & 7182135.
	(ICEDTEA_PATCHES): Add 7185678.
	* patches/merge_fix.patch: Patch to fix merge issues
	between new security fixes and previous backports.
	* patches/gcc-suffix.patch,
	* patches/libraries.patch,
	* patches/version-hotspot.patch:
	Regenerate to remove fuzz.
	* patches/nomotif-6706121.patch,
	* patches/openjdk/6633275-shaped_translucent_windows.patch,
	* patches/openjdk/6693253-security_warning.patch,
	* patches/openjdk/6797195-hw_lw_mixing.patch:
	Regenerated post-security patches.
	* patches/openjdk/7185678-xmenuitem_peer_npe.patch,
	* patches/security/20120830/7162476-xmldecoder_via_classfinder.patch,
	* patches/security/20120830/7163201-simplify_toolkit_internal_references.patch:
	New patches from 6u35/7u7 security release.
	* patches/security/20120830/7182135-impossible_to_use_some_editors_directly.patch:
	Regression fix for 7162476.

2012-08-20  Xerxes Rånby  <xerxes@zafena.se>
	    Robert Lougher  <rob@jamvm.org.uk>

	JamVM: Sync with IcedTea7
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2012-08-15 revision.
	(JAMVM_SHA256SUM): Updated.
	(stamps/jamvm.stamp): Use --with-java-runtime-library=openjdk6

2012-08-17  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* patches/ecj/hotspot.patch:
	Make this patch file compatible with patch tool 2.5.4

2012-08-16  Mark Wielaard  <mark@klomp.org>

	* Makefile.am (add-zero.stamp): Setup drops directory by symlinking.
	(add-zero-debug.stamp): Likewise.

2012-08-16  Mark Wielaard  <mark@klomp.org>

	* Makefile.am (stamps/add-nss.stamp): Only try patching the
	security files if they actually exist.

2012-08-16  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR1121: Old installs still suffer from GCC PR41686
	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_CLASSES):
	Add javax.security.auth.kerberos.KerberosTicket
	* NEWS: Updated.

2012-08-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR1117: IcedTea6 prebuilds far too many classes on bootstrap
	* patches/ecj/hotspot.patch:
	Removed; replaced by hotspot-jdk-dependency
	We don't need to add rt.jar on the classpath
	as well as the bootclasspath.
	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_DIRS): Removed.
	(ICEDTEA_BOOTSTRAP_CLASSES): Extend with new
	cases found through building without
	ICEDTEA_BOOTSTRAP_DIRS.
	(ICEDTEA_ECJ_PATCHES): Add new patches, remove
	hotspot.patch.
	(rt-source-files.txt): Remove use of
	ICEDTEA_BOOTSTRAP_CLASSES.
	* NEWS: Updated.
	* patches/ecj/7010849-make_sa-jdi_build_with_1.5.patch:
	Backport from OpenJDK7.  Allows the serviceability
	agent to be compiled with 1.5.  Added to bootstrap
	only to reduce potential issues with the API change.
	* patches/ecj/corba-dependencies.patch:
	Point the CORBA build at the JDK sources as it
	requires sun.tools.java.
	* patches/ecj/hotspot-jdk-dependency.patch:
	Point the HotSpot build at the JDK sources as it
	requires com.sun.jdi for the serviceability agent.
	Building com.sun.jdi requires 1.5+ source code and
	thus 7010849 is necessary.
	* patches/ecj/icedtea.patch:
	Extend CORBA Defs-java changes so that it uses the
	just-built langtools instead of the boot jdk's
	tools.jar.
	* patches/ecj/jaxws-jdk-dependency.patch:
	Point the JAXWS build at the JDK sources as it
	depends on com.sun.net.httpserver.
	* patches/ecj/jaxws-langtools-dependency.patch:
	Point the JAXWS build at the full langtools
	distribution, rather than just javac/javah/javadoc
	as it requires com.sun.mirror.

2012-08-15  Mark Wielaard  <mjw@redhat.com>

	* Makefile.am (ICEDTEA_PATCHES): Remove systemtap.patch, add
	individual sdt-*.patches.
	* patches/systemtap.patch: Removed.
	* patches/sdt-arguments.patch: Added.
	* patches/sdt-dtrace-hpp.patch: Added.
	* patches/sdt-jni.patch: Added.
	* patches/sdt-make.patch: Added.
	* overlays/openjdk/hotspot/test/serviceability/SDTProbesGNULinuxTest.sh:
	New testcase.

2012-08-14  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR1113: Include tapset tests in distribution.
	* Makefile.am:
	(TAPSET_TEST_SRCS): Like tapset test sources.
	(EXTRA_DIST): Add TAPSET_TEST_SRCS.
	* NEWS: Updated.

2012-08-14  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(clean-add-nss): Only move java.security.old
	if it exists.
	(clean-add-nss-debug): Likewise.
	(clean-add-nss-ecj): Likewise.

2012-08-13  Xerxes Rånby  <xerxes@zafena.se>

	JamVM
	- ARMv6 armhf: Changes for Raspbian (Raspberry Pi)
	- PPC: Don't use lwsync if it isn't supported
	- X86: Generate machine-dependent stubs for i386
	- When suspending, ignore detached threads that have died, this prevents
	a user caused deadlock when an external thread has been attached to the
	VM via JNI and it has exited without detaching
	- Add missing REF_TO_OBJs for references passed from JNI,
	this enable JamVM to run Qt-Jambi
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2012-07-25 revision.
	(JAMVM_SHA256SUM): Updated.

2012-08-10  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* README: Fix CACAO URL.

2012-08-06  Mark Wielaard  <mjw@redhat.com>

	* test/tapset/jstaptest.pl (probestrings): Expect non-zero value
	for hotspot.jni.NewObjectA.return.

2012-08-03  Mark Wielaard  <mjw@redhat.com>

	* Makefile.am (check-tapset-probes): New target.
	(check-tapset-jstack): Likewise.
	(check-tapset): Depend on check-tapset-probes check-tapset-jstack.
	* test/tapset/jstaptest.pl (process_args): Add -p [$run_test_probes]
	and -j [$run_test_jstack].
	(test_jstack): Takes argument to pass to java process.
	Pass -XX:+UseCompressedOops and/or -Xmx5G.

2012-08-03  Yasumasa Suenaga  <suenaga.yasumasa@lab.ntt.co.jp>

	* tapset/jstack.stp.in (NarrowOopStruct): New global.
	(hotspot.vm_init_end): Initialize NarrowOopStruct.
	(hotspot.vm_shutdown): Delete NarrowOopStruct for pid.
	(jstack_call): Use NarrowOopStruct to calculate methodOopKlass.

2012-08-09  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* Makefile.am: copy entire CACAO directory, including .hg

2012-08-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	Apply NSS changes to java.security after
	build.
	* Makefile.am:
	(ICEDTEA_PATCHES): Don't add NSS config patches.
	(NSS_PATCHES): Add here instead.
	(add-nss): Apply NSS_PATCHES.
	(clean-add-nss): Revert java.security.
	(add-nss-debug): Apply NSS_PATCHES to debug build.
	(clean-add-nss-debug): Revert java.security for debug build.
	(add-nss-ecj): Apply NSS_PATCHES to bootstrap build.
	(clean-add-nss-ecj): Revert java.security for bootstrap build.

2012-08-08  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am: Add new patch.
	* patches/openjdk/p11cipher-6414899-p11digest_should_support_cloning.patch:
	Backport of OpenJDK patch to make
	com.oracle.security.ucrypto.TestDigest test
	work on NSS.

2012-06-28  Omair Majid  <omajid@redhat.com>

	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioClip.java
	(getMicrosecondLength, getMicrosecondPosition)
	(setMicrosecondPosition): Use correct factor to convert seconds to
	microseconds.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioSourceDataLine.java
	(getMicrosecondPosition): Likewise.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioPlaybackLine.java:
	Define SECONDS_TO_MICROSECONDS.

2012-06-28  Omair Majid  <omajid@redhat.com>

	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioSourceDataLine.java
	(write): Synchronize access to writeInterrupted flag.

2012-06-28  Omair Majid  <omajid@redhat.com>

	PR1050: Stream objects not garbage collected
	* NEWS: Update with fix.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/Stream.java:
	Add new member variable contextPointer.
	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_Stream.c
	(Java_org_classpath_icedtea_pulseaudio_Stream_native_1pa_1stream_1new):
	Save j_context as contextPointer.
	(Java_org_classpath_icedtea_pulseaudio_Stream_native_1pa_1stream_1unref):
	Delete the global ref and dellocate the java context.
	(cork_callback): Don't check userdata. It is NULL.
	(Java_org_classpath_icedtea_pulseaudio_Stream_native_1pa_1stream_1cork):
	Dont allocate and pass a java_context to pa_stream_cork. It is not needed.
	* pulseaudio/unittests/org/classpath/icedtea/pulseaudio/PulseAudioClipTest.java
	(testOpenCloseLotsOfTimes): New method.

2012-06-26  Omair Majid  <omajid@redhat.com>

	* test/tapset/jstaptest.pl (get_arch_dir): Fix dir for x86.

2012-06-13  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/remove-mimpure-option-to-gcc.patch:
	Dropped; upstreamed.
	* patches/security/20120612/7079902.patch,
	* patches/security/20120612/7110720.patch,
	* patches/security/20120612/7143606.patch,
	* patches/security/20120612/7143614.patch,
	* patches/security/20120612/7143617.patch,
	* patches/security/20120612/7143851.patch,
	* patches/security/20120612/7143872.patch,
	* patches/security/20120612/7145239.patch,
	* patches/security/20120612/7152811.patch,
	* patches/security/20120612/7157609.patch,
	* patches/security/20120612/7160677.patch,
	* patches/security/20120612/7160757.patch:
	Dropped; provided by Oracle upstream.
	* Makefile.am:
	(JAXP_DROP_ZIP): Update to security fixed version.
	(JAXP_DROP_SHA256SUM): Likewise.
	(SECURITY_PATCHES): Drop; upstream.
	(ICEDTEA_PATCHES): Drop mimpure-text patch; upstream.
	* patches/ecj/override.patch: Regenerate
	against Oracle version of security patches.

2012-06-07  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am,
	* patches/ecj/override.patch:
	Add additional cases from 7143872.
	* patches/security/20120612/7079902.patch,
	* patches/security/20120612/7110720.patch,
	* patches/security/20120612/7143606.patch,
	* patches/security/20120612/7143614.patch,
	* patches/security/20120612/7143617.patch,
	* patches/security/20120612/7143851.patch,
	* patches/security/20120612/7143872.patch,
	* patches/security/20120612/7145239.patch,
	* patches/security/20120612/7152811.patch,
	* patches/security/20120612/7157609.patch,
	* patches/security/20120612/7160677.patch,
	* patches/security/20120612/7160757.patch:
	Security patches for 2012/06/12.

2012-06-12  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 1.10.8 & 1.11.3 releases.

2012-06-11  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/7103224-glibc_name_collision.patch,
	* patches/openjdk/7140882-dont-return-booleans-from-methods-returning-pointers.patch,
	* patches/support_linux_3.patch:
	Drop upstreamed patches.
	* Makefile.am:
	(ICEDTEA_PATCHES): Removed above patches.
	* patches/openjdk/6633275-shaped_translucent_windows.patch:
	Regenerated due to copyright header change by Oracle.

2012-06-06  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/6610244-modal-fatal-error-windows.patch:
	Removed.
	* Makefile.am,
	Remove upstreamed patch.

2012-05-16  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_VERSION): Move to b26, ready
	for next release.

2012-05-16  Andrew John Hughes  <gnu.andrew@redhat.com>

	Move to released b25.
	* Makefile.am:
	(OPENJDK_DATE): Set to b25 release date.
	(OPENJDK_SHA256SUM): Set to b25 checksum.

2012-05-16  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add latest releases, 1.10.7 & 1.11.2

2012-05-10  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am: Add new patches.
	* patches/openjdk/p11cipher-4898461-support_ecb_and_cbc.patch,
	* patches/openjdk/p11cipher-6604496-support_ckm_aes_ctr.patch,
	* patches/openjdk/p11cipher-6682411-fix_indexoutofboundsexception.patch,
	* patches/openjdk/p11cipher-6682417-fix_decrypted_data_not_multiple_of_blocks.patch,
	* patches/openjdk/p11cipher-6687725-throw_illegalblocksizeexception.patch,
	* patches/openjdk/p11cipher-6812738-native_cleanup.patch,
	* patches/openjdk/p11cipher-6867345-turkish_regional_options_cause_npe_in_algoid.patch,
	* patches/openjdk/p11cipher-6924489-ckr_operation_not_initialized.patch:
	Backports from 7 to improve P11Cipher.

2012-05-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(MEMORY_LIMIT): Always set this.
	* javac.in:
	Split out '-J' prefixed options and pass them
	to the VM rather than ecj.  Filter out
	'-J-Xbootclasspath/p:', which makes no sense
	as there's nothing to prepend, and confuses
	the VM.

2012-05-09  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* patches/remove_multicatch_in_testrsa.patch:
	Make the test TestRSA compatible with JDK6 syntax.
	* Makefile.am: Updated.

2012-05-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(add-nss): Copy nss.cfg to j2re-image as well.
	(clean-add-nss): Remove nss.cfg from j2re-image.
	(add-nss-debug): Same as for add-nss.
	(clean-add-nss-debug): Same as for clean-add-nss.
	(add-nss-ecj): Same as for add-nss.
	(clean-add-nss-ecj): Same as for clean-add-nss.

2012-05-04  Andrew John Hughes  <gnu.andrew@redhat.com>

	Backport cryptography tests from 7.
	* Makefile.am: Add new patches.
	* patches/generalise_crypto_tests.patch:
	IcedTea7 patch to generalise crypto tests.
	* patches/openjdk/7088989-ucrypto_tests.patch:
	Backport of 7088989.
	* patches/remove-gcm-test.patch:
	Remove GCM testing as not part of 6.
	* patches/skip_wrap_mode.patch:
	IcedTea7 patch to skip wrap mode tests when mode
	is not available.

2012-04-20  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* NEWS: Mention bugfix PR797 (the same as bugfig RH789154).

2012-03-29  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* patches/revert-6885123.patch: Removed to fix
	  RH bug #789154 - javac error messages no longer
	  contain the full path to the offending file.
	* NEWS: Mention bugfix.
	* Makefile.am: Updated.

2012-03-27  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* patches/openjdk/6792400-Avoid_loading_Normalizer_resources.patch:
	Backport of: 6792400: Avoid loading of Normalizer resources
	for simple uses
	* NEWS: Mention backport.
	* Makefile.am: Updated

2012-03-21  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* patches/apache-xml-internal-fix-bug-38655.patch:
	Added patch which fixes the Apache XML security bug #38655
	* Makefile.am: Updated

2012-03-21  Pavel Tisnovsky  <ptisnovs@redhat.com>

	PR881: Sign tests (wsse.policy.basic) failures with OpenJDK6
	* Makefile.am: Updated
	* patches/idresolver_fix.patch: added patch for a class
	IdResolver.

2012-03-26  Mark Wielaard  <mjw@redhat.com>

	* test/tapset/jstaptest.pl: thread_start and thread_stop thread id
	can be any positive number.

2012-03-23  Mark Wielaard  <mjw@redhat.com>

	* test/tapset/jstaptest.pl: Add jstack tests.

2012-03-23  Jon VanAlten  <jon.vanalten@redhat.com>

	* Makefile.am:
	Add target to run tapset tests.
	* tapset/hotspot_jni.stp.in:
	Add notes regarding required JVM option to Get<PrimitiveType>Field
	family of probe aliases.
	* test/tapset/ClassUnloadedProbeTester.java:
	Part of test coverage for hotspot.stp and hotspot_jni.stp tapsets.
	* test/tapset/JNIStapTest.c:
	Likewise.
	* test/tapset/JNITestClass.c:
	Likewise.
	* test/tapset/JNITestClass.h:
	Likewise.
	* test/tapset/JNITestClass.java:
	Likewise.
	* test/tapset/RunWrapper.java:
	Likewise.
	* test/tapset/StapJNIClassLoader.java:
	Likewise.
	* test/tapset/StapURLClassLoader.java:
	Likewise.
	* test/tapset/SystemtapTester.java:
	Likewise.
	* test/tapset/TestingRunner.java:
	Likewise.
	* test/tapset/jstaptest.pl:
	Wrapper script, compiles and runs tests for tapsets.

2012-03-20  Mark Wielaard  <mjw@redhat.com>

	* Makefile.am (clean-jtreg): Depend on clean-jtreg-reports.

2012-03-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_FIND_COMPILER): Define only once and
	rename from IT_FIND_JAVAC.
	(IT_FIND_ECJ): Use same form as detection
	for java, javah, jar and rmic.
	(IT_FIND_JAVAC): Likewise.
	(IT_CHECK_JAVA_AND_JAVAC_WORK): New macro to check
	java and javac actually work together to compile code
	before running other tests such as the dtdtype one.
	(IT_CHECK_FOR_CLASS): Depend on java/javac working.
	(IT_CHECK_IF_INSTANTIABLE): Likewise.
	(IT_GETDTDTYPE_CHECK): Likewise.  Add -target 5.
	(IT_JAVAH): Depend on java/javac working.
	* configure.ac: Invoke IT_FIND_COMPILER rather than
	IT_FIND_JAVAC.

2012-03-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_CHECK_FOR_JDK): Update JDK home directory
	check list, adding some missing 1.6 entries
	and removing generic ones which may now pick
	up an unwanted 1.7 installation.

2012-03-16  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR600, 886:
	* Makefile.am:
	(extract-openjdk): Copy jvm.cfg over if building JamVM.
	* acinclude.m4:
	(IT_ENABLE_JAMVM): Generate jvm.jamvm.cfg.
	* jvm.jamvm.cfg.in: Copied from jvm.cfg.in.

2012-03-16  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR600, 886:
	* patches/pr600-arm-jvm.cfg.patch: Removed.
	* Makefile.am:
	(extract-openjdk): Copy jvm.cfg over if building cacao.
	* acinclude.m4:
	(IT_ENABLE_CACAO): Generate jvm.cacao.cfg.
	* jvm.cacao.cfg.in: Copied from jvm.cfg.in.

2012-03-16  Andrew Haley  <aph@redhat.com>

	* arm_port/hotspot/src/cpu/zero/vm/arm_cas.S: Use unified syntax
	for thumb code.

2012-03-15  Andrew Haley  <aph@redhat.com>

	* openjdk/hotspot/src/cpu/zero/vm/thumb2.cpp (it): Add code to
	handle negated conditions.
	(handle_special_method): Use blx_reg rather than blx in case the
	target is thumb code.
	(IT_MASK_TE, IT_MASK_TT, IT_MASK_TTT): Delete.
 	(IT_MASK_TEE): Correct.

2012-03-14  Andrew Haley  <aph@redhat.com>

	* arm_port/hotspot/src/cpu/zero/vm/bytecodes_arm.def (ldc, ldc_w):
	Replace numeric constants for constant pool with symbols.
	* arm_port/hotspot/src/cpu/zero/vm/cppInterpreter_arm.S (build_frame):
	Likewise.
	(fast_native_entry): Likewise.

2012-03-02  Andrew Haley  <aph@redhat.com>

	* arm_port/hotspot/src/cpu/zero/vm/arm_cas.S: New file.
	* patches/arm.patch (void get_processor_features): New function
	that enables compareAndSwap on jlongs.
	(atomic_linux_zero.inline.hpp: arm_val_compare_and_swap): New
	function.
	(atomic_linux_zero.inline.hpp: Atomic::store): Use
	arm_val_compare_and_swap.

	* openjdk/hotspot/src/cpu/zero/vm/thumb2.cpp (IT_MASK_TT)
	(IT_MASK_TE, IT_MASK_TTT, IT_MASK_TEE): Add a few new IT
	encodings.
	(Thumb2_dUnaryOp): Generalize Thumb2_dNeg.
	(Thumb2_dNeg, Thumb2_dAbs): Specializations of Thumb2_dUnaryOp.
	(handle_special_method): Use intrinsic_id instead of method_kind.
	Add handlers for _compareAndSwapInt and _compareAndSwapLong.
	(Thumb2_codegen): Call handle_special_method() for invokevirtual.
	Pass stackdepth to handle_special_method().

2012-03-14  Mark Wielaard  <mjw@redhat.com>

	* Makefile.am (EXTRA_DIST): Add tapset/jstack.stp.in.

2012-03-13  Mark Wielaard  <mjw@redhat.com>

	* tapset/jstack.stp.in: Wrap heap accessors in try-catch block to be
	able to report unusual frames.

2012-03-13  Mark Wielaard  <mjw@redhat.com>

	* tapset/jstack.stp.in: Use @var construct if available to pick
	target variable from the right CU (needed by newer DWARF/gcc
	versions).

2012-03-13  Mark Wielaard  <mjw@redhat.com>

	* tapset/jstack.stp.in: Index globals on pid() to support multiple
	running hotspot jstacks at the same time.

2012-03-13  Mark Wielaard  <mjw@redhat.com>

	* tapset/jstack.stp.in: Don't hard code constantPoolOopDesc_size.

2012-03-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/security/20120214/7082299.patch,
	* patches/security/20120214/7088367.patch,
	* patches/security/20120214/7110683.patch,
	* patches/security/20120214/7110687.patch,
	* patches/security/20120214/7110700.patch,
	* patches/security/20120214/7110704.patch,
	* patches/security/20120214/7118283.patch,
	* patches/security/20120214/7126960.patch:
	Removed; upstream.
	* Makefile.am: Drop above patches.

2012-03-02  Xerxes Rånby  <xerxes@zafena.se>
	    Andrew Haley  <aph@redhat.com>

	* arm_port/hotspot/src/cpu/zero/vm/thumb2.cpp:
	(handle_special_method): Fix a off by one byte SIGILL crash
	during BLX call to thumb compiled StrictMath intrinsics for
	--with-float=hard --with-mode=thumb ARM builds.

2012-02-27  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* Makefile.am: Add new patch.
	* NEWS: Mention backport.
	* patches/openjdk/4465490-Suspicious_double-check_locking_idiom.patch:
	Backport of S4465490: Suspicious about double-check locking idiom being
	used in the code.

2012-02-27  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* Makefile.am: Add new patch.
	* NEWS: Mention backport.
	* patches/openjdk/6883983-JarVerifier_removed_dependency_sun_security_pkcs.patch:
	Backport of S6883983: JarVerifier dependency on
	sun.security.pkcs should be removed

2012-02-24  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* patches/ScriptEngineManager-doc.patch:
	Added patch with JavaDoc fixes for ScriptEngineManager class.
	* Makefile.am: updated

2012-02-22  Andrew Haley  <aph@redhat.com>

	* arm_port/hotspot/src/cpu/zero/vm/thumb2.cpp
	(handle_special_method, jstack_to_vfp, vfp_to_jstack): New
	functions.
	(Thumb2_codegen): Call handle_special_method.
	(t_vop_ops): Add VSQRT.
	(T_VMOVD_VFP_TOVFP): New macro.
	(vmov_reg_d_VFP_to_VFP): New function.

2012-02-20  Andrew Haley  <aph@redhat.com>

	PR584:
	* arm_port/hotspot/src/cpu/zero/vm/asm_helper.cpp (Helper_new):
	Don't use shared Eden in incremental mode.

2012-02-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Bring in 1.8.13, 1.9.13 and 1.10.6
	release notes.

2012-02-08  Omair Majid  <omajid@redhat.com>

	* NEWS: Update with security fixes.
	* Makefile.am
	(SECURITY_PATCHES): Add security patches.
	(SPECIAL_SECURITY_PATCH): Add new variable.
	(ICEDTEA_PATCHES): Add security patch that epends on backport.
	* patches/security/20120214/7082299.patch,
	* patches/security/20120214/7088367.patch,
	* patches/security/20120214/7110683.patch,
	* patches/security/20120214/7110687.patch,
	* patches/security/20120214/7110700.patch,
	* patches/security/20120214/7110704.patch,
	* patches/security/20120214/7112642.patch,
	* patches/security/20120214/7118283.patch,
	* patches/security/20120214/7126960.patch: New security fixes.

2012-02-14  Omair Majid  <omajid@redhat.com>

	* NEWS: Update with 1.11.1 changes.

2012-02-02  Omair Majid  <omajid@redhat.com>

	PR865 - Patching fails with patches/ecj/jaxws-getdtdtype.patch
	* NEWS: Update with fix.
	* patches/ecj/jaxws-getdtdtype.patch: Update to apply correctly.

2012-02-01  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Sync with 1.11 branch.

2012-01-31  Andrew Haley  <aph@redhat.com>

	* arm_port/hotspot/src/cpu/zero/vm/cppInterpreter_arm.S
	(return_check_monitors): DECACHE_JPC so that the saved bytecode
	pointer is correct for the GC.

2012-01-30  Deepak Bhole <dbhole@redhat.com>

	Added patches to fix building with GCC 4.7
	* patches/openjdk/7140882-dont-return-booleans-from-methods-returning-pointers.patch:
	New patch. Makes methods return NULL instead of boolean when they return a
	pointer.
	* patches/openjdk/remove-mimpure-option-to-gcc.patch: New patch. Removes
	the invalid -mimpure-text option to GCC.

2012-01-27  Andrew Haley  <aph@redhat.com>

	* arm_port/hotspot/src/cpu/zero/vm/thumb2.cpp (class Hsdis): Set
	decode_instructions = NULL.

2012-01-25  Andrew Haley  <aph@redhat.com>

	* openjdk-ecj/hotspot/src/cpu/zero/vm/thumb2.cpp (Thumb2_Branch):
	Remove safepoint code.
	(Thumb2_Cond_Safepoint): New function.
	(Thumb2_codegen): Call Thumb2_Cond_Safepoint() from two places.

2012-01-23  Andrew Haley  <aph@redhat.com>

	* arm_port/hotspot/src/cpu/zero/vm/thumb2.cpp (print_address): Add
	cast to silence warning.

2012-01-19  Xerxes Rånby  <xerxes@zafena.se>
	    Andrew Haley  <aph@redhat.com>

	* openjdk/hotspot/src/cpu/zero/vm/thumb2.cpp
	(Thumb2_Compile): Disable T2-JIT on unsupported targets like armv5.

2012-01-23  Andrew Haley  <aph@redhat.com>

	* arm_port/hotspot/src/cpu/zero/vm/thumb2.cpp (Thumb2_disass):
	Minor tidying.
	* patches/arm-hsdis.patch: Make test for ARM more generic.

2012-01-20  Andrew Haley  <aph@redhat.com>

	* arm_port/hotspot/src/cpu/zero/vm/thumb2.cpp (print_address):
	Return NULL;

2012-01-20  Andrew Haley  <aph@redhat.com>

	* openjdk/hotspot/src/cpu/zero/vm/thumb2.cpp
	(Whole file): use PrintAssembly rather than t2ee_print_disass.
	(t2ee_print_disass): Delete.
	(class Hsdis):Rename.  (Was class Opcodes.)
	Rewrite to use the OpenJDK hsdis framework.
	(Thumb2_disass): move Hsdis here from global scope.
	Rewrite to use the OpenJDK hsdis framework.
	* patches/arm-hsdis.patch: New file.
	* Makefile.am (ICEDTEA_PATCHES): Add patches/arm-hsdis.patch.

2012-01-19  Andrew Haley  <aph@redhat.com>

	* openjdk-ecj/hotspot/src/cpu/zero/vm/thumb2.cpp
	(Thumb2_Safepoint): Add comment.
	(Thumb2_Return): Pass stackdepth to Thumb2_Safepoint.
	(Thumb2_codegen): Pass stackdepth to Thumb2_Return.

2012-01-18  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/openjdk/6851973-kerberos.patch,
	* patches/openjdk/7091528-javadoc_class_files.patch,
	* patches/openjdk/7102369-7094468-rmiregistry.patch,
	* patches/openjdk/7103725-ssl_beast_regression.patch:
	Dropped; upstream.
	* Makefile.am: Remove dropped patches.
	* patches/ecj/icedtea.patch: Updated due to 6790292.
	* patches/openjdk/6633275-shaped_translucent_windows.patch,
	* patches/openjdk/6725214-direct3d-01.patch:
	Remove copyright notice changes broken as a result of the annoying
	7128474 change.

2012-01-18  Xerxes Rånby  <xerxes@zafena.se>

	* openjdk/hotspot/src/cpu/zero/vm/cppInterpreter_arm.S
	(putstatic_volatile_dw): Re-order register operands to silence
	warning.

2012-01-17  Andrew Haley  <aph@redhat.com>

	* openjdk/hotspot/src/cpu/zero/vm/cppInterpreter_arm.S
	(vm_fatal_error): Add an extra entry point at vm_fatal_error +
	CODE_ALIGN_SIZE to allow vm_fatal_error to be used as an entry
	point in asm_method_table.

	(putstatic_volatile_dw): Re-order register operands to silence warning.

2012-01-16  Andrew Haley  <aph@redhat.com>

	* openjdk/hotspot/src/cpu/zero/vm/cppInterpreter_arm.S (asm_method_table):
	Add entry for java.dyn.MethodHandles::invoke.
	(asm_generate_method_entry): Replace constant 14 with calculation
	based on the size of asm_method_table.
	Add some comments.

2012-01-16  Andrew Haley  <aph@redhat.com>

	* Makefile.am (check-jdk): Restore the --samevm line that was
	deleted by mistake in an earlier merge.

2012-01-13  Andrew Haley  <aph@redhat.com>

	* arm_port/hotspot/tools/mkbc.c (writeouttable): Add numbering
	comments to bytecode output.
	* arm_port/hotspot/src/cpu/zero/vm/thumb2.cpp (Thumb2_Return):
	Move safepoint before monitor is unlocked.
	* arm_port/hotspot/src/cpu/zero/vm/cppInterpreter_arm.S
	(safe_dispatch_table): Add comment.
	Correct order of do_return_register_finalizer.
	Add numbering comments.
	* arm_port/hotspot/src/cpu/zero/vm/cppInterpreter_arm.S (TRACE):
	New macro.

2012-01-17  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* Makefile.am: Add new patch.
	* NEWS: Mention backport.
	* patches/openjdk/6761072-new_krb5_tests_fail_on_multiple_platforms.patch:
	Backport of 6761072: new krb5 tests fail on multiple platforms

2012-01-12  Danesh Dadachanji  <ddadacha@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Replace patches/openjdk/683768-System-tray-icon.patch with
	patches/openjdk/7103610-_NET_WM_PID_and_WM_CLIENT_MACHINE_are_not_set.patch
	* NEWS: Moved RH683768 from Bug fixes to 1.11 Backports, added S7103610 to it.
	* patches/openjdk/683768-System-tray-icon.patch: Removed.
	* patches/openjdk/7103610-_NET_WM_PID_and_WM_CLIENT_MACHINE_are_not_set.patch: 
	New file. Sets XAtoms	_NET_WM_PID and WM_CLIENT_MACHINE for X windows.

2012-01-12  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 1.10.5, 1.9.12 and 1.8.12
	release notes.  Remove duplicates from 1.11.

2012-01-12  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* Makefile.am: Add new patch.
	* NEWS: Mention backport.
	* patches/openjdk/6764553-IdResolver_is_not_thread_safe.patch:
	Backport of 6764553:
	com.sun.org.apache.xml.internal.security.utils.IdResolver is not
	thread safe.

2012-01-10  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am: Add new patch.
	* NEWS: Mention backport.
	* patches/openjdk/6706974-krb5_test_infrastructure.patch:
	Add Kerberos 5 test infrastructure so the test in
	the 6851973 backport works.

2012-01-09  Andrew Haley  <aph@redhat.com>

	* arm_port/hotspot/src/cpu/zero/vm/thumb2.cpp (Thumb2_disass):
	Flush the output streams.
	(Thumb2_Safepoint): Add the bci as a new argument.  Pass it to
	the safepoint handler.
	(Thumb2_Branch): Pass the bci to Thumb2_Safepoint().
	(Thumb2_Goto): Likewise.
	(Thumb2_Return):  Add the bci as a new argument.  Pass it to
	Thumb2_Safepoint().
	Add braces for clarity.
	move call to Thumb2_Safepoint() to point before retval is popped.
	(Thumb2_codegen): Pass the bci to Thumb2_Return().
	(Thumb2_Initialize): Disassemble the codebuf we just created.

	* arm_port/hotspot/src/cpu/zero/vm/cppInterpreter_arm.S
	(method_entry_freq_count_overflow): Make sure self_link is set
	when re-entering JIT-compiled code.

2012-01-06  Omair Majid  <omajid@redhat.com>

	* NEWS: Add 1.12 section
	* configure.ac: Bump to 1.12pre.

2012-01-06  Jiri Vanek  <jvanek@redhat.com>

	fixes rhbz#580478
	* configure.ac: abs-install-dir block moved outside conditional ENABLE_SYSTEMTAP block
	 Added policytool.desktop and jconsole.desktop as AC_CONFIG_FILES 
	* jconsole.desktop:  removed, replaced by jconsole.desktop.in
	* jconsole.desktop.in: new file, stub for desktop file, have variable
	to be substitued during configure
	* policytool.desktop:  removed, replaced by policytool.desktop.in
	* policytool.desktop.in: new file, stub for desktop file, have variable
	to be substituted during configure

2012-01-06  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Cleanup ARM entry, separating
	details into their own section.

2012-01-06  Andrew Haley  <aph@redhat.com>

	* NEWS: ARM assembly language port.

2012-01-06  Andrew John Hughes  <gnu.andrew@redhat.com>

	Remove outdated NIO2 backport.
	* overlays/nio2/openjdk/jdk/make/mkdemo/nio/Makefile,
	* overlays/nio2/openjdk/jdk/make/mkdemo/nio/ZipFileSystem/Makefile,
	* overlays/nio2/openjdk/jdk/make/mksample/nio/aio/Makefile,
	* overlays/nio2/openjdk/jdk/make/mksample/nio/file/Makefile,
	* overlays/nio2/openjdk/jdk/src/share/classes/com/sun/nio/file/ExtendedCopyOption.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/com/sun/nio/file/ExtendedOpenOption.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/com/sun/nio/file/ExtendedWatchEventModifier.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/io/File.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/io/FilePermission.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/io/Inputs.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/io/Outputs.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/net/ProtocolFamily.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/net/SocketOption.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/net/StandardProtocolFamily.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/net/StandardSocketOption.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/AsynchronousByteChannel.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/AsynchronousChannel.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/AsynchronousChannelGroup.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/AsynchronousDatagramChannel.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/AsynchronousFileChannel.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/AsynchronousServerSocketChannel.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/AsynchronousSocketChannel.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/Channels.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/CompletionHandler.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/DatagramChannel.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/FileChannel.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/FileLock.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/MembershipKey.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/MulticastChannel.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/NetworkChannel.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/SeekableByteChannel.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/exceptions,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/package-info.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/spi/AsynchronousChannelProvider.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/spi/SelectorProvider.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/channels/spi/package.html,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/AccessDeniedException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/AccessMode.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/AtomicMoveNotSupportedException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/ClosedDirectoryStreamException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/ClosedFileSystemException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/ClosedWatchServiceException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/CopyOption.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/DirectoryNotEmptyException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/DirectoryStream.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/DirectoryStreamFilters.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/FileAction.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/FileAlreadyExistsException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/FileRef.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/FileStore.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/FileSystem.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/FileSystemAlreadyExistsException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/FileSystemException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/FileSystemNotFoundException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/FileSystems.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/FileTreeWalker.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/FileVisitOption.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/FileVisitResult.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/FileVisitor.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/Files.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/InvalidPathException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/LinkOption.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/LinkPermission.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/NoSuchFileException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/NotDirectoryException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/NotLinkException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/OpenOption.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/Path.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/PathMatcher.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/Paths.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/ProviderMismatchException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/ProviderNotFoundException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/ReadOnlyFileSystemException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/SecureDirectoryStream.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/SimpleFileVisitor.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/StandardCopyOption.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/StandardOpenOption.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/StandardWatchEventKind.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/WatchEvent.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/WatchKey.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/WatchService.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/Watchable.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/AclEntry.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/AclEntryFlag.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/AclEntryPermission.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/AclEntryType.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/AclFileAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/AttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/Attributes.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/BasicFileAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/BasicFileAttributes.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/DosFileAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/DosFileAttributes.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/FileAttribute.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/FileAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/FileOwnerAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/FileStoreAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/FileStoreSpaceAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/FileStoreSpaceAttributes.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/GroupPrincipal.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/NamedAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/PosixFileAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/PosixFileAttributes.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/PosixFilePermission.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/PosixFilePermissions.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/UserPrincipal.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/UserPrincipalLookupService.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/UserPrincipalNotFoundException.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/attribute/package-info.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/package-info.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/spi/AbstractPath.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/spi/FileSystemProvider.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/spi/FileTypeDetector.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/nio/file/spi/package-info.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/util/Scanner.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/java/util/concurrent/ScheduledThreadPoolExecutor.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/misc/JavaIODeleteOnExitAccess.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/misc/JavaNetGetIndexAccess.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/misc/JavaUtilConcurrentThreadPoolExecutorAccess.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/org/classpath/icedtea/misc/SharedSecrets.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/AbstractFuture.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/AsynchronousChannelGroupImpl.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/AsynchronousFileChannelImpl.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/AsynchronousFileLockImpl.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/AsynchronousServerSocketChannelImpl.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/AsynchronousSocketChannelImpl.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/Cancellable.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/CompletedFuture.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/ExtendedSocketOption.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/FileLockTable.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/Groupable.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/Invoker.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/MembershipKeyImpl.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/MembershipRegistry.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/OptionKey.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/PendingFuture.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/SimpleAsynchronousDatagramChannelImpl.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/SimpleAsynchronousFileChannelImpl.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/ch/ThreadPool.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/AbstractAclFileAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/AbstractBasicFileAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/AbstractFileStoreSpaceAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/AbstractFileTypeDetector.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/AbstractNamedAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/AbstractPoller.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/AbstractWatchKey.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/AbstractWatchService.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/Cancellable.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/FileOwnerAttributeViewImpl.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/Globs.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/MimeType.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/NativeBuffer.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/NativeBuffers.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/PollingWatchService.java,
	* overlays/nio2/openjdk/jdk/src/share/classes/sun/nio/fs/Reflect.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/META-INF/services/java.nio.file.spi.FileSystemProvider,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/README.txt,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/JarEntryInfo.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/JarFileAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/JarFileAttributes.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/ZipEntryInfo.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/ZipFileAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/ZipFileAttributes.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/ZipFileBasicAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/ZipFileBasicAttributes.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/ZipFilePath.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/ZipFileStore.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/ZipFileStream.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/ZipFileSystem.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/ZipFileSystemProvider.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/ZipHeaderConstants.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/ZipPathParser.java,
	* overlays/nio2/openjdk/jdk/src/share/demo/nio/ZipFileSystem/com/sun/nio/zipfs/ZipUtils.java,
	* overlays/nio2/openjdk/jdk/src/share/native/sun/nio/ch/genSocketOptionRegistry.c,
	* overlays/nio2/openjdk/jdk/src/share/sample/nio/aio/EchoServer.java,
	* overlays/nio2/openjdk/jdk/src/share/sample/nio/file/AclEdit.java,
	* overlays/nio2/openjdk/jdk/src/share/sample/nio/file/Chmod.java,
	* overlays/nio2/openjdk/jdk/src/share/sample/nio/file/Copy.java,
	* overlays/nio2/openjdk/jdk/src/share/sample/nio/file/DiskUsage.java,
	* overlays/nio2/openjdk/jdk/src/share/sample/nio/file/FileType.java,
	* overlays/nio2/openjdk/jdk/src/share/sample/nio/file/WatchDir.java,
	* overlays/nio2/openjdk/jdk/src/share/sample/nio/file/Xdd.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/ch/DefaultAsynchronousChannelProvider.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/ch/EPollPort.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/ch/LinuxAsynchronousChannelProvider.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/ch/Port.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/ch/SolarisAsynchronousChannelProvider.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/ch/SolarisEventPort.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/ch/UnixAsynchronousServerSocketChannelImpl.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/ch/UnixAsynchronousSocketChannelImpl.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/DefaultFileSystemProvider.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/DefaultFileTypeDetector.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/GnomeFileTypeDetector.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/LinuxDosFileAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/LinuxFileStore.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/LinuxFileSystem.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/LinuxFileSystemProvider.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/LinuxNamedAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/LinuxNativeDispatcher.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/LinuxWatchService.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/SolarisAclFileAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/SolarisFileStore.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/SolarisFileSystem.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/SolarisFileSystemProvider.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/SolarisNamedAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/SolarisNativeDispatcher.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/SolarisWatchService.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixChannelFactory.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixCopyFile.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixDirectoryStream.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixException.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixFileAttributeViews.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixFileAttributes.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixFileKey.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixFileModeAttribute.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixFileStore.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixFileStoreAttributes.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixFileSystem.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixFileSystemProvider.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixMountEntry.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixNativeDispatcher.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixPath.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixSecureDirectoryStream.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixUriUtils.java,
	* overlays/nio2/openjdk/jdk/src/solaris/classes/sun/nio/fs/UnixUserPrincipals.java,
	* overlays/nio2/openjdk/jdk/src/solaris/native/sun/nio/ch/EPollPort.c,
	* overlays/nio2/openjdk/jdk/src/solaris/native/sun/nio/ch/SolarisEventPort.c,
	* overlays/nio2/openjdk/jdk/src/solaris/native/sun/nio/ch/UnixAsynchronousServerSocketChannelImpl.c,
	* overlays/nio2/openjdk/jdk/src/solaris/native/sun/nio/ch/UnixAsynchronousSocketChannelImpl.c,
	* overlays/nio2/openjdk/jdk/src/solaris/native/sun/nio/fs/GnomeFileTypeDetector.c,
	* overlays/nio2/openjdk/jdk/src/solaris/native/sun/nio/fs/LinuxNativeDispatcher.c,
	* overlays/nio2/openjdk/jdk/src/solaris/native/sun/nio/fs/LinuxWatchService.c,
	* overlays/nio2/openjdk/jdk/src/solaris/native/sun/nio/fs/SolarisNativeDispatcher.c,
	* overlays/nio2/openjdk/jdk/src/solaris/native/sun/nio/fs/SolarisWatchService.c,
	* overlays/nio2/openjdk/jdk/src/solaris/native/sun/nio/fs/UnixCopyFile.c,
	* overlays/nio2/openjdk/jdk/src/solaris/native/sun/nio/fs/UnixNativeDispatcher.c,
	* overlays/nio2/openjdk/jdk/src/solaris/native/sun/nio/fs/genSolarisConstants.c,
	* overlays/nio2/openjdk/jdk/src/solaris/native/sun/nio/fs/genUnixConstants.c,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/ch/DefaultAsynchronousChannelProvider.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/ch/Iocp.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/ch/PendingIoCache.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/ch/WindowsAsynchronousChannelProvider.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/ch/WindowsAsynchronousFileChannelImpl.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/ch/WindowsAsynchronousServerSocketChannelImpl.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/ch/WindowsAsynchronousSocketChannelImpl.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/DefaultFileSystemProvider.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/DefaultFileTypeDetector.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/RegistryFileTypeDetector.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsAclFileAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsChannelFactory.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsConstants.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsDirectoryStream.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsException.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsFileAttributeViews.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsFileAttributes.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsFileCopy.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsFileStore.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsFileSystem.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsFileSystemProvider.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsLinkSupport.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsNamedAttributeView.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsNativeDispatcher.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsPath.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsPathParser.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsPathType.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsSecurity.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsSecurityDescriptor.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsUriSupport.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsUserPrincipals.java,
	* overlays/nio2/openjdk/jdk/src/windows/classes/sun/nio/fs/WindowsWatchService.java,
	* overlays/nio2/openjdk/jdk/src/windows/native/sun/nio/ch/Iocp.c,
	* overlays/nio2/openjdk/jdk/src/windows/native/sun/nio/ch/WindowsAsynchronousFileChannelImpl.c,
	* overlays/nio2/openjdk/jdk/src/windows/native/sun/nio/ch/WindowsAsynchronousServerSocketChannelImpl.c,
	* overlays/nio2/openjdk/jdk/src/windows/native/sun/nio/ch/WindowsAsynchronousSocketChannelImpl.c,
	* overlays/nio2/openjdk/jdk/src/windows/native/sun/nio/fs/RegistryFileTypeDetector.c,
	* overlays/nio2/openjdk/jdk/src/windows/native/sun/nio/fs/WindowsNativeDispatcher.c,
	* overlays/nio2/openjdk/jdk/test/demo/nio/ZipFileSystem/Sanity.java,
	* overlays/nio2/openjdk/jdk/test/demo/nio/ZipFileSystem/sanity.sh,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/io/Inputs/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousChannelGroup/AsExecutor.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousChannelGroup/Attack.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousChannelGroup/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousChannelGroup/GroupOfOne.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousChannelGroup/Identity.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousChannelGroup/PrivilegedThreadFactory.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousChannelGroup/Restart.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousChannelGroup/Unbounded.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousChannelGroup/run_any_task.sh,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousDatagramChannel/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousFileChannel/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousFileChannel/CustomThreadPool.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousFileChannel/Lock.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousFileChannel/MyThreadFactory.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousServerSocketChannel/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousServerSocketChannel/WithSecurityManager.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousServerSocketChannel/java.policy.allow,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousServerSocketChannel/java.policy.deny,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousSocketChannel/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/AsynchronousSocketChannel/Leaky.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/Channels/Basic2.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/spi/AsynchronousChannelProvider/CheckProvider.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/spi/AsynchronousChannelProvider/META-INF/services/java.nio.channels.spi.AsynchronousChannelProvider,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/spi/AsynchronousChannelProvider/Provider1.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/spi/AsynchronousChannelProvider/Provider2.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/channels/spi/AsynchronousChannelProvider/custom_provider.sh,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/DirectoryStream/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/DirectoryStream/Filters.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/DirectoryStream/SecureDS.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/FileStore/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/FileSystem/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Files/ContentType.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Files/CreateFileTree.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Files/ForceLoad.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Files/META-INF/services/java.nio.file.spi.FileTypeDetector,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Files/Misc.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Files/PrintFileTree.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Files/SimpleFileTypeDetector.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Files/SkipSiblings.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Files/TerminateWalk.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Files/content_type.sh,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Files/walk_file_tree.sh,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Path/CopyAndMove.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Path/DeleteOnClose.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Path/InterruptCopy.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Path/Links.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Path/Misc.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Path/PathOps.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Path/SBC.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Path/TemporaryFiles.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Path/UriImportExport.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Path/delete_on_close.sh,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/Path/temporary_files.sh,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/PathMatcher/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/TestUtil.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/WatchService/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/WatchService/FileTreeModifier.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/WatchService/WithSecurityManager.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/WatchService/denyAll.policy,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/WatchService/grantDirAndOneLevel.policy,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/WatchService/grantDirAndTree.policy,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/WatchService/grantDirOnly.policy,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/attribute/AclFileAttributeView/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/attribute/Attributes/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/attribute/BasicFileAttributeView/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/attribute/DosFileAttributeView/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/attribute/FileStoreAttributeView/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/attribute/NamedAttributeView/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/attribute/PosixFileAttributeView/Basic.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/spi/SetDefaultProvider.java,
	* overlays/nio2/openjdk/jdk/test/org/classpath/icedtea/java/nio/file/spi/TestProvider.java:
	Removed.
	* patches/nio2.patch: Dropped.
	* Makefile.am:
	Remove ENABLE_NIO2 conditional blocks from
	overlays, patch and rt.
	* configure.ac: Remove --enable-nio2 option.
	* NEWS: Mention removal.

2012-01-06  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Fix formatting.

2012-01-06  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS:
	Add missing entries for 1.9.11, 1.8.11, 1.10.3,
	1.9.9 and 1.8.9.  Remove duplicates in 1.11 listing.

2012-01-03  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* Makefile.am: Fixed path to excludelist.jdk.jtx
	file containing black list of JDK JTreg tests.

2011-12-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add RH bug number which alerted us to
	the problem to the 7103725 backport.

2011-12-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am: Add new patches.
	* patches/openjdk/6851973-kerberos.patch,
	* patches/openjdk/7091528-javadoc_class_files.patch,
	* patches/openjdk/7103725-ssl_beast_regression.patch:
	Add OpenJDK backports.
	* NEWS: Updated.

2011-12-22  Andrew Haley  <aph@redhat.com>

	* arm_port/hotspot/src/cpu/zero/vm/thumb2.cpp (Thumb2_Safepoint):
	Disable.

2011-12-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	* jtreg/JavaTest.cmdMgrs.lst,
	* jtreg/JavaTest.toolMgrs.lst,
	* jtreg/META-INF/MANIFEST.MF,
	* jtreg/README,
	* jtreg/com/sun/interview/AllFilesFileFilter.java,
	* jtreg/com/sun/interview/Checklist.java,
	* jtreg/com/sun/interview/ChoiceArrayQuestion.java,
	* jtreg/com/sun/interview/ChoiceQuestion.java,
	* jtreg/com/sun/interview/CompositeQuestion.java,
	* jtreg/com/sun/interview/DirectoryFileFilter.java,
	* jtreg/com/sun/interview/ErrorQuestion.java,
	* jtreg/com/sun/interview/ExtensionFileFilter.java,
	* jtreg/com/sun/interview/FileFilter.java,
	* jtreg/com/sun/interview/FileListQuestion.java,
	* jtreg/com/sun/interview/FileQuestion.java,
	* jtreg/com/sun/interview/FilesAndDirectoriesFileFilter.java,
	* jtreg/com/sun/interview/FinalQuestion.java,
	* jtreg/com/sun/interview/FloatQuestion.java,
	* jtreg/com/sun/interview/InetAddressQuestion.java,
	* jtreg/com/sun/interview/IntQuestion.java,
	* jtreg/com/sun/interview/Interview.java,
	* jtreg/com/sun/interview/InterviewQuestion.java,
	* jtreg/com/sun/interview/InterviewSet.java,
	* jtreg/com/sun/interview/ListQuestion.java,
	* jtreg/com/sun/interview/NullQuestion.java,
	* jtreg/com/sun/interview/Properties2.java,
	* jtreg/com/sun/interview/PropertiesQuestion.java,
	* jtreg/com/sun/interview/Question.java,
	* jtreg/com/sun/interview/StringListQuestion.java,
	* jtreg/com/sun/interview/StringQuestion.java,
	* jtreg/com/sun/interview/TreeQuestion.java,
	* jtreg/com/sun/interview/WizEdit.java,
	* jtreg/com/sun/interview/WizPrint.java,
	* jtreg/com/sun/interview/YesNoQuestion.java,
	* jtreg/com/sun/interview/i18n.properties,
	* jtreg/com/sun/interview/package.html,
	* jtreg/com/sun/interview/wizard/ActionDocListener.java,
	* jtreg/com/sun/interview/wizard/ActionListDataListener.java,
	* jtreg/com/sun/interview/wizard/ChoiceArrayQuestionRenderer.java,
	* jtreg/com/sun/interview/wizard/ChoiceQuestionRenderer.java,
	* jtreg/com/sun/interview/wizard/EditableList.java,
	* jtreg/com/sun/interview/wizard/Exporter.java,
	* jtreg/com/sun/interview/wizard/FileList.java,
	* jtreg/com/sun/interview/wizard/FileListQuestionRenderer.java,
	* jtreg/com/sun/interview/wizard/FileQuestionRenderer.java,
	* jtreg/com/sun/interview/wizard/FloatQuestionRenderer.java,
	* jtreg/com/sun/interview/wizard/I18NResourceBundle.java,
	* jtreg/com/sun/interview/wizard/InetAddressQuestionRenderer.java,
	* jtreg/com/sun/interview/wizard/InfoPanel.java,
	* jtreg/com/sun/interview/wizard/IntQuestionRenderer.java,
	* jtreg/com/sun/interview/wizard/ListQuestionRenderer.java,
	* jtreg/com/sun/interview/wizard/NullQuestionRenderer.java,
	* jtreg/com/sun/interview/wizard/PathPanel.java,
	* jtreg/com/sun/interview/wizard/PropertiesQuestionRenderer.java,
	* jtreg/com/sun/interview/wizard/QuestionPanel.java,
	* jtreg/com/sun/interview/wizard/QuestionRenderer.java,
	* jtreg/com/sun/interview/wizard/RenderingUtilities.java,
	* jtreg/com/sun/interview/wizard/SearchDialog.java,
	* jtreg/com/sun/interview/wizard/StringListQuestionRenderer.java,
	* jtreg/com/sun/interview/wizard/StringQuestionRenderer.java,
	* jtreg/com/sun/interview/wizard/SwingFileFilter.java,
	* jtreg/com/sun/interview/wizard/TreeQuestionRenderer.java,
	* jtreg/com/sun/interview/wizard/TypeInPanel.java,
	* jtreg/com/sun/interview/wizard/WizPane.java,
	* jtreg/com/sun/interview/wizard/Wizard.java,
	* jtreg/com/sun/interview/wizard/YesNoQuestionRenderer.java,
	* jtreg/com/sun/interview/wizard/i18n.properties,
	* jtreg/com/sun/interview/wizard/package.html,
	* jtreg/com/sun/javatest/AllTestsFilter.java,
	* jtreg/com/sun/javatest/BasicParameters.java,
	* jtreg/com/sun/javatest/Command.java,
	* jtreg/com/sun/javatest/CompositeFilter.java,
	* jtreg/com/sun/javatest/DefaultTestRunner.java,
	* jtreg/com/sun/javatest/Deprecated.java,
	* jtreg/com/sun/javatest/EditJTI.java,
	* jtreg/com/sun/javatest/EditLinks.java,
	* jtreg/com/sun/javatest/ExcludeList.java,
	* jtreg/com/sun/javatest/ExcludeListFilter.java,
	* jtreg/com/sun/javatest/ExcludeListUpdateHandler.java,
	* jtreg/com/sun/javatest/FileParameters.java,
	* jtreg/com/sun/javatest/Harness.java,
	* jtreg/com/sun/javatest/HarnessHttpHandler.java,
	* jtreg/com/sun/javatest/InitialUrlFilter.java,
	* jtreg/com/sun/javatest/InterviewParameters.java,
	* jtreg/com/sun/javatest/InterviewPropagator.java,
	* jtreg/com/sun/javatest/JavaTestError.java,
	* jtreg/com/sun/javatest/JavaTestSecurityManager.java,
	* jtreg/com/sun/javatest/Keywords.java,
	* jtreg/com/sun/javatest/KeywordsFilter.java,
	* jtreg/com/sun/javatest/LastRunFilter.java,
	* jtreg/com/sun/javatest/LastRunInfo.java,
	* jtreg/com/sun/javatest/ObservableTestFilter.java,
	* jtreg/com/sun/javatest/Parameters.java,
	* jtreg/com/sun/javatest/ProductInfo.java,
	* jtreg/com/sun/javatest/ResourceTable.java,
	* jtreg/com/sun/javatest/Script.java,
	* jtreg/com/sun/javatest/Status.java,
	* jtreg/com/sun/javatest/StatusFilter.java,
	* jtreg/com/sun/javatest/TRT_HttpHandler.java,
	* jtreg/com/sun/javatest/TRT_Iterator.java,
	* jtreg/com/sun/javatest/TRT_TreeNode.java,
	* jtreg/com/sun/javatest/TemplateUtilities.java,
	* jtreg/com/sun/javatest/Test.java,
	* jtreg/com/sun/javatest/TestDescription.java,
	* jtreg/com/sun/javatest/TestEnvContext.java,
	* jtreg/com/sun/javatest/TestEnvironment.java,
	* jtreg/com/sun/javatest/TestFilter.java,
	* jtreg/com/sun/javatest/TestFinder.java,
	* jtreg/com/sun/javatest/TestFinderQueue.java,
	* jtreg/com/sun/javatest/TestResult.java,
	* jtreg/com/sun/javatest/TestResultCache.java,
	* jtreg/com/sun/javatest/TestResultTable.java,
	* jtreg/com/sun/javatest/TestRunner.java,
	* jtreg/com/sun/javatest/TestSuite.java,
	* jtreg/com/sun/javatest/Trace.java,
	* jtreg/com/sun/javatest/WorkDirectory.java,
	* jtreg/com/sun/javatest/agent/ActiveAgentCommand.java,
	* jtreg/com/sun/javatest/agent/ActiveAgentPool.java,
	* jtreg/com/sun/javatest/agent/ActiveConnectionFactory.java,
	* jtreg/com/sun/javatest/agent/ActiveModeOptions.java,
	* jtreg/com/sun/javatest/agent/Agent.java,
	* jtreg/com/sun/javatest/agent/AgentApplet.java,
	* jtreg/com/sun/javatest/agent/AgentClassLoader.java,
	* jtreg/com/sun/javatest/agent/AgentClassLoader2.java,
	* jtreg/com/sun/javatest/agent/AgentFrame.java,
	* jtreg/com/sun/javatest/agent/AgentMain.java,
	* jtreg/com/sun/javatest/agent/AgentManager.java,
	* jtreg/com/sun/javatest/agent/AgentMonitorCommandManager.java,
	* jtreg/com/sun/javatest/agent/AgentMonitorTool.java,
	* jtreg/com/sun/javatest/agent/AgentMonitorToolManager.java,
	* jtreg/com/sun/javatest/agent/AgentPanel.java,
	* jtreg/com/sun/javatest/agent/BadValue.java,
	* jtreg/com/sun/javatest/agent/Connection.java,
	* jtreg/com/sun/javatest/agent/ConnectionFactory.java,
	* jtreg/com/sun/javatest/agent/Deck.java,
	* jtreg/com/sun/javatest/agent/Deprecated.java,
	* jtreg/com/sun/javatest/agent/Folder.java,
	* jtreg/com/sun/javatest/agent/Icon.java,
	* jtreg/com/sun/javatest/agent/InterruptableSocketConnection.java,
	* jtreg/com/sun/javatest/agent/Map.java,
	* jtreg/com/sun/javatest/agent/ModeOptions.java,
	* jtreg/com/sun/javatest/agent/PassiveAgentCommand.java,
	* jtreg/com/sun/javatest/agent/PassiveConnectionFactory.java,
	* jtreg/com/sun/javatest/agent/PassiveModeOptions.java,
	* jtreg/com/sun/javatest/agent/SocketConnection.java,
	* jtreg/com/sun/javatest/agent/i18n.properties,
	* jtreg/com/sun/javatest/agent/package.html,
	* jtreg/com/sun/javatest/audit/Audit.java,
	* jtreg/com/sun/javatest/audit/AuditCommandManager.java,
	* jtreg/com/sun/javatest/audit/AuditPane.java,
	* jtreg/com/sun/javatest/audit/AuditTool.java,
	* jtreg/com/sun/javatest/audit/AuditToolManager.java,
	* jtreg/com/sun/javatest/audit/BadChecksumPane.java,
	* jtreg/com/sun/javatest/audit/BadTestCaseTestsPane.java,
	* jtreg/com/sun/javatest/audit/BadTestDescriptionPane.java,
	* jtreg/com/sun/javatest/audit/BadTestsPane.java,
	* jtreg/com/sun/javatest/audit/ListPane.java,
	* jtreg/com/sun/javatest/audit/OptionsDialog.java,
	* jtreg/com/sun/javatest/audit/SummaryPane.java,
	* jtreg/com/sun/javatest/audit/i18n.properties,
	* jtreg/com/sun/javatest/audit/package.html,
	* jtreg/com/sun/javatest/batch/BatchManager.java,
	* jtreg/com/sun/javatest/batch/ObserverCommand.java,
	* jtreg/com/sun/javatest/batch/RunTestsCommand.java,
	* jtreg/com/sun/javatest/batch/i18n.properties,
	* jtreg/com/sun/javatest/batch/package.html,
	* jtreg/com/sun/javatest/cof/COF1_0.xsd,
	* jtreg/com/sun/javatest/cof/COF2_0_2.xsd,
	* jtreg/com/sun/javatest/cof/COFApplication.java,
	* jtreg/com/sun/javatest/cof/COFApplications.java,
	* jtreg/com/sun/javatest/cof/COFData.java,
	* jtreg/com/sun/javatest/cof/COFEnvironment.java,
	* jtreg/com/sun/javatest/cof/COFEnvironments.java,
	* jtreg/com/sun/javatest/cof/COFItem.java,
	* jtreg/com/sun/javatest/cof/COFOS.java,
	* jtreg/com/sun/javatest/cof/COFReportAnnotation.java,
	* jtreg/com/sun/javatest/cof/COFReportAnnotations.java,
	* jtreg/com/sun/javatest/cof/COFSWEntities.java,
	* jtreg/com/sun/javatest/cof/COFSWEntity.java,
	* jtreg/com/sun/javatest/cof/COFStatus.java,
	* jtreg/com/sun/javatest/cof/COFTest.java,
	* jtreg/com/sun/javatest/cof/COFTestAttribute.java,
	* jtreg/com/sun/javatest/cof/COFTestAttributes.java,
	* jtreg/com/sun/javatest/cof/COFTestCase.java,
	* jtreg/com/sun/javatest/cof/COFTestCases.java,
	* jtreg/com/sun/javatest/cof/COFTestSuite.java,
	* jtreg/com/sun/javatest/cof/COFTestSuites.java,
	* jtreg/com/sun/javatest/cof/ID.java,
	* jtreg/com/sun/javatest/cof/Main.java,
	* jtreg/com/sun/javatest/cof/Report.java,
	* jtreg/com/sun/javatest/cof/i18n.properties,
	* jtreg/com/sun/javatest/diff/Diff.java,
	* jtreg/com/sun/javatest/diff/DiffReader.java,
	* jtreg/com/sun/javatest/diff/Fault.java,
	* jtreg/com/sun/javatest/diff/HTMLReporter.java,
	* jtreg/com/sun/javatest/diff/HTMLWriter.java,
	* jtreg/com/sun/javatest/diff/Help.java,
	* jtreg/com/sun/javatest/diff/Main.java,
	* jtreg/com/sun/javatest/diff/MultiMap.java,
	* jtreg/com/sun/javatest/diff/ReportReader.java,
	* jtreg/com/sun/javatest/diff/Reporter.java,
	* jtreg/com/sun/javatest/diff/SimpleReporter.java,
	* jtreg/com/sun/javatest/diff/StandardDiff.java,
	* jtreg/com/sun/javatest/diff/StatusComparator.java,
	* jtreg/com/sun/javatest/diff/SuperDiff.java,
	* jtreg/com/sun/javatest/diff/WorkDirectoryReader.java,
	* jtreg/com/sun/javatest/diff/i18n.properties,
	* jtreg/com/sun/javatest/exec/AbstractCellEditor.java,
	* jtreg/com/sun/javatest/exec/AccessWrapper.java,
	* jtreg/com/sun/javatest/exec/BP_BranchSubpanel.java,
	* jtreg/com/sun/javatest/exec/BP_DocumentationSubpanel.java,
	* jtreg/com/sun/javatest/exec/BP_FilteredOutSubpanel.java,
	* jtreg/com/sun/javatest/exec/BP_Model.java,
	* jtreg/com/sun/javatest/exec/BP_SummarySubpanel.java,
	* jtreg/com/sun/javatest/exec/BP_TestListSubpanel.java,
	* jtreg/com/sun/javatest/exec/BasicCustomTestFilter.java,
	* jtreg/com/sun/javatest/exec/BranchPanel.java,
	* jtreg/com/sun/javatest/exec/CE_EnvironmentPane.java,
	* jtreg/com/sun/javatest/exec/CE_ExcludeListPane.java,
	* jtreg/com/sun/javatest/exec/CE_ExecutionPane.java,
	* jtreg/com/sun/javatest/exec/CE_FullView.java,
	* jtreg/com/sun/javatest/exec/CE_KeywordsPane.java,
	* jtreg/com/sun/javatest/exec/CE_PriorStatusPane.java,
	* jtreg/com/sun/javatest/exec/CE_StdPane.java,
	* jtreg/com/sun/javatest/exec/CE_StdView.java,
	* jtreg/com/sun/javatest/exec/CE_TemplateDialog.java,
	* jtreg/com/sun/javatest/exec/CE_TestsPane.java,
	* jtreg/com/sun/javatest/exec/CE_View.java,
	* jtreg/com/sun/javatest/exec/ChecklistBrowser.java,
	* jtreg/com/sun/javatest/exec/ConfigEditor.java,
	* jtreg/com/sun/javatest/exec/ConfigHandler.java,
	* jtreg/com/sun/javatest/exec/ConfigurableTestFilter.java,
	* jtreg/com/sun/javatest/exec/ContextManager.java,
	* jtreg/com/sun/javatest/exec/CustomTestResultViewer.java,
	* jtreg/com/sun/javatest/exec/DetailsBrowser.java,
	* jtreg/com/sun/javatest/exec/ET_FilterHandler.java,
	* jtreg/com/sun/javatest/exec/ElapsedTimeMonitor.java,
	* jtreg/com/sun/javatest/exec/EnvironmentBrowser.java,
	* jtreg/com/sun/javatest/exec/ExcludeListBrowser.java,
	* jtreg/com/sun/javatest/exec/ExecModel.java,
	* jtreg/com/sun/javatest/exec/ExecTool.java,
	* jtreg/com/sun/javatest/exec/ExecToolManager.java,
	* jtreg/com/sun/javatest/exec/FeatureManager.java,
	* jtreg/com/sun/javatest/exec/FileSystemTableModel.java,
	* jtreg/com/sun/javatest/exec/FileTable.java,
	* jtreg/com/sun/javatest/exec/FileType.java,
	* jtreg/com/sun/javatest/exec/FilesPane.java,
	* jtreg/com/sun/javatest/exec/FilterConfig.java,
	* jtreg/com/sun/javatest/exec/FilterSelectionHandler.java,
	* jtreg/com/sun/javatest/exec/JavaTestContextMenu.java,
	* jtreg/com/sun/javatest/exec/JavaTestMenuManager.java,
	* jtreg/com/sun/javatest/exec/JavaTestToolBar.java,
	* jtreg/com/sun/javatest/exec/LogViewer.java,
	* jtreg/com/sun/javatest/exec/LogViewerTools.java,
	* jtreg/com/sun/javatest/exec/MessageStrip.java,
	* jtreg/com/sun/javatest/exec/Monitor.java,
	* jtreg/com/sun/javatest/exec/MonitorState.java,
	* jtreg/com/sun/javatest/exec/MultiFormatPane.java,
	* jtreg/com/sun/javatest/exec/MultiSelectPanel.java,
	* jtreg/com/sun/javatest/exec/NavigationPane.java,
	* jtreg/com/sun/javatest/exec/NewReportDialog.java,
	* jtreg/com/sun/javatest/exec/ParameterFilter.java,
	* jtreg/com/sun/javatest/exec/PrefsPane.java,
	* jtreg/com/sun/javatest/exec/ProgressMeter.java,
	* jtreg/com/sun/javatest/exec/ProgressMonitor.java,
	* jtreg/com/sun/javatest/exec/PropertiesBrowser.java,
	* jtreg/com/sun/javatest/exec/QuestionLogBrowser.java,
	* jtreg/com/sun/javatest/exec/QuickStartWizard.java,
	* jtreg/com/sun/javatest/exec/RenderingUtilities.java,
	* jtreg/com/sun/javatest/exec/ReportBrowser.java,
	* jtreg/com/sun/javatest/exec/ReportHandler.java,
	* jtreg/com/sun/javatest/exec/RunProgressMonitor.java,
	* jtreg/com/sun/javatest/exec/RunTestsHandler.java,
	* jtreg/com/sun/javatest/exec/TP_CustomSubpanel.java,
	* jtreg/com/sun/javatest/exec/TP_DescSubpanel.java,
	* jtreg/com/sun/javatest/exec/TP_DocumentationSubpanel.java,
	* jtreg/com/sun/javatest/exec/TP_EnvSubpanel.java,
	* jtreg/com/sun/javatest/exec/TP_FilesSubpanel.java,
	* jtreg/com/sun/javatest/exec/TP_OutputSubpanel.java,
	* jtreg/com/sun/javatest/exec/TP_PropertySubpanel.java,
	* jtreg/com/sun/javatest/exec/TP_ResultsSubpanel.java,
	* jtreg/com/sun/javatest/exec/TP_Subpanel.java,
	* jtreg/com/sun/javatest/exec/TT_NodeCache.java,
	* jtreg/com/sun/javatest/exec/TT_Renderer.java,
	* jtreg/com/sun/javatest/exec/TU_ViewManager.java,
	* jtreg/com/sun/javatest/exec/TemplateParameterFilter.java,
	* jtreg/com/sun/javatest/exec/TestPanel.java,
	* jtreg/com/sun/javatest/exec/TestSuiteErrorsDialog.java,
	* jtreg/com/sun/javatest/exec/TestTree.java,
	* jtreg/com/sun/javatest/exec/TestTreeModel.java,
	* jtreg/com/sun/javatest/exec/TestTreePanel.java,
	* jtreg/com/sun/javatest/exec/ToolBarManager.java,
	* jtreg/com/sun/javatest/exec/ToolBarPanel.java,
	* jtreg/com/sun/javatest/exec/TreePanelModel.java,
	* jtreg/com/sun/javatest/exec/WorkDirChooseTool.java,
	* jtreg/com/sun/javatest/exec/i18n.properties,
	* jtreg/com/sun/javatest/exec/package.html,
	* jtreg/com/sun/javatest/finder/BinaryTestFinder.java,
	* jtreg/com/sun/javatest/finder/BinaryTestWriter.java,
	* jtreg/com/sun/javatest/finder/ChameleonTestFinder.java,
	* jtreg/com/sun/javatest/finder/CommentStream.java,
	* jtreg/com/sun/javatest/finder/ExpandTestFinder.java,
	* jtreg/com/sun/javatest/finder/HTMLCommentStream.java,
	* jtreg/com/sun/javatest/finder/HTMLTestFinder.java,
	* jtreg/com/sun/javatest/finder/JavaCommentStream.java,
	* jtreg/com/sun/javatest/finder/ReverseTestFinder.java,
	* jtreg/com/sun/javatest/finder/ShScriptCommentStream.java,
	* jtreg/com/sun/javatest/finder/ShowTests.java,
	* jtreg/com/sun/javatest/finder/TagTestFinder.java,
	* jtreg/com/sun/javatest/finder/i18n.properties,
	* jtreg/com/sun/javatest/finder/package.html,
	* jtreg/com/sun/javatest/httpd/HttpdServer.java,
	* jtreg/com/sun/javatest/httpd/JThttpProvider.java,
	* jtreg/com/sun/javatest/httpd/PageGenerator.java,
	* jtreg/com/sun/javatest/httpd/ProviderRegistry.java,
	* jtreg/com/sun/javatest/httpd/RequestHandler.java,
	* jtreg/com/sun/javatest/httpd/RootRegistry.java,
	* jtreg/com/sun/javatest/httpd/httpURL.java,
	* jtreg/com/sun/javatest/httpd/i18n.properties,
	* jtreg/com/sun/javatest/i18n.properties,
	* jtreg/com/sun/javatest/interview/BasicInterviewParameters.java,
	* jtreg/com/sun/javatest/interview/ConcurrencyInterview.java,
	* jtreg/com/sun/javatest/interview/DefaultInterviewParameters.java,
	* jtreg/com/sun/javatest/interview/EnvironmentInterview.java,
	* jtreg/com/sun/javatest/interview/ExcludeListInterview.java,
	* jtreg/com/sun/javatest/interview/KeywordsInterview.java,
	* jtreg/com/sun/javatest/interview/LegacyParameters.java,
	* jtreg/com/sun/javatest/interview/PriorStatusInterview.java,
	* jtreg/com/sun/javatest/interview/SimpleInterviewParameters.java,
	* jtreg/com/sun/javatest/interview/TestsInterview.java,
	* jtreg/com/sun/javatest/interview/TimeoutFactorInterview.java,
	* jtreg/com/sun/javatest/interview/i18n.properties,
	* jtreg/com/sun/javatest/interview/package.html,
	* jtreg/com/sun/javatest/lib/APIScript.java,
	* jtreg/com/sun/javatest/lib/Deprecated.java,
	* jtreg/com/sun/javatest/lib/ExecStdTestOtherJVMCmd.java,
	* jtreg/com/sun/javatest/lib/ExecStdTestSameJVMCmd.java,
	* jtreg/com/sun/javatest/lib/JavaCompileCommand.java,
	* jtreg/com/sun/javatest/lib/KeywordScript.java,
	* jtreg/com/sun/javatest/lib/MultiStatus.java,
	* jtreg/com/sun/javatest/lib/MultiTest.java,
	* jtreg/com/sun/javatest/lib/ProcessCommand.java,
	* jtreg/com/sun/javatest/lib/ReportScript.java,
	* jtreg/com/sun/javatest/lib/StdTestScript.java,
	* jtreg/com/sun/javatest/lib/TestCases.java,
	* jtreg/com/sun/javatest/logging/ErrorDialogHandler.java,
	* jtreg/com/sun/javatest/logging/FileEvent.java,
	* jtreg/com/sun/javatest/logging/FileListener.java,
	* jtreg/com/sun/javatest/logging/FilteredLogModel.java,
	* jtreg/com/sun/javatest/logging/JTFormatter.java,
	* jtreg/com/sun/javatest/logging/LogModel.java,
	* jtreg/com/sun/javatest/logging/LoggerFactory.java,
	* jtreg/com/sun/javatest/logging/ObservedFile.java,
	* jtreg/com/sun/javatest/logging/WorkDirLogHandler.java,
	* jtreg/com/sun/javatest/logging/i18n.properties,
	* jtreg/com/sun/javatest/mrep/BrowserPane.java,
	* jtreg/com/sun/javatest/mrep/ConflictResolutionDialog.java,
	* jtreg/com/sun/javatest/mrep/ConflictResolver.java,
	* jtreg/com/sun/javatest/mrep/FilesPane.java,
	* jtreg/com/sun/javatest/mrep/Merger.java,
	* jtreg/com/sun/javatest/mrep/OptionsDialog.java,
	* jtreg/com/sun/javatest/mrep/OptionsPane.java,
	* jtreg/com/sun/javatest/mrep/ReportDirChooser.java,
	* jtreg/com/sun/javatest/mrep/ReportTool.java,
	* jtreg/com/sun/javatest/mrep/ReportToolManager.java,
	* jtreg/com/sun/javatest/mrep/Scheme.java,
	* jtreg/com/sun/javatest/mrep/TestResultDescr.java,
	* jtreg/com/sun/javatest/mrep/XMLReportReader.java,
	* jtreg/com/sun/javatest/mrep/XMLReportWriter.java,
	* jtreg/com/sun/javatest/mrep/i18n.properties,
	* jtreg/com/sun/javatest/package.html,
	* jtreg/com/sun/javatest/regtest/Action.java,
	* jtreg/com/sun/javatest/regtest/AntOptionDecoder.java,
	* jtreg/com/sun/javatest/regtest/AppletAction.java,
	* jtreg/com/sun/javatest/regtest/AppletWrapper.java,
	* jtreg/com/sun/javatest/regtest/BadArgs.java,
	* jtreg/com/sun/javatest/regtest/BuildAction.java,
	* jtreg/com/sun/javatest/regtest/CheckFiles.java,
	* jtreg/com/sun/javatest/regtest/CleanAction.java,
	* jtreg/com/sun/javatest/regtest/CompileAction.java,
	* jtreg/com/sun/javatest/regtest/GetSystemProperty.java,
	* jtreg/com/sun/javatest/regtest/Help.java,
	* jtreg/com/sun/javatest/regtest/IgnoreAction.java,
	* jtreg/com/sun/javatest/regtest/IgnoreKind.java,
	* jtreg/com/sun/javatest/regtest/JDK.java,
	* jtreg/com/sun/javatest/regtest/Main.java,
	* jtreg/com/sun/javatest/regtest/MainAction.java,
	* jtreg/com/sun/javatest/regtest/MainWrapper.java,
	* jtreg/com/sun/javatest/regtest/Option.java,
	* jtreg/com/sun/javatest/regtest/OptionDecoder.java,
	* jtreg/com/sun/javatest/regtest/ParseException.java,
	* jtreg/com/sun/javatest/regtest/Path.java,
	* jtreg/com/sun/javatest/regtest/RegressionEnvironment.java,
	* jtreg/com/sun/javatest/regtest/RegressionObserver.java,
	* jtreg/com/sun/javatest/regtest/RegressionParameters.java,
	* jtreg/com/sun/javatest/regtest/RegressionScript.java,
	* jtreg/com/sun/javatest/regtest/RegressionSecurityManager.java,
	* jtreg/com/sun/javatest/regtest/RegressionTestFinder.java,
	* jtreg/com/sun/javatest/regtest/RegressionTestSuite.java,
	* jtreg/com/sun/javatest/regtest/ShellAction.java,
	* jtreg/com/sun/javatest/regtest/StringArray.java,
	* jtreg/com/sun/javatest/regtest/StringUtils.java,
	* jtreg/com/sun/javatest/regtest/TestRunException.java,
	* jtreg/com/sun/javatest/regtest/Verbose.java,
	* jtreg/com/sun/javatest/regtest/i18n.properties,
	* jtreg/com/sun/javatest/report/ConfigSection.java,
	* jtreg/com/sun/javatest/report/CustomReport.java,
	* jtreg/com/sun/javatest/report/HTMLReport.java,
	* jtreg/com/sun/javatest/report/HTMLSection.java,
	* jtreg/com/sun/javatest/report/PlainTextReport.java,
	* jtreg/com/sun/javatest/report/Report.java,
	* jtreg/com/sun/javatest/report/ReportDirChooser.java,
	* jtreg/com/sun/javatest/report/ReportFormat.java,
	* jtreg/com/sun/javatest/report/ReportManager.java,
	* jtreg/com/sun/javatest/report/ReportModel.java,
	* jtreg/com/sun/javatest/report/ReportWriter.java,
	* jtreg/com/sun/javatest/report/ResultSection.java,
	* jtreg/com/sun/javatest/report/StatisticsSection.java,
	* jtreg/com/sun/javatest/report/StringArrayComparator.java,
	* jtreg/com/sun/javatest/report/TestResultsByFileComparator.java,
	* jtreg/com/sun/javatest/report/TestResultsByStatusAndTitleComparator.java,
	* jtreg/com/sun/javatest/report/TestResultsByTitleComparator.java,
	* jtreg/com/sun/javatest/report/XMLReport.java,
	* jtreg/com/sun/javatest/report/XMLReportMaker.java,
	* jtreg/com/sun/javatest/report/i18n.properties,
	* jtreg/com/sun/javatest/report/package.html,
	* jtreg/com/sun/javatest/stylesheet.css,
	* jtreg/com/sun/javatest/tool/Command.java,
	* jtreg/com/sun/javatest/tool/CommandContext.java,
	* jtreg/com/sun/javatest/tool/CommandManager.java,
	* jtreg/com/sun/javatest/tool/CommandParser.java,
	* jtreg/com/sun/javatest/tool/ConfigManager.java,
	* jtreg/com/sun/javatest/tool/CustomPropagationController.java,
	* jtreg/com/sun/javatest/tool/Deck.java,
	* jtreg/com/sun/javatest/tool/DeskView.java,
	* jtreg/com/sun/javatest/tool/Desktop.java,
	* jtreg/com/sun/javatest/tool/DesktopManager.java,
	* jtreg/com/sun/javatest/tool/DesktopPrefsPane.java,
	* jtreg/com/sun/javatest/tool/EditableFileList.java,
	* jtreg/com/sun/javatest/tool/EditableList.java,
	* jtreg/com/sun/javatest/tool/EnvironmentManager.java,
	* jtreg/com/sun/javatest/tool/FileChooser.java,
	* jtreg/com/sun/javatest/tool/FileHistory.java,
	* jtreg/com/sun/javatest/tool/FileOpener.java,
	* jtreg/com/sun/javatest/tool/FocusMonitor.java,
	* jtreg/com/sun/javatest/tool/HelpLink.java,
	* jtreg/com/sun/javatest/tool/HelpLinkBeanInfo.java,
	* jtreg/com/sun/javatest/tool/HelpManager.java,
	* jtreg/com/sun/javatest/tool/HelpMenu.java,
	* jtreg/com/sun/javatest/tool/HttpManager.java,
	* jtreg/com/sun/javatest/tool/I18NUtils.java,
	* jtreg/com/sun/javatest/tool/IconFactory.java,
	* jtreg/com/sun/javatest/tool/IconLabel.java,
	* jtreg/com/sun/javatest/tool/IconLabelBeanInfo.java,
	* jtreg/com/sun/javatest/tool/LogManager.java,
	* jtreg/com/sun/javatest/tool/MDIDeskView.java,
	* jtreg/com/sun/javatest/tool/Main.java,
	* jtreg/com/sun/javatest/tool/ManagerLoader.java,
	* jtreg/com/sun/javatest/tool/PieChart.java,
	* jtreg/com/sun/javatest/tool/Preferences.java,
	* jtreg/com/sun/javatest/tool/SDIDeskView.java,
	* jtreg/com/sun/javatest/tool/SelectedWorkDirApprover.java,
	* jtreg/com/sun/javatest/tool/Startup.java,
	* jtreg/com/sun/javatest/tool/TabDeskView.java,
	* jtreg/com/sun/javatest/tool/TestSuiteChooser.java,
	* jtreg/com/sun/javatest/tool/TestTreeSelectionPane.java,
	* jtreg/com/sun/javatest/tool/Tool.java,
	* jtreg/com/sun/javatest/tool/ToolAction.java,
	* jtreg/com/sun/javatest/tool/ToolDialog.java,
	* jtreg/com/sun/javatest/tool/ToolManager.java,
	* jtreg/com/sun/javatest/tool/TreeSelectionPane.java,
	* jtreg/com/sun/javatest/tool/UIFactory.java,
	* jtreg/com/sun/javatest/tool/VerboseCommand.java,
	* jtreg/com/sun/javatest/tool/WDC_FileFilter.java,
	* jtreg/com/sun/javatest/tool/WDC_FileView.java,
	* jtreg/com/sun/javatest/tool/WorkDirChooser.java,
	* jtreg/com/sun/javatest/tool/i18n.properties,
	* jtreg/com/sun/javatest/tool/package.html,
	* jtreg/com/sun/javatest/util/BackupPolicy.java,
	* jtreg/com/sun/javatest/util/BackupUtil.java,
	* jtreg/com/sun/javatest/util/Debug.java,
	* jtreg/com/sun/javatest/util/DirectoryClassLoader.java,
	* jtreg/com/sun/javatest/util/DynamicArray.java,
	* jtreg/com/sun/javatest/util/ExitCount.java,
	* jtreg/com/sun/javatest/util/Fifo.java,
	* jtreg/com/sun/javatest/util/FileFilter.java,
	* jtreg/com/sun/javatest/util/FileInfoCache.java,
	* jtreg/com/sun/javatest/util/HTMLWriter.java,
	* jtreg/com/sun/javatest/util/HelpTree.java,
	* jtreg/com/sun/javatest/util/I18NResourceBundle.java,
	* jtreg/com/sun/javatest/util/LineParser.java,
	* jtreg/com/sun/javatest/util/LogFile.java,
	* jtreg/com/sun/javatest/util/MainAppletContext.java,
	* jtreg/com/sun/javatest/util/MainFrame.java,
	* jtreg/com/sun/javatest/util/OrderedTwoWayTable.java,
	* jtreg/com/sun/javatest/util/PathClassLoader.java,
	* jtreg/com/sun/javatest/util/PrefixMap.java,
	* jtreg/com/sun/javatest/util/Properties.java,
	* jtreg/com/sun/javatest/util/PropertyArray.java,
	* jtreg/com/sun/javatest/util/ReadAheadIterator.java,
	* jtreg/com/sun/javatest/util/SortedProperties.java,
	* jtreg/com/sun/javatest/util/StringArray.java,
	* jtreg/com/sun/javatest/util/SysEnv.java,
	* jtreg/com/sun/javatest/util/TextStream.java,
	* jtreg/com/sun/javatest/util/TextWriter.java,
	* jtreg/com/sun/javatest/util/Timer.java,
	* jtreg/com/sun/javatest/util/WrapWriter.java,
	* jtreg/com/sun/javatest/util/WriterStream.java,
	* jtreg/com/sun/javatest/util/XMLWriter.java,
	* jtreg/com/sun/javatest/util/i18n.properties,
	* jtreg/com/sun/javatest/util/package.html,
	* jtreg/excludelist.jdk.jtx,
	* jtreg/legal/copyright.txt,
	* jtreg/legal/license.txt:
	Moved to src/jtreg to avoid name collision.
	* Makefile.am: Use new path to JTREG_SRCS and make
	it relative.
	* src/jtreg/JavaTest.cmdMgrs.lst,
	* src/jtreg/JavaTest.toolMgrs.lst,
	* src/jtreg/META-INF/MANIFEST.MF,
	* src/jtreg/README,
	* src/jtreg/com/sun/interview/AllFilesFileFilter.java,
	* src/jtreg/com/sun/interview/Checklist.java,
	* src/jtreg/com/sun/interview/ChoiceArrayQuestion.java,
	* src/jtreg/com/sun/interview/ChoiceQuestion.java,
	* src/jtreg/com/sun/interview/CompositeQuestion.java,
	* src/jtreg/com/sun/interview/DirectoryFileFilter.java,
	* src/jtreg/com/sun/interview/ErrorQuestion.java,
	* src/jtreg/com/sun/interview/ExtensionFileFilter.java,
	* src/jtreg/com/sun/interview/FileFilter.java,
	* src/jtreg/com/sun/interview/FileListQuestion.java,
	* src/jtreg/com/sun/interview/FileQuestion.java,
	* src/jtreg/com/sun/interview/FilesAndDirectoriesFileFilter.java,
	* src/jtreg/com/sun/interview/FinalQuestion.java,
	* src/jtreg/com/sun/interview/FloatQuestion.java,
	* src/jtreg/com/sun/interview/InetAddressQuestion.java,
	* src/jtreg/com/sun/interview/IntQuestion.java,
	* src/jtreg/com/sun/interview/Interview.java,
	* src/jtreg/com/sun/interview/InterviewQuestion.java,
	* src/jtreg/com/sun/interview/InterviewSet.java,
	* src/jtreg/com/sun/interview/ListQuestion.java,
	* src/jtreg/com/sun/interview/NullQuestion.java,
	* src/jtreg/com/sun/interview/Properties2.java,
	* src/jtreg/com/sun/interview/PropertiesQuestion.java,
	* src/jtreg/com/sun/interview/Question.java,
	* src/jtreg/com/sun/interview/StringListQuestion.java,
	* src/jtreg/com/sun/interview/StringQuestion.java,
	* src/jtreg/com/sun/interview/TreeQuestion.java,
	* src/jtreg/com/sun/interview/WizEdit.java,
	* src/jtreg/com/sun/interview/WizPrint.java,
	* src/jtreg/com/sun/interview/YesNoQuestion.java,
	* src/jtreg/com/sun/interview/i18n.properties,
	* src/jtreg/com/sun/interview/package.html,
	* src/jtreg/com/sun/interview/wizard/ActionDocListener.java,
	* src/jtreg/com/sun/interview/wizard/ActionListDataListener.java,
	* src/jtreg/com/sun/interview/wizard/ChoiceArrayQuestionRenderer.java,
	* src/jtreg/com/sun/interview/wizard/ChoiceQuestionRenderer.java,
